Chapter 1 Before You Begin

This chapter identifies and presents the many sources of information about Microsoft® Small Business Server 2000, including printed and online documentation that ships with Small Business Server, retail books, and information on the Web.


Documentation Roadmap

Aside from this Planning and Installation guide, the following resources are also included with or available for Small Business Server 2000.

Online Help

Small Business Server includes substantial Online Help that provides both conceptual and procedural information for using Small Business Server features. Small Business Server Online Help can be launched from many places within Small Business Server, including from a link on the Small Business Home taskpad in the Small Business Server Administrator Console.

Online Tours

Tours are new to Small Business Server 2000. They provide page-by-page feature introductions in an easy-to-use graphical interface. Small Business Server 2000 includes the following tours:

  • Introducing Small Business Server
  • Planning Your Small Business Server Installation
  • Deploying Client Applications
  • Using Management Consoles
  • Remote Administration Using Terminal Services
  • Introduction to Server Health and Monitoring
  • Introduction to Security
  • Connecting to the Internet
  • Sending Faxes (installs on client workstations)

Online Roadmap

Small Business Server 2000 provides an online roadmap to assist you in finding the documentation and resources you need to use Small Business Server. This includes to links to Web resources, links to online help topics or online tours, references to Small Business Server 2000 Planning and Installation, and additional reference material such as Knowledge Base articles and Microsoft Press publications.

The roadmap is a central location that contains pointers to information about planning, installing, managing, monitoring, and running Small Business Server on your network. You can access the roadmap through a link on the Home Taskpad in the Small Business Server Administrator Console.

Internet Resources

Small Business Server Web Site

By using Microsoft Internet Explorer or another Web browser, you can obtain additional information from the Small Business Server Web site at:

http://www.microsoft.com/smallbusinessserver/

This Web site contains white papers and information about technical support, as well as trial software, product updates, and service packs that you can download.

Microsoft Support Online

Microsoft Professional Online Support provides the most up-to-date answers quickly and easily. You can use self-help tools to search for a wide variety of technical information. Online support is available at:

http://support.microsoft.com/directory/

Microsoft Developers Network

The Microsoft Developers Network offers professional support for developers through the Internet at:

http://msdn.microsoft.com/

Microsoft TechNet

Microsoft TechNet provides access to Knowledge Base articles, peer discussions, and real-world networking resources. TechNet is available at:

http://www.microsoft.com/technet/

Additional Print Documentation

Small Business Server

Small Business Server 2000 Resource Kit (available shortly after the release of Small Business Server 2000) contains print documentation and software utilities to help you maximize the productivity of your small business. This kit contains information about planning, deployment, security, upgrading, internal networking, and Web access. It also provides information about administration and maintenance to enhance the way your business communicates and collaborates.

Windows 2000 Server

Microsoft Windows 2000 Server Resource Kit (ISBN 1-57231-805-8) contains specific information and software tools for administrators who install, manage, and integrate the Windows 2000 Server operating system. It contains the following volumes:

  • Microsoft Windows 2000 Server Deployment Planning Guide
  • Microsoft Windows 2000 Server Distributed Systems Guide
  • Microsoft Windows 2000 Server Operations Guide
  • Microsoft Windows 2000 Server Internetworking Guide
  • Microsoft Windows 2000 Server TCP/IP Core Networking Guide
  • Microsoft Windows 2000 Server Internet Information Server Resource Guide
  • Microsoft Windows 2000 Server Internet Explorer 5 Resource Guide

Microsoft Windows 2000 Professional Resource Kit (ISBN 1–57231–808–2) contains in-depth technical information and tools to help you to deploy, manage, support, and maintain the Windows 2000 Professional desktop operating system.

Microsoft Windows 2000 Security Technical Reference (ISBN 0–7356–0858–x) explains the built-in security services and enhancements to Windows 2000, including the Security Configuration Tool Set, policy management, authentication and access control, Kerberos version 5, and the Active Directory™ directory service. It also examines security concerns related to working with the Internet and intranets and security in e-commerce scenarios.

Microsoft Windows 2000 Performance Tuning Technical Reference (ISBN 0-7356-633-1) offers advice on how to implement, configure, and run Windows 2000 Server–based systems for enhanced efficiency and increased performance stability.

Exchange 2000 Server

Microsoft Exchange 2000 Server Resource Kit (ISBN 0-7356-1017-7) provides everything you need to deploy, install, back up and restore, manage security for, troubleshoot, and optimize Exchange 2000 Server. It includes more than 1,000 pages of detailed technical information, plus utilities on CD.

Microsoft Exchange 2000 Server Administrator's Pocket Consultant (ISBN-0-7356-0962-4) contains quick reference information and tools for migrating to and managing Microsoft Exchange 2000 Server.


About this Guide

This guide is for new and experienced users of Small Business Server. It contains instructions for installing Small Business Server and basic information about product components.


Document Conventions

Throughout this guide, the following conventions differentiate certain elements of text.

Convention | Purpose
bold | Designates menus and menu commands, command buttons, property page and dialog box titles and options, command-line commands, and options and portions of syntax that must be typed exactly as shown.
Italic | Designates information you provide, terms that are being introduced and defined, and book titles.
[brackets] | Enclose optional items in syntax statements.


Chapter 2 Small Business Server 2000 Overview

Microsoft® Small Business Server 2000 makes it easy for a small business to deploy and manage business applications. It integrates the Microsoft Windows® 2000 Server operating system and individual Small Business Server applications with existing client software, databases, applications, and networks. This integration reduces complexity, simplifies management, and improves performance. Small Business Server also includes many value-added features, such as built-in management and monitoring tools and wizards to aid in workstation setup and Internet connectivity.


Small Business Server Summary

Small Business Server 2000 includes the following features and products.

Small Business Server Value-Added Features

  • Integrated setup
  • Management features
  • Monitoring features
  • Set Up Computer Wizard
  • Small Business Server Internet Connection Wizard
  • POP3 Gateway
  • Change ISP Password Wizard

Server Applications and Services

  • Microsoft Windows 2000 Server with Service Pack 1
  • Microsoft SQL Server™ 2000
  • Microsoft Internet Security and Acceleration (ISA) Server 2000
  • Shared Fax Service
  • Shared Modem Service
  • Microsoft Exchange 2000 Server

Client Applications

  • Fax Client
  • Firewall Client
  • Modem Sharing Client
  • Microsoft Outlook® 2000 Service Release 1
  • Microsoft Internet Explorer 5.01

Service Packs

  • Microsoft Exchange Server 5.5 Service Pack 3 (for Windows 2000 compatibility)
  • Microsoft SQL Server 6.5 Service Pack 5 (for Windows 2000 compatibility)


Small Business Server Value-Added Features

Integrated Setup

Small Business Server 2000 installs and configures all application components and service packs through a single, integrated setup utility that checks disk space, system compatibility, and dependencies. Small Business Server Setup detects current versions and recommends appropriate component or service pack upgrades. Small Business Server Setup significantly reduces the complexity of installation by automatically setting many common parameters to defaults and consolidating the number of screens encountered during setup.

Maintenance mode enables you to add and remove, or uninstall, both value-added features and server applications and services.

Management Features

The following preconfigured consoles and tools are included in Small Business Server 2000, incorporating the power and flexibility of Microsoft Management Console (MMC). For more information about management consoles, refer to Chapter 6, "Administration."

Small Business Server Administrator Console

The Small Business Server Administrator Console is a preconfigured management console for members of the Administrators group that contains a full range of management tools, including the BackOffice Manager and BackOffice Home snap-ins, Health Monitor 2.1, and consoles for Small Business Server applications. The Small Business Server Administrator Console also includes tips and links to Help.

Small Business Server Administrative Wizards

Small Business Server 2000 includes wizards that automate certain common administrative tasks and provide a consistent interface for technology consultants or power users who accomplish these tasks.

  • Add User Wizard The Add User Wizard automates the task of creating a new Windows 2000 Server user account with access to Small Business Server resources.
  • Add Group Wizard The Add Group Wizard automates the task of creating a new Small Business Server security group.
  • Add Shared Folder Wizard The Add Shared Folder Wizard automates the task of creating a new Small Business Server shared folder.
Small Business Server Snap-ins
  • BackOffice Home Snap-in The BackOffice Home snap-in provides a visual representation of Small Business Server status. This snap-in can display information about CPU usage, disk space, and memory usage, enabling you to monitor current server performance. You can also display administrative alerts and licensing information.
  • BackOffice Manager Snap-in The BackOffice Manager snap-in is the main point of administration for a Small Business 2000 network. It enables you to manage the entire network by viewing and managing Microsoft Active Directory™ directory service objects such as users, groups, computers, printers, Terminal Services sessions, and Small Business Server applications.

Monitoring Features

Small Business Server 2000 provides a full range of monitoring features: Health Monitor 2.1, Server Status View, and Server Status Reports. You can set and view system performance thresholds and alerts and configure Server Status Views and Server Status Reports. You can get regular reports on server status automatically, including reports on hardware condition, application health, and system performance. These reports can be sent by e-mail to you and filed for building historical views of server usage, which you can use to plan for future upgrades or required maintenance. For more information, refer to Chapter 11, "System Maintenance."

Set Up Computer Wizard

The Set Up Computer Wizard configures network settings, installs the appropriate protocol, adds appropriate client applications for the user, and creates shortcuts to shared folders on the server from the user's desktop. This enables users to get started quickly and easily.

Small Business Server Internet Connection Wizard

The Small Business Server Internet Connection Wizard guides you through configuring Windows 2000 Server networking, Exchange 2000 Server, and ISA Server 2000 for a connection to the Internet.

Microsoft Connector for POP3 Mailboxes

The Microsoft Connector for POP3 Mailboxes enables you to route existing Internet e-mail from an Internet e-mail account to Exchange 2000 Server without needing to establish a Simple Mail Transfer Protocol (SMTP) connection to your Internet service provider (ISP).

Change ISP Password Wizard

Your ISP password is stored in several places and is used to access multiple services. If you forget to change all instances of the password, a loss of services might result. The Change ISP Password Wizard helps ensure that you change all instances of the ISP password.


Small Business Server Applications and Services

Windows 2000 Server with Service Pack 1

The Windows 2000 Server operating system provides network security, basic file and print services, Web integration, and a foundation for server applications.

Integrating the Microsoft Windows 2000 Professional desktop operating system with Windows 2000 Server creates an operating system that is easier to use and visually and mechanically consistent. The development of extensive network-management features — new administrative wizards, Network Monitor (an improved diagnostic tool), and printing enhancements — means increased usability for less-experienced administrators and more freedom of operation for the experienced user.

Windows 2000 Server is the latest and most comprehensive update for Microsoft Windows NT® Server 4.0. Windows 2000 Server improves management, security, and availability. For more information about Windows 2000 Server, visit the Windows Web site at: http://www.microsoft.com/windows2000/server/

Small Business Server uses the following Windows 2000 Server features:

Standard Features

  • Microsoft Internet Information Services 5.0
  • Microsoft Management Console
  • Terminal Services
Internet Information Services

Internet Information Services (IIS) 5.0 is the Web-application service for Windows 2000 Server. IIS brings power to Web professionals as a Web server for corporate intranets and public Internet sites, and as a platform for the next generation of line-of-business applications.

Microsoft Management Console

Microsoft Management Console (MMC) provides a framework that acts as a central point for network monitoring and management and as a consistent management interface in Small Business Server 2000. The console is divided into two views — a Console Tree and a Details Pane. The console supports two namespaces for navigation — a tree namespace that is similar to Windows Explorer and a Favorites namespace that is icon-driven. The management tools, called snap-ins, are added to the tree namespace and provide the monitoring and management functionality. Each snap-in is associated with various taskpads that appear in the Details Pane. These taskpads can contain folder lists, task icons, and links. The Favorites namespace provides shortcuts for taskpad organization.

Terminal Services

Small Business Server uses Windows 2000-based Terminal Services in remote administration mode. Remote management enables you to use Terminal Services to manage Small Business Server remotely. You or a technology consultant can restart servers, use management consoles, and view server logs from the Terminal Services Web Client or from any client workstation with the Terminal Services Client software installed. Although Terminal Services can be changed to application sharing mode, it is not recommended.

SQL Server 2000

The SQL Server 2000 relational database management system provides an industry-standard Structured Query Language (SQL) interface and a powerful client/server platform for delivering critical business applications effectively across multiple protocol and software environments. SQL Server builds on the power and manageability of the Windows 2000 Server operating system and Active Directory to meet the demands of small business users.

Shared Fax Service

Shared Fax Service enables clients to share single or multiple fax modems on the server running Small Business Server. This service pools all shared hardware and eliminates the need for each workstation to have its own modem and for a business to have multiple fax phone lines. Shared Fax Service enables you to efficiently manage fax modems.

Shared Modem Service

Shared Modem Service enables small businesses to share modems that are installed on the server. This eliminates the need for each workstation to have its own modem. Connection waiting time is reduced because the server uses the next available modem in the pool to handle dial-in or dial-out requests.

Internet Security and Acceleration Server 2000

ISA Server 2000 is an extensible firewall and Web cache server that provides multilayered Internet security while improving network response time and efficiency. ISA Server features distributed and hierarchical caching to provide scalability and enhanced performance. In addition, it acts as a gateway with firewall-class security between a LAN and the Internet, while reducing the cost of connecting to the Internet and running an intranet.

Exchange 2000 Server

Exchange 2000 Server client/server messaging offers a foundation for business communications. You can exchange information with colleagues, with users on the Internet, and with other systems. You can send documents, spreadsheets, graphics, and other items through e-mail. You can also view items that are available in public folders, and post items in public folders so that others can gain access to them. Exchange 2000 Server provides improved support for instant messaging and remote access.


Client Applications

Fax Client

Fax Client enables users to send faxes directly from their desktops. Users can see the status of all faxes in the queue and pause and cancel their own faxes.

Firewall Client

The Firewall Client establishes a communication path from the internal client computer to a server on the Internet through ISA Server 2000. If an application attempts to access the Internet, Firewall Client intercepts and redirects the request to a specific port on the ISA Server. Firewall Client is available for all Windows-based workstations.

Modem Sharing Client

Modem Sharing enables small businesses to share modems installed on the server, thus eliminating the need for each workstation to have its own modem. Connection waiting time is reduced because the server uses the next available modem in the pool to handle dial-in or dial-out requests.

Outlook 2000 Service Release 1

Outlook 2000 Service Release 1 provides a single location for organizing and managing daily information, from e-mail and calendars to contacts and task lists.

Internet Explorer 5.01

Internet Explorer is a full-featured Internet browser that provides an easy, consistent, and organized way to navigate Web sites. Internet Explorer supports and implements a full set of Internet standards.


Chapter 3 Active Directory and Windows 2000

This chapter provides a brief introduction to Microsoft® Windows® 2000 Server and the Active Directory™ directory service. It describes important differences between Windows 2000 and Windows NT® Server 4.0 as they relate to small businesses.


Comparing Windows 2000 with Windows NT 4.0

Windows 2000 Server is a multipurpose operating system. It integrates technologies to reduce the total cost of ownership and to provide scalability for small business networks. Windows 2000 Server significantly extends the manageability, reliability, security, and performance of Windows NT Server 4.0 and is an ideal solution for file and print management, terminal services, and application servers.

Windows 2000 Server improves on Windows NT Server 4.0 in several key areas, including Plug and Play support, increased hardware and device driver support, enhanced file and printer management, and improved networking capabilities. Windows 2000 also improves on Windows NT Server 4.0 in the areas of security, application sharing, remote access, and backups, as described in the following sections.


Security

Windows 2000 provides the infrastructure for several new security capabilities, including the use of the Kerberos version 5 protocol, an industry security standard that provides faster authentication, single network logon, and mutual authentication. Kerberos enables client computers to verify the identity of a server before transferring sensitive data. Whereas Windows NT Server 4.0 enables files to be locked down with NTFS file system permissions, Windows 2000 builds on that functionality and enables file-level encryption by using Encrypting File System (EFS).


Terminal Services

Terminal Services is an add-in component for Windows NT Server 4.0 that enables client computers to share applications. New to Windows 2000 Server is the ability to run Terminal Services in remote administration mode. Terminal Services enables a user to graphically administer any server running Windows 2000 and Microsoft BackOffice® from a wide variety of client computers over TCP/IP. Administrators can see the remote server's desktop emulated on their local computer and can perform management tasks as though they were sitting at the remote server. Remote administration mode allows for a maximum of two concurrent connections, providing administrators, or an administrator and the technology consultant, the ability to work collaboratively on a single remote server.

Terminal Services in application sharing mode enables users to access programs running on the server from older computers that cannot run the software locally. Because all the processing is done on the server, the client computer need not be powerful. Application sharing mode allows for as many concurrent connections as the server's hardware will support, up to a maximum of 50.


Virtual Private Network

Users can gain access to the network, even when they are out of the office, and reduce the cost of this access by implementing a virtual private network (VPN). The connection is made through a local Internet service provider (ISP), which reduces connect-line charges. Windows 2000 supports new, more secure protocols for creating VPNs, including Layer 2 Tunneling Protocol (L2TP), which is a more secure version of Point-to-Point Tunneling Protocol (PPTP), and Internet Protocol security (IPSec), which provides encryption for TCP/IP transmissions.


Backups

One of the limitations of Windows NT Server 4.0 is that the Windows NT Backup utility does not enable scheduling, and it provides support only for backing up to tape without using a third-party utility. Windows 2000 enables graphical user interface (GUI)–based backup scheduling and supports a variety of storage media including hard disks and tape.

Note Ntbackup.exe does not support backups to compact disc–recordable (CD-R), compact disc–writable (CD-RW), or digital video disc–recordable (DVD-R) drives because Remote Storage Management does not have the ability to recognize these devices as backup pool media.


Understanding Active Directory

Active Directory, a key feature in Windows 2000 Server, is both an administration tool and an end-user tool. It works in several ways — as a directory, as a stored collection of related information (similar to a phonebook), and as a directory service that organizes the information in a useful way.


Directory

Active Directory contains the network directory objects (such as users) and provides attribute-level control for those objects (name, alias, phone number, and office number). The directory database is:

  • Fully indexed All objects are stored in a logical manner and are located easily.
  • Centralized All network objects are in one centralized directory, thereby reducing, and even eliminating, the need to maintain and manage multiple specialized directories.

If users of Windows NT 4.0 need other information, such as telephone, e-mail, or human resources data, they must create and manage additional specialized directories because the default directory contains only information about users, groups, and computers.

Windows 2000 Active Directory, however, can contain an unlimited number of directory objects, including users, groups, printers, computers, shared folders, e-mail contacts, shared volumes, and applications. As a result, special directories are no longer necessary. All network objects are in one location that has a unique name. Locating the objects is a quick and easy task.


Directory Service

The directory service makes objects and attributes accessible so that users can query the directory and find objects quickly and easily.

To use this feature

  1. Click Start, and then point to Search.
  2. Click the type of object you want to search for (users, printers, folders).
  3. In the box that appears, type the name of an object for which you want to query.

In addition to organizing and simplifying access to resources, Active Directory enforces security to protect network objects from external intruders and from internal users without proper access permissions.


Chapter 4 Server Requirements

Before you install Microsoft® Small Business Server 2000, you must verify that your server computer has the required processor, memory, disk space, and paging file. This chapter outlines the necessary system requirements to install Small Business Server 2000.


Hardware Requirements (Server)

Hardware Requirements

Recommendations for Small Business Server include:

  • If your computer is not running Microsoft Windows® 2000 Server, you must determine whether it is compatible with Windows 2000 by consulting the Windows 2000 Hardware Compatibility List, located in the \Support\Hcl.txt file on Small Business Server Disc 1. The most recent version of the Hardware Compatibility List is at:

    http://www.microsoft.com/hcl

  • Use the Windows 2000 readiness analyzer to check for Windows 2000 compatibility. It is located at \support\APCOMPAT on Small Business Server Disc 1. You can also find it on the Internet at:

    http://www.microsoft.com/windows2000/upgrade/compat/

The following table shows the minimum hardware requirements for Small Business Server.

Minimum | Recommendation
Pentium II 300-megahertz (MHz) or compatible processor | Pentium III 500-MHz, Dual Pentium II 300-MHz or compatible processor or higher, depending on your system configuration
128-MB RAM | 256-MB RAM or higher, depending on your system configuration
4-gigabyte (GB) available hard disk space | Two or more mirrored 4-GB hard disks, depending on your system configuration
No modem | Two modems, one for Shared Fax Service and one for Remote Access Service, Shared Modem Service, and Internet Security and Acceleration Server dial-up service
CD-ROM drive | None
1 Network adapter card | None
Video graphics adapter capable of 256 colors and 800 X 600 pixels | None


Best Practices

Hardware is the most common cause of performance issues for a Small Business Server network. You can optimize the performance of Small Business Server — especially for Microsoft Exchange 2000 Server and Microsoft SQL Server™ 2000 — by considering the following best practices:

  • RAM Additional physical memory is often the key to improved performance.
  • Hardware redundant array of independent disks (RAID) Use multiple fast-SCSI (small computer system interface) drives (7,200 RPM or faster) and individual SCSI disk controllers (at least one redundant controller) to improve I/O processing and read/write times. Spread your page file across multiple disks to improve virtual memory access. If you run SQL Server 2000 on your Small Business Server network, consider using hardware RAID:
    • RAID-0, disk striping (2 disks minimum) offers the best performance for both read and write but offers no fault tolerance.
    • RAID-1, disk mirroring (2 disks minimum) provides excellent fault tolerance but only marginally improves read performance.
    • RAID-5, disk striping with parity (3 disks minimum) provides good read performance and the best fault tolerance for the lowest price.
    • RAID-0+1, mirrored disk striping (4 disks minimum) combines disk mirroring with striping and provides the highest read performance and the best combination of fault tolerance and performance. This option can be more expensive than other RAID options.


Estimating Capacity Requirements

The following approximate capacity requirements support only minimal installations and pertain only to English language installations. They might not meet the needs of your organization. Actual requirements vary depending on which operating system you run and which language version of BackOffice Server you install.


Requirements for Individual Applications

The following table shows the approximate minimum disk space that is required to install specific BackOffice Server applications.

Small Business Server application | Approximate disk space (MB)
Windows 2000 Server | 950
SQL Server 2000 (25-MB master device) | 250
Exchange 2000 Server | 165
Internet Security and Acceleration Server 2000 | 11 + cache
Small Business Server value–added features | 650
Shared Fax Service | 4
Shared Modem Service | 3

Important These numbers account for only the disk space for program files and do not reflect your organization's need for data storage, mailboxes, Web caching, or fault-tolerant volumes. These needs require considerably more disk space.


Chapter 5 Client Computer Requirements

Client computers on your Microsoft® Small Business Server 2000 network must meet minimum hardware requirements. This chapter outlines those requirements and the client operating systems that can access Small Business Server features.


Operating Systems

Users can gain access to all the features of Small Business Server from computers running the following operating systems:

  • Microsoft Windows® 2000 Professional
  • Windows Millennium Edition
  • Windows NT® Workstation version 4.0
  • Windows 98
  • Windows 95

Users can gain access to the Small Business Server file and print services from manually configured client computers running the following operating systems:

  • Windows NT Workstation version 3.x
  • Windows for Workgroups
  • Apple Macintosh
  • Various versions of UNIX


Hardware Requirements (Client)

Hardware Requirements

The following represent minimum client computer hardware requirements.

Important If the minimum hardware requirements for the respective client operating systems are higher than those set below, you must meet the hardware requirements for the client operating system.

The minimum hardware requirements (and recommendations, where applicable) for a client computer on a Small Business Server 2000 network are:

  • Pentium 90-megahertz (MHz) or compatible processor or higher
  • 32 megabytes (MB) RAM (64 MB recommended)
  • 300 MB available hard disk space

Each client computer also needs the following hardware:

  • One 3.5-inch high-density disk drive
  • A network adapter card
  • A monitor supporting 800 x 600 resolution in 256 colors
  • Microsoft mouse or compatible pointing device

If the client computer accesses the Small Business Server network by using dial-up networking, it must also have a modem.


Chapter 6 Administration

Microsoft® Management Console (MMC) provides administrators with a powerful and consistent user interface for managing a Microsoft Small Business Server network. This chapter provides an overview of MMC architecture, identifies the tools (snap-ins) that Small Business Server 2000 provides for use with MMC, and outlines how you can now remotely administer Small Business Server by using Terminal Services.


New Administrative Platform

Small Business Server 4.5

In Small Business Server 4.5, users were granted individual access—one at a time—to resources such as printers and shared folders. As a company grows or as resources are added or removed, keeping track of access control lists—who has access to what— becomes more complicated.

Small Business Server 2000

Small Business Server 2000 uses the Microsoft Windows NT® or Microsoft Windows® 2000 method of granting access to resources: the use of groups. This new model enables you to use template user accounts to make user account creation more consistent. Unlike in Small Business Server 4.5, this model is also consistent with Windows tools.

For example, in Small Business Server 4.5, if you added a new print device to your network, you needed to manually grant users access to the device one at a time. In Small Business Server 2000, if a print device is added to the system, all users automatically gain access to it because all users belong to the Domain Users group and have the right to print to any print device. In the same way, in Small Business Server 4.5, if you removed a printer, you needed to update each user's account one at a time. In Small Business Server 2000, the group memberships handle the update automatically.


Small Business Server Template Users

Small Business Server 2000 provides an administrative platform that includes user templates and global groups, in addition to those provided by Windows 2000 Server, to help you organize Small Business Server users and access to resources.

Small Business Server creates three user templates:

  • Small Business User
  • Small Business Power User
  • Small Business Administrator

Each type of user is automatically placed in global groups that are created by Windows and by Small Business Server, which grant the groups default access to network resources.

The groups created by Windows 2000 Server are marked (W).


Small Business User

By default, the Small Business User has access to the following group memberships and resources.

Group name | Provides access to
Domain Users (W) | Shared folders (read), print devices (print), fax devices (submit faxes).
Microsoft BackOffice® Internet Users | Internet browsing


Small Business Power User

By default, the Small Business Power User has the same group memberships as the Small Business User and also has access to the following administrative-level resources.

Group name | Provides administrative-level access to
Account Operators (W) | User, group, and computer objects
Print Operators (W) | Print devices
BackOffice Remote Operators | Logon rights to the server through Terminal Services
BackOffice Fax Operators | Fax devices
BackOffice Mail Operators | Exchange mailboxes
BackOffice Folder Operators* | Shared folders

*Members of BackOffice Folder Operators are also members of Server Operators. This Windows group provides access to domain servers.


Small Business Administrator

By default, the Small Business Administrator has the same group memberships as the Small Business User and also has access to the following administrative-level resources.

Group name | Provides administrative-level access to
Domain Administrators (W) | Unrestricted system access


Console Architecture

Small Business Server 2000 includes an assortment of administrative building blocks that you can use to build and deploy customized network management consoles. These building blocks include:

  • MMC, which provides a centralized user interface and management shell for network administration.
  • Snap-ins, which contain management functions specific to a server or application.
  • Taskpads, which display a list of manageable objects and tasks in the Details Pane.
  • Tasks, which are icons that provide shortcuts to take action on a selected item on the taskpad or start an external application, such as a wizard.

Become familiar with these management building blocks and how you can use them to create custom management consoles.


MMC

The MMC interface looks and functions much like Windows Explorer. The Console Tree is the area of the console window that contains the Console Tree tab and a Favorites tab. The Details Pane contains details about the selected node in the Console Tree. Together, the two panes form the namespace. The console might also contain a variety of command menus and toolbars.

At times, you may want to build a management console from scratch, by starting with an empty MMC shell. To do this, you must first open a new console in MMC and then add the appropriate snap-in functionality by using the Add/Remove Snap-in command on the Console menu.

To open a new console in MMC

  1. Click Start, and then click Run.
  2. In the Open box, type mmc.

Working in MMC, you can assemble a series of snap-ins and executable tasks to create customized administrative displays of task-oriented management functions. You can then save these displays as management consoles.


Snap-ins

MMC itself does not provide a management service but instead functions as a common framework for snap-ins. Snap-ins are individual management components loaded into the console as tools. These tools help you accomplish administrative tasks.


Taskpads

A taskpad is a task-based view that appears in a management console's Details Pane when you click a link or select a node in the Console Tree. Taskpads organize tasks into logical groups and can accomplish a variety of functions, such as launching executable files, running scripts, accessing Web pages, or even launching another management console. You can access these functions from clickable task icons or through right-click context menus.

Taskpads enable you to interact with the associated snap-in and are particularly helpful to novice users and users who do not want or need to know about navigating through the Console Tree, which can be hidden from view.

You can add or customize taskpads to suit the needs of your organization. For more information, refer to Small Business Server online Help.


Tasks

Tasks are frequently performed actions that are represented by task icons that appear as clickable buttons on a snap-in taskpad. An example of a snap-in task is the Add User icon on the Manage Users and Groups taskpad, which launches the Add User Wizard.

Small Business Server includes many default tasks that you can use to perform common server administration duties. You can also add new tasks to a taskpad and even create new taskpads.

You can easily add tasks to or remove tasks from a taskpad. For more information, refer to Small Business Server online Help.


Saving Console Files

You can assemble multiple snap-ins in a custom console and store them as saved console (.msc) files. You can use saved console files to manage specific network functions. An example of a saved console file is the Small Business Server Administrator Console (ITProSBSConsole.msc). You can save important console files—like often-used program shortcuts—as desktop shortcuts for easy access.


Customizing Consoles

Small Business Server 2000 includes many taskpads and tasks, and individual Small Business Server applications provide a number of other administrative snap-ins.

In addition, users can build new consoles by combining Small Business Server tasks, taskpads, or snap-ins with new snap-ins that independent software vendors (ISVs) have developed. Building a new console requires no programming experience.

For information about customizing existing management consoles, refer to Small Business Server online Help. Additional information is available in the MMC Help topics.


Small Business Snap-ins and Consoles

Snap-ins

The Small Business Server 2000 management snap-ins are part of the preconfigured MMC included with Small Business Server. You can also add the snap-ins to management consoles that you build or customize them for use on your network.

BackOffice Home Snap-in

The BackOffice Home snap-in provides a visual representation of server health in the Server Status View. This snap-in graphically displays information about alerts, performance counters, and services, supporting customizable, high-level monitoring of real-time server performance.

BackOffice Manager Snap-in

The BackOffice Manager snap-in is the central point of administration for your Small Business Server 2000 network. You can use this snap-in to customize queries of objects in the Active Directory™ directory service such as users, groups, printers, and computers. You can also customize columns in the Details Pane and context menus.

Consoles

Small Business Server 2000 includes the following two preconfigured management consoles (.msc files) for you to use immediately after installing Small Business Server:

  • Small Business Server Administrator Console
  • Small Business Server Personal Console

The consoles are described further in the following sections.

Small Business Server Administrator Console

The Small Business Server Administrator Console is designed for technology consultants and is installed automatically on each server running Small Business Server 2000. It comes preconfigured with the following management tools:

  • BackOffice Manager snap-in
  • Computer Management (Local) snap-in
  • Active Directory Users and Computers snap-in
  • Exchange snap-in
  • Internet Security and Acceleration (ISA) Server snap-in
  • Shared Fax snap-in
  • Health Monitor snap-in
  • Shared Folders snap-in
  • Internet Information Services (IIS) snap-in
  • Windows 2000 Terminal Services Configuration snap-in
  • BackOffice Home snap-in
  • BackOffice To Do List snap-in
  • Wizards
  • Taskpads
  • SBS Tips
  • Online Help links

The Small Business Server Administrator Console is tree-oriented and fully customizable.

Small Business Server Personal Console

The Small Business Server Personal Console is provided for power users and small business owners. This console is installed on every computer running Small Business Server and contains limited management tools, including:

  • Home taskpad
  • Users taskpad
  • Security Groups taskpad
  • Folders taskpad
  • Printers taskpad
  • E-mail taskpad
  • Computers taskpad

The Small Business Server Personal Console is task-oriented, containing only a Favorites tab in the Console Tree and a taskpad in the Details Pane for each link in the Favorites tab. The tree view is hidden, preventing users from navigating the snap-in structure of the console.

The Small Business Server Personal Console typically does not allow additional customization.


Small Business Server Administrative Wizards

You can use wizards in Small Business Server 2000 to automate certain tedious administrative tasks and provide a consistent user interface.


Add User Wizard

The Add User Wizard automates the task of creating a new Windows 2000 Server user account with access to Small Business Server resources. You can build user accounts from scratch or use a template user account, as discussed earlier in the chapter. Using a template user account not only simplifies account creation, but also makes user accounts consistent. The wizard helps you gather all of the information required to:

  • Create a Windows 2000 user account, including a user's initial password.
  • Create a user's home folder.
  • Create a Microsoft Exchange 2000 Server mail account.
  • Assign user properties, indicating whether the user will be an administrator, power user, or other type of user.
  • Select a user's security and distribution group memberships.
  • Allow or deny remote access or virtual private network (VPN) permissions.
  • Allow or deny access to Terminal Services logon.

After you complete the wizard, a summary page appears. If any of the information is incorrect, you can go back and make changes.


Add Group Wizard

The Add Group Wizard automates the task of creating a new Small Business Server security group. This wizard helps you gather all the required information to add a new security group to Active Directory and to specify users or other groups as members.


Add Shared Folder Wizard

The Add Shared Folder Wizard automates the task of creating a new Small Business Server shared folder. The wizard helps you gather all of the information required to:

  • Add a shared folder to Small Business Server.
  • Grant users and groups access permissions to the folder.
  • Publish the folder in Active Directory.


Remote Management of Small Business Server

Small Business Server 2000 uses the new Windows 2000–based Terminal Services Remote Administration mode. Terminal Services is an optional component in Windows 2000 that is installed by Small Business Server Setup.

Remote administration mode enables you, or your technology consultant, to administer Small Business Server from a variety of Windows-based client workstations over TCP/IP.

To administer a remote Small Business Server computer, start a Terminal Services session and log on to the remote server. The secure remote desktop appears on your local computer as though you are actually working at the remote server.


Using Terminal Services

Windows 2000 Terminal Services enables Windows and non-Windows workstations to access management consoles that are running on the Small Business Server computer.

To create a floppy disk containing Terminal Services Client software

  1. Click Start, point to Programs, point to Administrative Tools, and then click Terminal Services Client Creator.
  2. In the Create Installation Disk(s) dialog box, select either the 16-bit or the 32-bit client and a destination drive, and then click OK.

    Note You need two floppy disks for a 32-bit client.

  3. Insert your first floppy disk and when the disks are complete, click Close.


Using a Web Browser and Internet Information Services

Small Business Server Terminal Services Web Client enables you to remotely administer your Small Business Server from a Web browser. You use a client workstation without having the Terminal Services client software installed. All you need is a Web browser that is compatible with Microsoft ActiveX®, such as Microsoft Internet Explorer 4 or later or Netscape Navigator 4.0 or later.

Small Business Server Setup configures a virtual root, called /myconsole, on Microsoft Internet Information Services (IIS) and inserts an Active Server Pages (ASP) page there. When you browse to it, an ActiveX control is installed on your workstation. This enables you to use Terminal Services through a Web interface.


Chapter 7 Internet Connectivity

This chapter examines important considerations when you connect a Microsoft® Small Business Server network to the Internet, including the types of available connections and the Small Business Server Internet Connection Wizard.


Connection Types

Today's small businesses can choose from many Internet connection options. The key is to select the one that best fits your budget and performance goals, because service levels and costs vary. Before you make your decision, contact the telephone companies, cable companies, and Internet service providers (ISPs) in your area for pricing information, service availability, and hardware requirements.


Dial-Up

A dial-up connection uses a standard analog modem over the Public Switched Telephone Network, which is designed to carry only voice transmissions. Analog modems are easy to configure and are included in most new computers. Standard dial-up connections provide bandwidth of 56 kilobits per second (Kbps) or less, depending on the quality of the lines.

A dial-up connection is the slowest connection currently available and can be unreliable because of busy signals and slow or lost connections.


Integrated Services Digital Network

An Integrated Services Digital Network (ISDN) connection uses a digital ISDN adapter and ISDN bridge to connect to an ISP over an ISDN line. An ISDN line is similar to an analog telephone line except that it uses digital technology, and has higher data transmission rates, and faster connection times. ISDN carries voice, data, and video transmissions.

Basic Rate ISDN can be more than twice as fast as an ordinary dial-up connection, with two 64-Kbps channels and a total bandwidth of 128 Kbps. Primary Rate ISDN, with its 23 channels, can rival the 1.544 megabits per second (Mbps) speed of a T1 line.


Digital Subscriber Line

A Digital Subscriber Line (DSL) connection uses a digital modem and supports bandwidths between 32 Kbps and 50 Mbps for voice and data. DSL is not available in all areas and can even be available in one part of a city but not in others. It is routinely the next step up from a part-time dial-up connection. Depending on your area, DSL service can be costly for the level of service that you receive.


Cable Modem

A cable modem connection is a fast, but expensive connection in which your cable company is your ISP. A cable modem connection transmits at a rate of between 3 and 10 Mbps for voice, video, and data. Download speed is faster than upload speed.


T Carrier

T carriers are used typically for dedicated point-to-point communications — for example you and your ISP. The prices of T carrier services are based on both bandwidth and distance, making these connection types quite costly. They also require expensive hardware, including a Channel Service Unit/Data Service Unit (CSU/DSU) and line-specific routers at each end of the connection. T carriers offer a variety of services.


Fractional T1

A fractional T1 line enables you to purchase as much bandwidth as you need or can afford. A full T1 line carries a total bandwidth of 1.544 Mbps, fractured into 24 separate 64-Kbps channels. If you decide that you need 256 Kbps of total bandwidth for your business, you can perform a cost comparison between a 256-Kbps DSL line with four channels and a fractional T1.


T1

A full T1 line supports up to 1.544 Mbps of total bandwidth, which is divided among all the users accessing the line at any given time. A full T1 line is a powerful connection.


T3

A T3 line carries up to 45 Mbps of total bandwidth and is expensive. This type of connection is rarely used in a small business context.


Wireless

Wireless connectivity is a recent and evolving technology that has potential to become a new standard. Download speeds vary from 14 Kbps to around 3.5 Mbps. In many areas, this type of connection costs less than a T1 line. Wireless connectivity is presently available only in select areas, but as demand and technology increase, wireless communications may become as common as the analog modem is today.


Controlling User Access

By default, all Small Business Server accounts are members of the Small Business Users global group, which grants them access to external networks such as the Internet. You can quickly and easily control user access to the Internet by adding users to or removing users from this security group. Another option is to define your own access policies by using Microsoft Internet Security and Acceleration (ISA) Server 2000, which is included with Small Business Server. You can use ISA Server to create, change, or remove custom access policies.

To add or remove a user from the Small Business Users global group

  1. From the Small Business Server Administrator Console, expand the BackOffice Manager node, and then click Users to display a list of users in the Details Pane.
  2. Right-click the user to whom you want to grant or deny Internet access, and then click Properties.
  3. Click the Member Of tab, and then perform one of the following steps:
    • To add a user to the Small Business Users security group, click Add, select Small Business Users from the list of users, click Add, and then click OK to confirm the addition.
    • To remove a user from the Small Business Users security group, select Small Business Users, click Remove, and then click Yes to confirm the removal.
  4. Click OK to save the user account information.


Planning a Secure Internet Connection

You can establish a secure presence on the Internet by using the following features provided with Small Business Server:

  • Network authentication
  • Network firewall capabilities
  • Data encryption

The following sections outline how best to use these features.


Using Network Authentication

By default, all users must log on to the Small Business Server domain before they can access network resources, such as an Internet connection. If you want to grant a user access to the Internet, you must first create a user account and then assign the user to a security group with Internet access permissions — for example, the Small Business Users global security group.

After successfully logging on to the Small Business Server domain, your users can use additional security features, such as the firewall capabilities of ISA Server and the Secure Sockets Layer data encryption protocol.


Using a Network Firewall

You can use ISA Server 2000 as a firewall between your network and the Internet. Using a firewall enables you to deny access to undesired incoming network traffic and to hide IP addresses used by your internal network.

You will need to install a second network adapter card in your Small Business Server computer to configure ISA Server as a network firewall. For specific configuration recommendations, consult the Microsoft Windows® 2000 Server Hardware Compatibility List on the Internet at:

http://www.microsoft.com/hcl/

For more information about setting up a firewall, refer to Internet Security and Acceleration Server Online Help.


Determining Bandwidth Requirements

As the gateway to the Internet, your Small Business Server Internet connection primarily determines network bandwidth. If you want to provide Internet access and e-mail to all users, consider high-bandwidth Internet connections — such as ISDN, DSL, or cable modems. To maximize high-bandwidth Internet connections, select an ISP that supports the following features:

  • Business purpose connections Some ISPs do not support business traffic.
  • Ability to receive a static IP address This ability enables you to support features such as a virtual private network (VPN).
  • Firewalls Some ISPs do not support user access through firewalls.


Small Business Server Internet Connection Wizard

The Small Business Server Internet Connection Wizard configures Windows 2000 Server networking, Microsoft Exchange 2000 Server, and ISA Server for a connection to the Internet.


Networking Configuration

After you select your connection hardware the Small Business Server Internet Connection Wizard starts the Network Connection Wizard. This wizard configures Windows 2000 networking so that you can connect your Small Business Server computer to your ISP. The wizard supports connecting through a dial-up connection, a router, or a full-time broadband connection.


Exchange Configuration

If you have Exchange 2000 Server installed, this part of the wizard enables you to choose how you will receive e-mail messages from the Internet and your ISP. If you have a dedicated connection to your ISP — DSL or T carrier, for instance — you will probably have your e-mail forwarded from your ISP as it arrives, by using a Simple Mail Transfer Protocol (SMTP) relay. If you have a dial-up or ISDN connection, your ISP will probably host your e-mail and Exchange will pick it up on a scheduled basis. In either case, the wizard must establish an SMTP connector that enables Exchange to connect with your ISP's e-mail server.

If you have an Internet e-mail account, the wizard will configure the Microsoft Connector for POP3 Mailboxes to help you download your e-mail from your existing POP3 e-mail accounts and forward them to your users' Exchange mailboxes. If the POP3 connector is not installed, you will not see this option. You can install the POP3 connector by running Small Business Server Setup in maintenance mode.


ISA Server Configuration

The Small Business Server Internet Connection Wizard can also configure your ISA Server firewall. Select the network services (such as your Web server or Terminal Services for remote administration) to which you want to allow access from the Internet. This enables the wizard to open those ports on your Small Business Server computer to Internet traffic.


Using the Wizard

Note This section assumes that you have installed both Exchange 2000 Server and ISA Server 2000. If you do not have Exchange installed, you will not be asked to configure e-mail. If you do not have ISA Server installed, you will not be able to successfully complete the Small Business Server Internet Connection Wizard because your connection will not be secure.

When you launch the Small Business Server Internet Connection Wizard on a computer running Small Business Server 2000, the Welcome page appears.


Internet Connection Type

After you click Next, the Configure Hardware page appears. The four button options on this page are:

  • Modem or terminal adapter (ISDN)
  • Router connection
  • Full-time connection
  • Do not change my networking configuration

Select the option that matches your hardware or connection type and then click Next.

Tip Before you continue, click the Connection Type Form button (the appropriate form for the selected option appears). This provides a form that you can use to gather the information necessary to complete this wizard.

Note If you select Modem or Full-time connection and do not have ISA Server installed, an error message appears instructing you to select the Router option to configure your connection by using a router or third-party proxy solution.

Note If you select a Full-time connection, you must have a second network adapter card installed and one of the network adapter cards must use a static IP address.


If You Selected 'Modem'

After you click Next on the Configure Hardware page, the Set Up Modem Connection to ISP page appears. On this page, select an ISP phonebook entry from the drop-down list, or click New to configure a new entry. When you click OK, the Network Connection Wizard starts, enabling you to create a dial-up connection to your ISP.

When the connection is established, the Set Up Modem Connection to ISP page reappears. Select the new connection from the drop-down list, and type the ISP account name, ISP password, and confirmed password.

If your ISP allows you to use the same IP address each time you dial up, select the I have a static IP address from my ISP check box and then enter the static IP address.

After you click Next, the Configure Internet Mail page appears.


If You Selected 'Router'

After you click Next on the Configure Hardware page, the Set Up Router Connection to ISP page appears. On this page, type the IP address of your router and the IP address of the DNS server provided by your ISP.

If you select the My router is connected via a second network adapter check box and click Next, the Set Up Second Network Adapter page appears, as explained in the following section.

If you do not select the My router is connected via a second network adapter check box, after you click Next, the Configure Internet Mail page appears.

Note If you do not select a second network adapter, you will receive a warning that using a router connection on the same network as your internal network is an insecure configuration and ISA Server will not be configured. It is recommended that you install a second network adapter.


If You Selected 'Full-time'

After you click Next on the Configure Hardware page, the Network Interface Card Configuration page appears. On this page, you can configure which network adapter card to use for your internal network and which connects to the Internet.

On the Set Up Second Network Adapter page, type the IP address of the DNS server provided by your ISP. The IP address, Subnet mask, and Default gateway are already filled in.

After you click Next, the Configure Internet Mail page appears.

Note The network adapter card used for your local network must use a static IP address.


If You Selected 'Do Not Change'

After you click Next on the Configure Hardware page, the Configure Internet Mail page appears.


Configuring Mail

After you have configured your connection type, the Configure Internet Mail Settings page appears. This page presents you with three options for Exchange Server:

  • Use SMTP for Internet mail
  • Do not change my SMTP settings
  • Do not use SMTP for Internet mail

And three options for POP3 (if a POP3 connector is installed):

  • Use POP3 for Internet mail
  • Do not change my POP3 settings
  • Disable POP3 electronic messaging

Select the option that addresses your SMTP mail needs and your POP3 Internet mail selection. After you click Next, you move through the screens based on your SMTP configuration selection, after which you will configure POP3, if selected.


If You Selected 'Do Not Change'

If you selected not to change SMTP settings and you also selected to enable POP3 settings, clicking Next takes you to the Create POP3 Account page.

If you selected not to change SMTP settings and you also selected not to change your POP3 settings, clicking Next takes you to the Configure Firewall Settings page.

If you selected not to change SMTP settings and you also selected to disable your POP3 settings, the wizard stops the POP3 service and sets its start up property to "disabled." Clicking Next takes you to the Configure Firewall Settings page.

If you selected not to change SMTP settings, you do not have a second network adapter card installed, and do not have ISA Server installed, then you exit the wizard.


If You Selected 'Do Not Use SMTP'

If you selected not to use SMTP, but chose to configure a POP3 connection, the Configure POP3 Connector's SMTP Server Address page appears. Clicking Next takes you to the Create POP3 Account page.

If you selected not to use SMTP and selected not to configure a POP3 connection, and ISA Server is installed, clicking Next takes you to the Configure Firewall Settings page.

If you have an SMTP connector previously created by this wizard, it will be deleted.

Warning If you choose to use POP3 for incoming e-mail and do not use SMTP, you will be unable to send outgoing mail unless you have a third-party SMTP connection.


If You Selected 'Use SMTP'

If you selected to use SMTP, clicking Next takes you to the Configure Internet Domain Name page. The box should be prepopulated with the Internet domain name from Exchange 2000 Server.

Clicking Next takes you to the Configure SMTP Server Address page, where you have two button options:

  • Forward all mail to host
  • Use domain name system (DNS) for mail delivery

Selecting Forward all mail to host forwards all SMTP mail to a server at your ISP. Your ISP will provide you with the name or IP address of that server for you to type in the box provided on this page.

Clicking Next takes you to the Receive Exchange Mail page. Here you choose the type of signal you will send to your ISP to receive e-mail, or not to send a signal at all.

If you choose to send a signal, you have two button options:

  • ETRN command
  • Issue TURN after authentication

And a check box:

  • Receive mail from a different host

An ETRN command (Enhanced TURN) enables your Exchange Server computer to connect to your ISP's mail server that has been queuing mail for you by using an SMTP connector and issue the ETRN command. The ISP's mail server then delivers any queued messages to your Exchange Server computer. This requires a static IP address.

If you select the check box to receive mail from a different host, you must get the name or IP address of this mail server and type it in the box provided.

If you select TURN and click Next, the Set Up Authentication page appears. On this page, type your ISP account name and password. This does not require a static IP address. Clicking Next will take you to the Mail Delivery Frequency page.

If you selected to configure a POP3 account, the Review POP3 Mailboxes page appears. On this page you can add, change, or remove POP3 mailboxes. If you select Add, the Create POP3 Account page appears. Enter or select the following information to create a POP3 account:

  • Mailbox type (for example, individual POP3 mailbox)
  • Mail server (server's DNS name or IP address)
  • Login name
  • Password
  • Authentication (for example, plain text)
  • Exchange user

When you have completed this information, click OK, this returns you to the Review POP3 Mailboxes page, which contains an updated list of POP3 accounts.

Note You are required to enter at least one POP3 mailbox in order to configure POP3 mail. If you do not want to add a POP3 mailbox at this time, you must return to the mail selection page and turn off POP3 mail.

After you click Next, the Mail Delivery Frequency page appears. Type how often you would like your Exchange server to check for mail. It can check as often as every 15 minutes. Outgoing e-mail will be sent at this time.

When you have completed the Mail Delivery Frequency page, click Next.


Configuring Packet Filtering

On the Configure Packet Filtering page, you have button options to enable, disable, or not change firewall settings. If you choose to enable your firewall by using ISA Server, you have six services to which you can grant users access:

  • My Mail Server (Exchange Server)
  • My Web Server and Web-based Mail Server
  • Virtual Private Networking (PPTP client access)
  • POP3
  • FTP
  • Terminal Services

Select each check box to open the ports in your ISA Server that enable users to access these services. Click Next.

When you select to enable packet filtering, the wizard will also automatically configure ISA Server to allow core networking services, such as DNS and Web access.

On the Completing the Internet Connection Wizard page, click Finish.

The Internet Connection Wizard will configure each of the services you selected and provide status as each one completes. This may take several minutes.


Change ISP Password Wizard

The password that is used to connect to your ISP is stored in several places and used to access different services. It can be difficult to remember to change all instances of the password. If you do not change all instances, however, a loss of services can result. The Change ISP Password Wizard ensures that all instances of the ISP password are changed.

To start the Change ISP Password Wizard

  • Click Start, point to Programs, point to Small Business Server, and then click Change ISP Password Wizard.


Chapter 8 Backup and Restoration

Backing up and restoring system state data, files, and other data on your system is vital to planning a reliable configuration. Regular backup of servers and local hard disks prevent data loss and damage caused by disk drive failures, power outages, virus infection, and many other possible computer problems. You must back up your data so that you can restore important information or settings if problems occur. Microsoft® Small Business Server 2000 uses the Backup utility from Microsoft Windows® 2000 Server to ensure up-to-date data replication.


Backup Types

The Backup utility offers several types of backups:

  • Normal A normal backup copies all selected files and marks each as backed up. With normal backups, you need only the most recent copy of the backup file to restore all the files.
  • Incremental An incremental backup copies only those files that were created or changed since the last normal or incremental backup and marks files as backed up. If you implement a combination of normal and incremental backups, you must have the most recent normal backup set, as well as all the incremental backup sets, to restore your data.
  • Differential A differential backup copies files that were created or changed since the last normal or incremental backup but does not mark files as backed up. If you implement a combination of normal and differential backups, you must have the last normal and last differential backup sets to restore your data.
  • Copy A copy backup copies all selected files but does not mark each file as backed up. This type of backup is useful between normal and incremental backups, because it does not affect other backup operations.
  • Daily A daily backup copies all selected files that have been changed on the day the daily backup is performed. The backed up files are not marked as backed up.

The following table compares three types of backups.

Backup type | Advantages | Disadvantages
Normal | Easy-to-find files because they are always on a current backup of your system or on one medium. File restoration from only one medium or set of media. | Most time consumed. Redundant backups if files do not change frequently. Requires more disk, tape, or network drive space.
Incremental | Least required data storage space. Least time consumed. | Difficult to find files because they can be on several media.
Differential | Need for only the last normal backup medium and last differential medium. Less time consumed than normal backups. | Longer restoration time than if files were on a single medium. If large amounts of data change daily, longer backup time.

Important You should perform regular backups when the fewest people are accessing the network. If many files are in use, your system will not be completely backed up.


Storage Devices and Media

Windows 2000 can back up files to a variety of storage devices, including a tape drive, read/write disc drive, logical drive, removable disk, network share, or a library of disks or tapes organized into a media pool and controlled by a robotic changer. If you do not have a separate storage device, you can back up to another hard disk or to a floppy disk.


Storage Devices

Storage technology changes rapidly, so it is important to research the merits of various media before you make a purchase. When selecting a storage device, consider drive and media costs, as well as reliability and capacity. An ideal storage device has more than enough capacity to back up your largest server and can also detect and correct errors during backup and restore operations. For information about supported storage devices, refer to the Microsoft Windows 2000 Hardware Compatibility List (HCL) available on the Internet at:

http://www.microsoft.com/hcl/

Tip The best way to ensure that your storage devices and media are working correctly is to regularly verify your backups by restoring files from different locations on the backup media or from multiple tapes.


Media Types

The most common type of storage medium is magnetic tape. The primary tape drives used for backup include quarter-inch cartridges (QIC), digital audio tapes (DAT), 8-millimeter (mm) cassettes, and digital linear tapes (DLT). High-capacity, high-performance tape drives typically use small computer system interface (SCSI) controllers. Other types of media include hard disks, magnetic disks, and network drives.

Important Ntbackup.exe does not support backing up to CD-R, CD-RW, or DVD-R because Remote Storage Management does not recognize these devices as backup pool media.


Backup Strategies

A good backup strategy is the best defense against data loss. When determining the appropriate strategy for your network, three common backup strategies to consider include:

  • Server-only backup Do you plan to back up your entire network, or do you have storage devices attached to certain servers on which users copy important files?
  • Local computer backup Does each computer need a storage device? Is each user responsible for backing up his or her data?
  • Server and local computer backup Does each department have a storage device and a designated user to back up all data for that department?

The following table compares server-only backups and local computer backups.

Backup type | Advantages | Disadvantages
Server-only | Fewer required storage devices. Fewer media to manage because shared media stores multiple backups. If each server has more than one client computer, the backup cost is lower than backing up individual computers. | No backup of registries and event logs of remote computers. Slower backups and restorations because of network activity. Greater planning and preparation when network traffic is low or when critical information can be backed up as quickly as possible.
Local computer | Fewer network resources that are committed to lengthy backup procedures. Quicker file restoration. | Cost of additional storage devices. Users who generally do not perform local backups.

Backups that include computers running both Windows 2000 Server and Microsoft Windows 2000 Professional combine the advantages and disadvantages of server-only and local computer backups. Additional considerations include:

  • Servers typically operate 24 hours a day, so it is possible to run backups when network activity is low. However, if a problem occurs with internal backup hardware, server maintenance may be necessary and could cause network and resource downtime.
  • If data is primarily on one server, it is better to run backups from that server.

Note Whether you run remote backups from a local computer or a server, you should place the storage device on the portion of your network that has the greatest bandwidth or highest transmission frequency.


Security Considerations

When you design a backup plan, consider securing your backup media in the following ways:

  • Secure the storage device and the backup media. Data from stolen media can be accessed and restored to another server.
  • Back up an entire volume in preparation for a potential disk failure. It is more efficient to restore the entire volume in one operation.
  • Always back up the system state data on a domain controller to prevent the loss of user accounts and security information.
  • Keep three current copies of backup media. Store at least one copy off-site in a properly controlled environment.
  • If you are using an external backup storage device, consider keeping it in a secure room.


Designing a Backup Plan

The frequency of your backups depends on how often your data changes and how valuable your data is. Backups are typically performed every day. Two common tape rotation schedules are detailed below.


Two-Week Schedule
The two-week schedule uses a different backup tape each day for two weeks, with the first tape being used again at the beginning of every third week. Incremental backups are performed Monday through Thursday, and normal backups are performed Friday, with the most recent normal backup (Tape 10) stored on-site. The normal backup from the preceding week (Tape 5) is stored off-site. At the end of two weeks, the cycle restarts with a new set of tapes.


Monthly Schedule

The monthly schedule uses eight tapes in one month. Four tapes are used Monday through Thursday for incremental backups, and four tapes are used for normal backups performed each Friday. Tapes from normal backup should be stored off-site every other week (Tapes 6 and 8). The other normal backups are stored on-site (Tapes 5 and 7).


Testing Backups

Complete verification of the entire backup and restore process is critical. You should develop backup and restore strategies with appropriate resources and personnel, and then test them. Testing backup strategies also shows how much time is required to restore data. A good backup plan ensures fast restoration of lost data.

Perform a trial restoration periodically to verify that your files are properly backed up. A trial restoration can uncover hardware problems that do not show up during software verification.


Backing Up System State Data

System state data includes the following files:

  • Boot files, including the system files, and all files protected by Windows File Protection
  • Active Directory™ (on a domain controller only)
  • Sysvol (on a domain controller only)
  • Certificate Services (on certification authority only)
  • The registry
  • Component Services Class registration database

The system state data can be backed up in any order. Restoration of the system state replaces boot files first and commits the system hive of the registry as a final step in the process.

System state backup and restore operations include all system state data. You cannot choose to back up or restore individual components because of dependencies among the system state components. However, you can restore system state data to an alternate location in which only the registry files, Sysvol directory files, and system boot files are restored. The Active Directory database, Certificate Services database, and Component Services Class Registration database are not restored to the alternate location.


Collecting and Recording System Information

It is important to collect basic information about your system and store it in a safe place before a disaster occurs. The information contained in the following table is vital when restoring your system.

Item | Information
Disk configuration | Record the volumes and sizes of the disks in your system by using the Disk Management system utility. You use this information to recreate the disk configuration in the case of a complete disk failure. All disk configurations must be restored before restoring System State or data to your computer. If disk configurations are not restored first, it can cause failure in the restore process.
Computer name | Record the computer name. You use the computer name to restore a computer of the same name and avoid changing many different client configuration settings.
IP addresses | If the computer has a static IP address, record it so that you can set it up when you restore the computer.
Video mode settings | If the resolution and color depth are important on this particular computer, record these settings.
Domain information | Know what domain this computer belongs to and be prepared to set up a new computer account for it. Even if the computer name does not change, it may be necessary to re-establish the account.
Local administrative password | You must know the local computer's administrative password that was used when the backup was created. If you do not have this information, you cannot log on to the computer and after it is restored to establish a domain account. If you are not part of the domain, you cannot use a domain account. This applies even if you are the domain administrator. The local administrator's password is also required to restore the System State on a domain controller.

To collect system information contained in the preceding table

  1. Click Start, and then click Run.
  2. Type Msinfo32, and then click OK.

The output can be saved as either a text file or a system information file and then stored on a floppy disk or printed.


Windows 2000 Backup Wizard

The Windows 2000 Backup Wizard helps you create a backup of your programs and files to help prevent data loss and damage caused by disk failures, power outages, virus infections, and other potentially damaging events.

To run the Windows 2000 Backup Wizard

  1. Click Start, point to Programs, point to Accessories, point to System Tools, and then click Backup.
  2. On the next page, click the Backup Wizard button.
  3. On the Welcome page, click Next, and then select from three options on the What to Back Up page:
    • Back up everything on my computer
    • Back up selected files, devices, or network data
    • Only back up System State data
  4. If you select Back up everything on my computer or Only back up System State data, the Where to Store the Backup page appears, and you can specify the location of the backup device.
  5. If you select Back up selected files, devices, or network data, the Items to Backup page appears, and you can select the check box for each file or the entire drive that you want to back up.
  6. When the Completing the Backup Wizard page appears, click Finish to begin your backup or click Advanced to set additional options.
  7. If you click Advanced, several additional wizard pages appear.
  8. On the Type of Backup page, select the type of backup you want to run (refer to the definitions for backup types that were given earlier).
  9. On the How to Backup page, you can select Verify data after backup, which means that the backed-up data is checked for data integrity (this adds time to the backup process).
  10. On the Media Options page, you can choose to append data on existing backup media or replace it.
  11. On the Backup Label page, you can name and date your backup.
  12. On the When to Backup page, you can choose to backup now or later. If you choose later, you can schedule when the backup occurs. You must be a member of the Administrators group or Backup Operators group to schedule backups. Your backup frequency options are:
    • Daily
    • Weekly
    • Monthly
    • Once
    • At System Startup
    • At Logon
    • When Idle
  13. After you schedule your backup (or if you selected to run it now), the Completing Backup Wizard page reappears. Click Finish to begin the backup or exit the program until the scheduled backup takes place, depending on your selections.


Windows 2000 Restore Wizard

You can use the Windows 2000 Restore Wizard to restore data to your server after data loss. This wizard also helps you to restore your previously backed-up data if your data is lost or damaged.

To run the Windows 2000 Restore Wizard

  1. Click Start, point to Programs, point to Accessories, point to System Tools, and then click Backup.
  2. On the next page, click the Restore Wizard button.
  3. On the Welcome page, click Next. The What to Restore page appears, and you can select the files that you want to restore.
  4. On the Completing Restore Wizard page, either click Finish to begin restoring files, or click Advanced for further options.
  5. If you click Advanced, the Where to Restore page appears. On this page, you can choose to restore data to one of three locations:
    • Original location
    • Alternate location
    • Single folder
  6. If you select Alternate location or Single folder, you must type the path to the alternate location.
  7. On the How to Restore page, you have three options for replacing files:
    • Do not replace the file on my disk (recommended)
    • Replace the file on my disk only if it is older than the backup copy
    • Always replace the file on my disk
  8. On the Advanced Restore Options page, select the special restore options that you want to use, such as Restore Security.
  9. On the Completing Restore Wizard page, click Finish to begin restoring data.


Create an Emergency Repair Disk

An Emergency Repair Disk (ERD) is used in combination with your Windows 2000 Server compact disc to fix problems that prevent you from starting a Windows 2000 system in the event of damage or corruption. You must create an ERD immediately after installing BackOffice Server and then create a new ERD whenever you significantly alter your system configurations. It is important to clearly label and date your ERDs.

To create an Emergency Repair Disk

  1. Click Start, point to Programs, point to Accessories, point to System Tools, and then click Backup.
  2. On the next page, click the Emergency Repair Disk button.
  3. When you are prompted, insert a floppy disk, select the check box to back up the registry as well, and then click OK.


Additional Resources

  • For information about backing up Microsoft Exchange 2000 Server, refer to Exchange documentation.
  • For information about backing up SQL Server™ 2000, refer to SQL Server documentation.
  • For information about backing up Internet Security and Acceleration (ISA) Server 2000, refer to ISA Server documentation.
  • For information about backing up Systems Management Server (SMS), refer to SMS documentation.
  • For information about backing up the Windows 2000 Server, refer to Windows documentation.


Chapter 9 System Security

Security is one of the most important concerns about a computer system today. Understandably, securing the servers, network, and business data should be one of your top priorities. This chapter outlines important network security considerations and provides practical tips for implementing a security plan.


Windows 2000 Server Security Overview

Microsoft® Windows® 2000 Server, which ships as part of Microsoft Small Business Server 2000, provides sophisticated standards-based network security. The standards-based Kerberos version 5 authentication protocol is integrated directly into Active Directory™ directory service, which provides you with powerful standards-based authentication. In addition, this provides users with a single user name and password combination for the network.

Windows 2000 Server also relies on certificates to identify both users and services, and new support for smart cards provides new choices for security. In addition, the Encrypting File System (EFS) keeps data safe on a disk even if the computer is not physically secure.

The following table provides highlights of the Windows 2000 Server security features.

Security feature | Security feature overview
Kerberos protocol | Kerberos is an Internet standard for authentication. The Kerberos protocol issues a ticket to the client system. The ticket is used to validate the user to the network resource that is being accessed, and it also validates the network resource to the client, which protects against the possibility of impersonating a server.
Internet Protocol security (IPSec) | IPSec is a suite of protocols that allows secure, encrypted communication between two computers over an insecure network. IPSec provides end-to-end security, which means that the Internet Protocol (IP) packets are encrypted by the sending computer, are unreadable en route, and can be decrypted only by the recipient computer.
Certificate Services | You can either obtain the necessary keys from an outside Certification Authority (CA), or you can become a CA by using Certificate Services that is included with Windows 2000 Server.
Smart cards | Windows 2000 provides support for smart cards, which are typically the size of credit cards and contain information about a user. The user authenticates the smart card by using a PIN, which guarantees that the user being authenticated has both the card and the required password.
Encrypting File System (EFS) | EFS protects files on NTFS file system partitions against unauthorized users who bypass Windows 2000 security. In the past, someone starting a computer in a non-Windows 2000 operating system could grant unauthorized users access to unencrypted technology. With EFS in place, this potential security breach is not possible.


Internal Security

Although hackers do represent a threat to network security, a greater threat to a network comes from within. Although there is no easy formula for successful network security, there are several solutions you can use to help protect your network servers and data.


Employees

Disgruntled and former employees are a threat to network security. Keep the following personnel security issues in mind when developing policy:

  • Conduct pre-employment background investigations.
  • Make sure you delete all associated accounts and passwords when an employee leaves.
  • Train your users to be alert and to report suspicious activity.
  • Do not grant privileges automatically. If users do not need access to particular computers, computer rooms, or sets of files, ensure that they do not have access.
  • Train supervisors to identify and respond to potential employee problems.
  • Expect "revenge" from disgruntled employees and former employees.
  • Monitor system usage for unusual activity.
  • Make sure your employees understand their role in maintaining network security.
  • Give a copy of your company policies to every employee.
  • Do not allow users to install their own software.


Passwords

Enforcing a strong password policy is the first step to securing a network's resources. In addition to the password itself, make sure you enforce an account policy that requires:

  • Frequent password changes (every 60 days)
  • A minimum password length (at least 8 characters)
  • Password history (remember 18 passwords)
  • Account lockout (after three bad logon attempts)
  • Lockout duration (until the administrator unlocks)

In addition to a password policy, implement the following guidelines:

  • Discourage employees from giving out or writing down their passwords.
  • Encourage employees to "lock" their workstations, even if they are away for only a moment.
  • Use Windows 2000 Professional or Windows NT® Workstation version 4.0 client operating systems because of their built-in security features.

After you implement a good policy, educate users about the difference between good and bad passwords. Remind users that the best password is useless when it is written on a note and placed on the monitor.

Passwords should not contain:

  • A user's name or e-mail alias.
  • The name of the user's child, parent, spouse, or friend.
  • Any word (such as table or computer) found in a dictionary.
  • A birth date.
  • A phone number.
  • A Social Security or other government identification number.
  • Any easily obtained personal information.

Good passwords contain:

  • Uppercase letters (A, B, C, . . . Z).
  • Lowercase letters (a, b, c, . . . z).
  • Numbers (0, 1, 2, . . . 9).
  • Special characters (such as punctuation).
  • At least eight characters (more is better).
  • No easily obtained personal information.
  • No words (such as table or computer) found in a dictionary.

Remember, you can set minimum requirements for passwords, such as requiring special characters and uppercase and lowercase letters, but users can still choose bad passwords or — worse yet — leave their password out in the open. Educating users about the importance of secure passwords is essential.

For the administrator:

  • Use a strong password at all times (Example: diT$34ppK).
  • Log on by using your alias and not "Administrator."
  • Never leave a computer unattended while logged on with an account in the Administrators group.
  • Do not give out the administrator password.
  • Rename the administrator account.
  • Use Windows 2000 delegated management instead of giving out administrative rights.


Management Consoles

Small Business Server 2000 provides the ability to lock down management consoles, like the Small Business Server Personal Console, so that neither management tools nor the console can be customized.

You can also configure Windows 2000–based Terminal Services in remote administration mode as the only management access to the Small Business Server computer. When a Power User or technology consultant begins a session on the Small Business Server computer by using Terminal Services, you can configure the session so that only the management console appears in the emulated desktop. This gives the user no further access to the server. When the user closes the management console, the Terminal Services session ends.


Physical Security

It is important to never forget physical security considerations when developing security policies and procedures. Consider the following physical security issues when developing a policy:

  • Ensure that you lock server rooms and places where software and manuals are stored.
  • Keep unauthorized users away from the power and reset switches on the server.
  • Consider removing the floppy disk drive from client workstations.
  • Ensure that you have basic burglar alarms installed regardless of how sensitive your data is.
  • Ensure that you store backups of critical data off-site and that software is stored in fireproof containers when not in use.


External Security

Firewall

A firewall is a piece of hardware or software that prevents data packets from either entering or leaving a specified network. To control the flow of traffic, numbered ports in the firewall are either opened or closed to information packets. The firewall looks at several pieces of information in each arriving or departing packet: the protocol through which the packet is being delivered, the destination or sender of the packet, the type of content that is contained in the packet, and the port number to which it is being sent. If the firewall is configured to accept the specified protocol through the targeted port, the packet is allowed through. Small Business Server 2000 ships with Internet Security and Acceleration (ISA) Server 2000 as its firewall solution.


ISA Server 2000

ISA Server securely routes requests and responses between the Internet and client computers on the internal network.

ISA Server acts as the secure gateway to the Internet for clients on the local network. The ISA Server computer is transparent to the other parties in the communication path. The Internet user should not be able to tell that a firewall server is there, unless the user attempts to access a service or go to a site where the ISA Server computer denies access. The Internet server that is being accessed interprets the requests from the ISA Server computer as if it originated from the client application.

When you choose IP fragment filtering, you enable the Web Proxy and Firewall services to filter packet fragments. By filtering packet fragments, all fragmented IP packets are dropped. A well-known attack involves sending fragmented packets and then reassembling them in such a way that may cause harm to the system.

ISA Server features an intrusion detection mechanism, which identifies when an attack is attempted against a network and performs a set of configured actions (or alerts) in case of an attack.

If Microsoft Internet Information Services (IIS) is installed on the ISA Server computer, it must be configured to not use the ports that ISA Server uses for outgoing Web requests (by default, 8080) and for incoming Web requests (by default, 80). For example, you can change IIS to monitor port 81, and then configure the ISA Server computer to direct the incoming Web requests to port 81 on the local computer running IIS.

If there is a conflict between ports used by ISA Server and those used by IIS, the setup program stops the IIS publishing service. You can then change IIS to monitor a different part, and then restart the IIS publishing service.


ISA Server Policies

You can define an ISA Server policy that dictates inbound and outbound access. Site and content rules specify which sites and content can be accessed. Protocol rules indicate whether a particular protocol is accessible for inbound and outbound communication.

You can create site and content rules, protocol rules, Web publishing rules, and IP packet filters. These policies determine how the ISA Server clients communicate with the Internet and what communication is permitted.


Common Ports

The following table displays common port numbers that are used to access resources through a firewall.

Port | Protocol | Function
20, 21 | TCP | File Transfer Protocol (FTP)
25 | TCP | Simple Mail Transfer Protocol (SMTP) client
53 | TCP | Domain Name System (DNS)
80 | TCP | Hypertext Transfer Protocol (HTTP)
88 | TCP/UDP | Kerberos version 5 authentication protocol
110 | TCP | Post Office Protocol version 3 (POP3)
443 | TCP | Outlook Web Client
546 | TCP | Dynamic Host Configuration Protocol (DHCP)
1230 | TCP | Exchange Instant Messaging
1755 | TCP | Microsoft Windows Media™ (Microsoft NetShow®)
3389 | RDP | Terminal Services remote administration mode
7070 | TCP | Real Media
8080 | TCP | ISA Server port for outgoing Web requests

Note Because Windows Media does not use any of the standard or "well-known" ports that would be open by default (except HTTP), you must open port 1755. Windows Media Technologies was formerly known as NetShow; many firewalls have a NetShow port setting that can also be used for Windows Media.


Virus Protection

A computer virus is an executable file that is designed to replicate itself, erase or corrupt data files and programs, and avoid detection. In fact, viruses are often rewritten and adjusted so that they will not be detected. Viruses are often sent as attachments in e-mail. Antivirus programs must be updated continuously to look for new and modified viruses. Viruses are the number one method of computer vandalism.

Antivirus software is software that is specifically designed for the detection and prevention of virus programs. Because new virus programs are created all the time, many makers of antivirus products offer periodic updates of their software to their customers. Microsoft strongly recommends that you use antivirus software on your computer.

The one thing that you need to communicate to users is that, at this point in time, a virus cannot do any damage to computer systems unless it is executed. If a user receives a virus as an attachment in an e-mail message, for instance, the virus can be safely deleted without any harm to the e-mail server or the user's local computer.


Types of Viruses

There are three main types of viruses that infect computer systems.

Boot-Sector Viruses

When a computer starts, it scans the boot sector of the hard disk before loading the operating system or any other startup files. A boot-sector virus is designed to replace the information in the hard disk's boot sectors with its own code. When a computer is infected with a boot-sector virus, the virus' code is read into memory before anything else. After the virus is in memory, it can replicate itself onto any other disks that are used in the infected computer.

File-Infecting Viruses

This is the most common type of virus. A file-infecting virus attaches itself to an executable program file by adding its own code to the executable file. The virus code is usually added in such a way that it escapes detection. When the infected file is run, the virus can attach itself to other executable files. Files infected by this type of virus usually have a .COM, .EXE, or .SYS extension.

Some file-infecting viruses are designed for specific programs. Program types that are often targeted are overlay (.OVL) files and dynamic-link library (.DLL) files. Although these files are not executed, executable files call them. The virus is transmitted when the call is made.

Damage to data occurs when the virus is triggered. A virus can be triggered when an infected file is executed or when a particular environment setting is met (such as a specific system date).

Trojan Horse Programs

A Trojan horse program is not a virus. The key distinction between a virus and a Trojan horse program is that a Trojan horse program does not replicate itself; it only destroys information on the hard disk. A Trojan horse program disguises itself as a legitimate program such as a game or utility. A Trojan horse program often looks and initially acts like a legitimate program, but when it is executed, it can destroy or scramble data. A Trojan horse program can contain viruses, but is not a virus itself.


Virus Best Practices

You can prevent the spread of a macro virus. Here are some tips to avoid infection:

  • Know where you get a document If someone sends you a document or file, be sure you know that you can trust him or her. Is this person someone you work with? Would this person send around files from untrustworthy sources?
  • Talk to the person who created the document If you are unsure whether the document is safe, contact the person who created the document.
  • Use Microsoft Office 2000 macro virus protection In Office 2000, the applications alert you if a document that you open contains macros. This feature allows you to either enable or disable the macros as you open the document. For more information, refer to "Turn On Macro Virus Protection."
  • Use virus-scanning software to detect and remove macro viruses Virus- scanning software can detect and often remove macro viruses from documents. Microsoft recommends the use of antivirus software that is certified by the International Computer Security Association (ICSA). You can view a current list of ICSA-certified antivirus products on the ICSA Web site at:

    http://www.icsa.net/

For more information about viruses and computer security in general, refer to Microsoft Security Web sites at:

http://www.microsoft.com/security/default.asp

http://www.microsoft.com/technet/security/


Computer Viruses Questions and Answers

Q. Can data files carry viruses?

A. Data files cannot be infected; they can only be damaged. Only executable files and floppy disks with infected boot sectors can carry viruses and infect computers.

Q. Can viruses destroy hardware?

A. There are no known viruses that damage hardware.

Q. Does a virus that is sent through e-mail only execute when the e-mail is opened?

A. No. Some viruses can be embedded in e-mail and be executed by the mail program's preview pane. They do not have to be opened to infect the computer.

Q. Can setting an executable file's read-only attribute deter viruses?

A. Most viruses can easily override a read-only attribute.

Q. If software is packaged, is it virus free?

A. Packaged software can still carry viruses, particularly if a software vendor repackages returned software and sells it again.

Q. If my computer is infected, is all my data destroyed?

A. If you diagnose the virus early, it is likely that the data can be saved or recovered.

Q. Can viruses infect files on write-protected floppy disks?

A. It is impossible for a virus to infect files on a write-protected floppy disk. Ensure that you use an antivirus program with updated virus signatures. It is also recommended to add this program to the Setup Computer Wizard so that clients receive this program and any updates automatically.


Auditing and Monitoring

Auditing and monitoring are important steps that help you discover security breaches. Monitoring is the active watching of a system. Auditing follows the trail left by various logs to find out who has been accessing the system and what they have been doing.

You can use different tools that are included with Windows 2000 Server and Small Business Server 2000 to audit and monitor the network, both to see what your own users are doing and what people accessing your Web site are doing.


Watching the Outside World

It is always a good idea to keep track of who is accessing your Web site and their activities while they are there. You can audit traffic on your Web site by using IIS, which ships as part of Windows 2000 Server and Small Business Server 2000. Administrators can use security-auditing techniques to monitor a broad range of user and Web server security activity. Auditing consists of creating auditing policies for directory and file access or server events and monitoring the Security Logs to detect any access attempts by unauthorized persons.


Watching the Inside World

You sometimes have to watch what your users are doing to ensure that they are not installing software they are not supposed to use, accessing files to which they should not have access, or otherwise violating security privileges. By using Windows 2000 Server Event Logs, you can audit any of the following activities or settings:

  • Account logon events
  • Account management
  • Directory service access
  • Logon events
  • Object access
  • Policy change
  • Privilege use
  • Process tracking
  • System events


Backup and Restoration

A backup plan and restore procedures are an integral part of every security model. For more information, refer to "Chapter 8, Backup and Restore."


Chapter 10 User Account Migration and Coexistence

By using Microsoft® Windows® 2000 tools and services, Microsoft Small Business Server 2000 supports user account migration from and coexistence with Windows, and also with other operating systems. Coexistence issues are operating system issues, and it is recommended that you consult Windows 2000 documentation for more detailed information and strategies.


User Account Migration

The following sections discuss migrating user accounts to Small Business Server 2000.

Windows 2000 Server

If you have an existing computer running Windows 2000 Server, and want to upgrade to Small Business Server 2000, you can do so without losing the user accounts and permissions you established under Windows 2000 Server. After upgrading the Windows 2000 Server computer to Small Business Server 2000, Small Business Server provides the Migrate User Wizard to help you migrate those existing Windows 2000 Server user accounts to Small Business Server 2000. For more information, refer to Chapter 15, "Upgrading to Small Business Server 2000."

This migration process gives these accounts access to the same set of functionality as accounts created by the Add User Wizard, including:

  • Creating a Microsoft Exchange 2000 Server mailbox for each user
  • Creating a home folder for each user
  • Adding each user to the appropriate security groups

After the upgrade is complete, you must run the Migrate User Wizard only once to migrate all Windows 2000 Server user accounts to Small Business Server 2000 completely. The Migrate User Wizard is available on the To Do List, which launches automatically after setup completes.

Small Business Server 4.5

In Small Business Server 4.5, individual users were granted access to individual resources one by one. In Small Business Server 2000, users are added to security groups, which are then given access to all the resources that they need. Because of this difference in the way user accounts and access control are handled, there is not an automated way to migrate the permissions associated with the Small Business Server 4.5 user accounts.

When you upgrade from Small Business Server 4.5, you must manually place existing user accounts in security groups to grant resource access for your users.

Caution If you are upgrading to Small Business Server 2000 on a different computer, please refer to the white paper located in the \plan_docs folder on Small Business Server 2000 Setup disc 1.

Peer-to-Peer Networking

If your small business is currently running a peer-to-peer network where you have only client workstations networked together without a central server to store data, you can add a Small Business Server computer to provide client/server networking.

Install Small Business Server by using the process described in Chapter 16, "Installing Small Business Server 2000." You can create accounts for the existing client workstations, and use the Add User Wizard to create user accounts for your network users and physically connect the client workstations to the Small Business Server network.

Novell Systems

The Directory Services Migration Tool (DSMigrate) enables you to migrate user accounts, groups, files, and permissions from either an NDS or a bindery-based NetWare server to Windows 2000 Active Directory™ directory service. The tool also supports trial migrations, enabling you to model and test the migration before committing it to Active Directory. For more information, refer to Windows 2000 documentation or the Small Business Server 2000 Resource Kit.


Coexistence

If you have client workstations in your small business that run either Apple Macintosh or Novell Netware, they can access resources on the Small Business Server computer.


Macintosh Clients

Windows 2000 Services for Macintosh provides a powerful integration platform for Macintosh and Windows 2000 Internet networking. It enables a Windows 2000 Server computer and Apple Macintosh clients to share files over TCP/IP.

These services are included with Windows 2000 Server as an optional component.

To add file and print services for Macintosh

  1. Click Start, point to Settings, click Control Panel, double-click Add/Remove Programs, and then click Add/Remove Windows Components.
  2. On the Windows Components page, click Other Network File and Print Services (but do not select or clear its check box), and then click Details.
  3. Select the Print Services for Macintosh and File Server for Macintosh check boxes.
  4. Click OK, and then click Next.
  5. If you have not already installed the AppleTalk protocol, the protocol is installed automatically when you install Print Server for Macintosh.


Netware Clients

File and Print Services for NetWare version 5 is a backend service that enables a computer running Windows 2000 Server to emulate a server running NetWare 3.0 or later, directly providing file and print services to IPX-based client computers, such as NetWare computers. The Windows 2000 Server computer looks like any other NetWare server to the NetWare clients, and the clients can access volumes, files, and printers through the server. No changes or additions to the NetWare client software are necessary.

Note File and Print Services for NetWare is not included in Small Business Server 2000 and must be purchased separately.

To enable Netware clients to coexist with Windows clients on the Small Business Server network, you must install the IPX/SPX-compatible protocol and File and Print Services for NetWare on the Small Business Server computer.


Netware Servers

Windows 2000 Server provides several services that enable computers running Windows 2000 to coexist and interoperate with Novell NetWare networks and servers. The services included in Windows 2000 Server include:

  • NWLink IPX/SPX/NetBIOS Compatible Transport Protocol (NWLink)

    NWLink supports connectivity between computers running Windows 2000 and computers running NetWare and compatible systems.

  • Gateway Service for NetWare

    This tool enables a computer running Windows 2000 Server to connect to computers running NetWare 3.x or 4.x server software. Logon script support is also included. In addition, you can use Gateway Service for NetWare to create gateways to Network resources. Creating a gateway enables computers running only Microsoft client software to access NetWare resources through the gateway.

For more information about coexistence with NetWare Servers, refer to Windows 2000 Server documentation.


UNIX Clients

Small Business Server 2000 integrates with an existing UNIX infrastructure. To facilitate the integration of UNIX environments with the Windows 2000 Server application, Microsoft offers the Windows 2000 Services for UNIX Add-on Pack. The components of this package include technologies for resource sharing, remote administration, password synchronization, and common scripting across operating systems. Windows 2000 Services for UNIX is a separate product.


Chapter 11 System Maintenance

Microsoft® Small Business Server 2000 includes tools to centrally monitor server health, provide customizable alerts for varying levels of issues, log server status for trend analysis, and proactively respond to server problems.


Planning for Server Health

Server health starts with planning. One key strategy for maintaining a healthy Small Business Server is preparing for as many contingencies as possible. The following list is not exhaustive, but it provides the basics of your server health planning process.

Emergency Repair Disk

An Emergency Repair Disk (ERD) is used in combination with your Microsoft Windows® 2000 Server compact disc to fix problems that might prevent you from starting a Windows 2000 system. You should create an ERD immediately after installing Small Business Server, and then create a new ERD whenever you significantly change system configurations. Ensure that your ERDs are clearly labeled and dated.

Uninterruptible Power Supply

It is a good idea to purchase an uninterruptible power supply (UPS) device for your Small Business Server. In the event of a power outage, a UPS provides enough backup power supply to save data and turn off the computer safely, thereby reducing data loss.

Other benefits found in some types of UPS devices include remote UPS monitoring, Web-based monitoring, and scheduled UPS self-tests.

Data Backups

Statistics show that many small businesses do not perform regular data backups. You can evaluate the cost of your hardware or personnel, but it is almost impossible to put a price on the loss of business data. You must implement a plan to regularly back up your data, and then monitor that backup process. The following steps can help you implement successful data backups:

  • Ensure that backup devices are functioning properly.
  • Check Event Logs to verify that backups are running on schedule.
  • Test your backup data rigorously by restoring pieces of data from different parts of the backup media.
  • Carefully archive your backup media.
  • Rotate backup media and store recent full backups off-site.
  • Verify that your backups are successful on Microsoft Exchange 2000 Server and Microsoft SQL Server™.

Disaster Recovery

Successful recovery of a damaged system requires a thorough recovery plan. A basic recovery plan includes the following elements:

  • A written statement of how long you expect recovery to take and how much data (defined in days or weeks) you can afford to lose.
  • Current full and incremental data backups.
  • A current full-system backup, including the Registry.
  • A complete checklist of all the hardware you are using (both clients and servers).
  • A list of the software versions and service packs you are using.
  • Centrally stored and easily accessible copies of software, service packs, and device drivers.
  • A plan to regularly check Event Logs to prevent potential problems.

Most recoveries occur because a hardware device has failed. However, you might need to rebuild your server completely because of a catastrophe. After your disaster recovery plan is in place, you must revisit it periodically to ensure that it still meets the needs of your network.

  • Review any plans more than two years old for accuracy and completeness.
  • Test your disaster recovery plan.

Hard Disk Drive Space

Sufficient disk space and memory are critical components of a healthy server. The following steps can help you maintain your hard disk drive space:

  • Monitor available space on hard disk drives.
  • Maximize your page file size.
  • Schedule a regular hard disk drive cleanup and defragmentation (during nonbusiness hours).
  • Schedule a regular check for damage or bad sectors on the hard disk drive, file corruption, and viruses (during nonbusiness hours).

Service Availability

Configure all necessary services to start on the server automatically, where appropriate. Configure unnecessary or seldom-used services to start manually. Depending on your network configuration and installed applications and services, you can determine what constitutes a necessary service. After you have started all necessary services, you can establish a performance baseline.


Monitoring Server Health

The goal of monitoring server health is to identify and eliminate conditions that could compromise server productivity. Small Business Server provides the following tools to help your Small Business Server computer:

  • Health Monitor 2.1
  • Server Status View
  • Server Status Report

All tools are accessible from the Small Business Server Administrator Console. Health Monitor is a stand-alone Microsoft Management Console (MMC) snap-in, whereas Server Status View and Server Status Report are available in the BackOffice Home snap-in.


Health Monitor 2.1

Health Monitor 2.1 is included in Small Business Server as a powerful real-time monitoring tool. This tool lets you view in detail the status of your Small Business Server computer by collecting data centrally from Event Viewer and System Monitor (formerly Performance Monitor).

The graphical interface of Health Monitor shows the status of your Small Business Server computer and provides easy access to several categories of low-level details. Health Monitor also lets you customize how you want to be notified of problems.


Threshold Alerts

A threshold alert is an alert that notifies you when an issue recurs over time until it becomes a problem.

For example, if you set an alert to notify you if free disk space reaches 30 percent for an hour, the alert would be generated after the hour, instead of immediately. This feature helps eliminate frequent alert notifications.


Alert Levels

You can set three types of alerts — Informational, Warning, and Critical — to be generated immediately under certain conditions.

You can set multiple levels of alerts by using all three alert types. For example, you can set an Informational alert when free disk space reaches 30 percent, a Warning alert when it reaches 20 percent, and a Critical alert when it reaches 10 percent.


Corrective Actions

You can configure your system to respond to problems by sending multiple types and levels of alerts, for example, you can:

  • Receive a notification by e-mail or pager.
  • Write the problem to a text or log file.
  • Run a script or configure a command-line action.

For example, you might want the system to generate a log at all alert levels, but only call your pager during a critical alert. For some alerts, the system writes to the log and runs a script at one level, but writes to a text file and executes a command-line action at another alert level. You have the flexibility to monitor your system in a way that accommodates your personal and organizational needs.


Server Status View

Server Status View is part of the BackOffice Home snap-in. It is designed for administrators and office power users, and it provides a high-level, summary view of server status.

The Server Status View interface is organized into views. Small Business Server divides the information into the following three panes.


Alerts

The top pane shows any alerts triggered on that server. It displays the type of alert and the time that it occurred. An administrator can then use the Small Business Server Console to open Health Monitor and address the problem.


Performance Counters

The middle pane lists the performance counters that have been activated for the server. These performance counters provide information about server resources such as logical disk, memory, and free disk space. From this view, you can customize which counters appear by selecting them from a drop-down list. Counters that measure percentages are displayed as bar graphs for easy visual reference.


Services

The bottom pane displays a customizable list of services that are set to start automatically on the server, although the services have not yet started. From this interface, you can start or resume services and add additional services to the list. You can sort this list by category.


Server Status Report

As part of your regular server health plan, you can schedule text-based server status reports to be sent to multiple e-mail addresses or a single fax number by using the Windows 2000 Server Task Scheduler. You can generate these reports for Small Business Server and send them as frequently as needed.

If you send them as e-mail messages, you can attach chronological log files, such as the Event Log or Backup Log, or send raw data in an Extensible Markup Language (XML) document. You can also add your own text files to e-mail. You can then store this data for historical analysis and forecasting.


Chapter 12 Client Considerations

Microsoft® Small Business Server 2000 includes software that lets client workstations access shared services and the Internet. This chapter discusses these client applications, client setup issues, and application deployment options.


Shared Devices

Client software included in Small Business Server lets users share the following devices.

Shared Fax Service

Shared Fax Service client software lets users send a fax from their desktops without having to wait for the company fax machine to become available. In addition, users can manage — start, delete, and pause — fax jobs and edit fax cover pages by using the fax client console.

Shared Modem Service

Shared Modem Service lets users share modems that are installed on the server. This eliminates the need for each workstation to have a modem. Shared Modem Service also reduces waiting time for connections because the server automatically uses the next available modem in the pool to handle Internet connections and other dial-out requests.


Internet

Firewall Client

Firewall Client is responsible for establishing a communication path from the client computer to the Internet through Microsoft Internet Security and Acceleration (ISA) Server 2000. If an application tries to access the Internet, Firewall Client intercepts and redirects that request to a specific port on the ISA Server. Firewall Client is available for all client workstations.

Internet Explorer

Small Business Server ships with Microsoft Internet Explorer 5. Internet Explorer is a full-featured Internet browser that provides an easy, consistent, and organized way to navigate Web sites.

Internet Access

By default, no outside Internet access is granted for client workstations through the firewall. You must configure ISA Server to grant users access to the Internet. Typically, users want to reach news agencies, Internet mail accounts, and streaming media. For further information on configuring ISA Server, refer to the ISA Server online documentation.


Client Setup

Small Business Server simplifies client workstation setup.

Set Up Computer Wizard

The Small Business Server Set Up Computer Wizard allows you to manage the task of workstation configuration in three easy steps:

  1. The Set Up Computer Wizard automates the task of setting up network connectivity on a client workstation. The wizard creates computer accounts and then creates one floppy disk for setting up networking on all client workstations. In addition, you can specify client applications to be installed on client workstations.
  2. When you run the floppy disk on a client workstation, it configures the client's networking settings. When client setup is complete, the client workstation restarts and the user can log on.
  3. After users log on to the domain, they are asked if they want to accept preselected client applications for installation on their workstations. These might include Firewall Client, Modem Sharing Client, Microsoft Outlook®, Fax Client, and Internet Explorer. If users agree, the applications are installed and configured automatically.

You can extend the default applications that are installed by using the Set Up Computer Wizard to include virtually any program that supports command-line installation. This includes the Windows® 2000–based Terminal Services client.


Terminal Services Application Sharing

Windows 2000–based Terminal Services running in Application Sharing mode enables you to integrate client workstations that have minimal processing power into your Small Business Server network. All application processing occurs on the server, which sends an emulated desktop to the client. You must purchase an additional computer to run Windows 2000–based Terminal Services in your small business; Terminal Services cannot run on your Small Business Server computer.

After a user logs on to both the client computer and the server running Terminal Services, applications open in the Terminal Services window on the client desktop. The user on the client computer works as if the application is running locally.

On the server running Terminal Services, you can use the Terminal Services Client Creator to create the Terminal Services client floppy disks (two disks for 32-bit Windows operating systems, four disks for 16-bit Windows operating systems), and then use them to install Terminal Services on your client computers. After the installation is complete, a user can log on to the server running Terminal Services.

Supported client operating systems include:

  • Windows 2000 Professional
  • Windows Millennium Edition
  • Windows NT® Workstation 4.0
  • Windows 98
  • Windows 95
  • Windows 3.x
  • Windows for Pocket PC 3.0

This table shows how many users can simultaneously use a server running Terminal Services in application-sharing mode, if Terminal Services is installed on a separate member server and on a drive partition formatted with the NTFS file system.

Server configuration | Task-based users | Typical users | Advanced users
Single-processor, 200-MHz Pentium Pro or compatible, 128-MB RAM* | 25 | 15 | 8
Dual-processor, 200-MHz Pentium Pro or compatible, 256-MB RAM* | 50 | 30 | 15

*More RAM and an upgraded processor can accommodate more users and provide better performance.

  • Task-based users use a single data-entry application.
  • Typical users run one or two applications at a time, with light-to-moderate data processing demands.
  • Advanced users run three or more applications simultaneously. Advanced users may run applications with heavy data processing demands.

Tip Adding extra RAM and using small computer system interface (SCSI) disk drives, especially devices compatible with Fast SCSI and SCSI-2, significantly increases performance. For additional information, visit http://www.microsoft.com/windows2000/guide/server/features/terminalsvcs.asp


Windows 2000 Professional

Windows 2000 Professional is the next-generation Windows desktop and laptop operating system for businesses of all sizes. Some benefits of Windows 2000 Professional include:

  • Remote installation service.
  • Offline folder support.
  • The ability to run Microsoft BackOffice® Server management tools natively.

Windows 2000 Professional also enables easy application deployment. You can install applications on Windows 2000 Professional client computers in three ways, as described in the following sections.


Publish an Application

When a software application is published, it is available to a user in one of two ways:

  • Add/Remove Programs icon in Control Panel A user double-clicks the Add/Remove Programs icon, and then selects from the list of available applications. This is beneficial because the user no longer needs to know the path to a shared folder or obtain the setup compact discs.
  • Document invocation When a user double-clicks a file without an associated program installed locally to run it, the program is installed automatically and the file opens. This option installs only applications that the user needs.


Assign Applications to a User

This option assigns an application, or set of applications, to users in an organizational unit through Group Policy. When a user logs on to a workstation, the applications assigned to that user are installed on first use. The advantage is that users have a standard set of applications regardless of which workstation they use.


Assign Applications to a Computer

This option assigns an application, or set of applications, to computers in an organizational unit through Group Policy. This is beneficial when all the computers in an organizational unit require a standard set of applications. This also makes workstation setup a simple process because all assigned programs are deployed to a workstation at startup. In addition, if an application gets deleted, it is reinstalled the next time the computer is restarted.

For additional information, refer to Windows 2000 Server Online Help or visit http://www.microsoft.com/windows2000/guide/professional/overview/default.asp


Scheduling and Messaging

Small Business Server includes messaging support for remote users and provides the ability to send instant messages over the network.


Outlook Web Access Client

Users who are away from their computers or who share a computer can use Outlook Web Access for Exchange and a Web browser to access e-mail, personal calendars, group scheduling, and collaboration applications on Exchange. Outlook Web Access provides basic, secure access to e-mail, calendar, and group scheduling, along with public folders.


Instant Messaging

The Instant Messaging feature of Exchange allows users to determine whether colleagues are online, and then enables them to instantaneously send short text messages to one another without server-to-server communication.


Chapter 13 Deploying Office 2000

This chapter discusses ways you can deploy Microsoft® Office 2000 to all client workstations in your small business. This involves:

  • Creating a share on the computer running Microsoft Small Business Server 2000 by using the Add Shared Folder Wizard.
  • Performing an administrative installation of Office 2000 to the new share on the computer running Small Business Server.

    Note Office 2000 is sold separately.


Using the Set Up Computer Wizard

When you first set up your network, the Small Business Server Set Up Computer Wizard automates the task of setting up client workstations, including networking configuration and application deployment. After the network is set up, you can use the Set Up Computer Wizard to deploy additional applications across your network. This is the most convenient method of deploying Office 2000 for a Small Business Server network.

By default, the Set Up Computer Wizard includes only the client software that ships with Small Business Server, such as Firewall Client and Fax Client. However, after you purchase Office 2000, you can use the Client Setup Extensibility Wizard to add Office 2000 to the Set Up Computer Wizard. You can then use the Set Up Computer Wizard to deploy Office 2000 to all your client workstations.

Important You must purchase one license for each workstation to which you want to deploy Office 2000.

To add Office 2000 to the Set Up Computer Wizard and deploy Office 2000 to client workstations

  1. From the Shared Folders node of the Small Business Server Administrator Console or from the Shared Folders Taskpad in the Small Business Server Personal Console, use the Add Shared Folder Wizard to create a new share on the Small Business Server network. Set the permissions on the folder to Administrator Full Control, All Users Read-Only Access. Give the new shared folder a simple name with no spaces, such as Office2000CD1.

    Note Depending on which version of Office 2000 you purchased, you might need an additional shared folder for each Office 2000 compact disc.

  2. Insert Microsoft Office 2000 Compact Disc 1 into the CD-ROM drive, and then type d:\setup.exe /a (where d: is your CD-ROM drive) at the command prompt. This creates an installation share and installs Office 2000 in administrative mode, enabling you to prepopulate some of the setup screens for your users.
  3. When the installation finishes, click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Administrator Console.
  4. Expand the BackOffice Server Manager snap-in, and then expand the Computers node.
  5. On the Tips — Setting Up Client Computers taskpad, click Configure Set Up Computer Wizard. A list of currently available client programs appears. Click Add to start the Client Setup Extensibility Wizard.
  6. In the box that appears, type Office 2000.
  7. Type the path to the share that you created: \\Servername\Office2000CD1\setup.exe (where Servername is the name of your Small Business Server).
  8. Click Finish to complete the Client Setup Extensibility Wizard.
  9. In the list of computers, select a client workstation, and then click Add Software to Client. This starts the Set Up Computer Wizard. Notice that you have only the option of adding applications. Select the Office 2000 check box, click Next, and then click Finish.

Repeat step 9 for each client workstation. The next time users log on to their client workstations, they will have the option of installing Office 2000. Repeat steps 1-8 for each Office 2000 compact disc required to deploy Office 2000.


Using the Office 2000 Custom Installation Wizard

The Office 2000 Custom Installation Wizard is a special utility that you can download from the Office 2000 Web site at:

http://www.microsoft.com/office/ork/2000/appndx/toolbox.htm#orktools

You can use this wizard to customize and deploy an installation of Office 2000 to the client workstations in your small business.

Using the Custom Installation Wizard is an excellent way to deploy Office 2000, but it does require additional tools and expertise. You can deploy Office 2000 to your business at any time. If you want to use this wizard, obtain the following additional resources:

  • Deploying Microsoft Office 2000 Notes from the Field (ISBN 0-7356-0727-3). This publication provides all the required information to use the Office 2000 Custom Installation Wizard, in addition to step-by-step procedures to complete the customization and deployment.
  • The Small Business Server 2000 Resource Kit (to be published fall 2000). This kit contains information on planning and deployment, security, upgrading, internal networking, and Web access, in addition to information on administration and maintenance to enhance the way your business communicates and collaborates.


Terminal Services

You can use Terminal Services in application sharing mode to run Office 2000 applications for your client workstations. However, you must have an additional computer running Windows 2000 Server to do so. Refer to Windows 2000 Help for instructions on deploying Office 2000 in a Terminal Services environment.


Chapter 14 Preparing to Install Small Business Server 2000

Read this chapter before you install Microsoft® Small Business Server 2000. It is designed to help you understand what information is required by individual applications and prepare you to successfully install Small Business Server.


Information Required to Install Small Business Server

Before running Small Business Server Setup, gather some information about your computer and network so that you can complete the installation quickly and without interruption. Small Business Server Setup provides default settings that you can change during installation. In some cases, it is difficult or impossible to change these settings after installation.

For example, Small Business Server Setup enables you to specify the hard disks or disk partitions on which Small Business Server will be installed. You can also determine on which hard disk or partition the associated application will store its data. Although the location where an application stores its data can be changed after setup, the installation location of the application itself cannot be changed.

Appendix C contains a worksheet that you can use to gather and record the information that is required for setup.


Information Required for Windows 2000 Server

Mass Storage Drivers

If you have a mass storage controller (such as a small computer system interface [SCSI], Redundant Array of Independent Disks [RAID], or Fibre Channel adapter) for your hard disk, ensure that the controller is on the Microsoft Windows® 2000 Hardware Compatibility List, available on the Internet at:

http://www.microsoft.com/hcl/

If your controller is not listed in the Windows 2000 Hardware Compatibility List, but the manufacturer has supplied a separate driver file for use with Windows 2000 Server, locate the floppy disk that contains the file before beginning setup. In the beginning steps of Small Business Server Setup, a line at the bottom of the screen prompts you to press F6. Further prompts guide you in supplying the driver file to Small Business Server Setup so that it can gain access to the mass storage controller.


Choosing or Creating a Partition for Windows 2000

During a new installation, a dialog box appears that allows you to create or specify a partition on which you want to install Windows 2000. You can create a partition from the unpartitioned space that is available, specify an existing partition, or delete an existing partition to create more unpartitioned disk space for the Windows 2000 partition. If you specify an action that might cause information to be erased, you are prompted to confirm your choice.


Choosing a File System

Small Business Server requires that there is at least one disk drive partition that is formatted with the NTFS file system. Windows 2000 Server includes a new version of NTFS with support for a variety of features including Active Directory™ directory service, which is needed for domains, user accounts, and other important security features.


Selecting Regional Options

Use this screen to customize language, locale, and accessibility settings. You can set up Windows 2000 to use multiple languages and regional options.


Personalizing Windows 2000 Server

Enter your name and, optionally, your organization.


Entering Your Computer Name

Enter a computer name. The recommended length for most languages is 15 characters or less. For languages that require more storage space per character, such as Chinese, Japanese, and Korean, the recommended length is 7 characters or less. Small Business Server requires that you use only Internet-standard characters in the computer name: A–Z, a–z, 0–9, and the hyphen (–).


Setting the Administrator Account Password

The Windows 2000 Setup program creates a user account on your computer called Administrator that has administrative privileges for managing your computer's overall configuration. The Administrator account is for the person who manages this computer. If you leave Administrator Password blank, this indicates no password for the account.

The password can have up to 127 characters. For the strongest system security, use a password of at least 8 characters, and use a mixture of uppercase and lowercase letters, numbers, and other characters such as *, ?, or $.

Important For security reasons, it is recommended that you assign a secure password to the Administrator account.

The password that you type in the Confirm Password box must exactly match the password that you type in the Administrator Password box. Memorize and protect your password.


Choosing Windows 2000 Server Components

Accept the default components during Windows 2000 Setup. Small Business Server Setup installs any optional components, such as Terminal Services, that are required to run Small Business Server.


Setting the Date and Time

Set the date, time, and time zone, and choose whether the system should automatically adjust for daylight-saving time.


Specifying Networking Settings

When you specify networking information (for TCP/IP or other protocols) during setup, accept the defaults for typical networking. Your networking settings will be configured during Small Business Server Setup.


Small Business Server Information

Product Information

Enter your name, the name of your company, the computer name, and the 25-digit Small Business Server Product Key and the 25-digit Microsoft Outlook® 2000 Product Key that are found on the back of your Small Business Server compact disc or DVD case.

Important This is the last opportunity to change the computer name for the Small Business Server computer.


Company Information

Enter the information for your company's physical location.


Telephony Information

Enter the following information about your dialing location:

  • Country or region
  • Telephone number
  • Fax number
  • Number dialed for outside line, if any
  • Whether you use tone or pulse dialing


IP Addressing

You must specify the IP address, subnet mask, and default gateway settings for the network adapter that you will use on your internal network. If your network card is configured with a valid static IP address and subnet mask, the current settings are displayed. If your network card is not configured with a valid IP address and subnet mask, Small Business Server Setup uses the IP address setting 192.168.16.2 and the subnet mask setting 255.255.255.0 by default. These are Class C, non-routable addresses that typically are used for Small Business Server networks.

If you choose a routable static IP address, or if you are upgrading from Windows 2000 Server and have Dynamic Host Configuration Protocol (DHCP) installed, but the IP address scope does not match the IP address of your LAN network adapter, you will also need to configure client networking.


DNS Domain Name

You must specify a fully qualified Domain Name System (DNS) domain name and network basic input/output system (NetBIOS) name for your business. Computers running Windows 2000 will use the full DNS name to query and locate named resources on the network.

The default suggestion is smallbusiness.local and is meant for those Small Business Server installations that do not have a registered Internet domain name and/or will not be connecting to the Internet at the present time. If your server will be connected to the Internet, it is recommended that you secure a registered Internet domain name with an accredited Internet registrar.

You may consider using your Internet domain name (for example, microsoft.com) for your server's DNS name if you have registered it with an accredited Internet registrar. This is not necessary, however, and you can still use a local name in this scenario, which may help you avoid problems if your Internet domain name changes.

If you do want to use your Internet domain name, it is recommended that you talk with your Internet service provider (ISP) before making this decision. They may recommend a DNS name for you that is dependent on your Internet domain name and the agreement with them on how your Internet name resolution will be configured.

For example, if an ISP will be hosting the domain, some ISP's recommend that your server's DNS name has a prefix appended to it (for example, corp.microsoft.com) for security reasons. In addition, manual configuration of several of the Small Business Server applications will be necessary in this case.

Note It is not recommended that you use your ISP domain name for your DNS name. If you change ISPs, you will not be able to change the server's DNS name.

Note After you install Small Business Server, you cannot change the domain name or the NetBIOS name. These settings are used to configure the Small Business Server applications at installation. Changing these names will affect the software that is installed on your server and will require you to completely reinstall Small Business Server.


Directory Services Restore Mode Administrator Password

Specify a password to be used when starting the Small Business Server computer in directory services restore mode. You should use a secure password that consists of uppercase and lowercase letters, numbers, and punctuation (for example, "T4kl;9H").


Data Folders

You must accept the default for or set a path to the following data folders:

  • Client Applications Location
 %systemdrive%\ClntApps
  • Users Shared Folders
 %systemdrive%\Users
  • Company Shared Folders
 %systemdrive%\Company


Information Required for SQL Server 2000

Small Business Server provides default settings for the following options. Before installing, you must confirm that these settings are appropriate for your application. For more information about these settings, refer to the Microsoft SQL Server Getting Started guide.


Collation Settings

Unicode collation functions as a sort order for Unicode data, but it is separate from the sort order for non-Unicode data. The four comparison styles specify whether to ignore the differences between similar characters. For example, unless you choose the case-sensitive comparison style, the characters "A" and "a" are considered equal. The width-sensitive and Kana-sensitive comparison styles are relevant only to characters in certain East Asian languages.

The default value is based on the character set and sort order that you select. You can select a collation other than the default, but this option can be problematic. You can experience difficulty when migrating data from non-Unicode to Unicode, and Unicode and non-Unicode data may sort differently. The default sort order is dictionary order, not case-sensitive.


Network Libraries

The SQL Server™ database management system uses network libraries to pass network packets between clients and the server. You must specify at least one network protocol that SQL Server will use for network access.


Data Folders

You must accept the default for or set a path to the following data folders:

  • SQL Server data directory
 Program Files\SQL Server\MSSQL\Data
  • OLAP Services data directory
 Program Files\OLAP Services\Data


Information Required for Internet Security and Acceleration Server 2000

Cache Drives

If you choose to enable file caching (which is enabled by default), you must specify the amount of disk space to be used for caching and the drive in which cached data will be stored. The drive must be formatted for NTFS. The default is 100 megabytes (MB) on the NTFS formatted drive that has the most available space.


Local Address Table

You will configure the Local Address Table (LAT) for each network adapter. The LAT is a series of IP address pairs that define your internal network address space. Each address pair defines either a range of IP addresses or a single IP address.

Small Business Server Setup automatically constructs the LAT by using the list of IP address pairs that are found in the Windows 2000 Server routing table. In some cases, this list may not completely define your internal network. The list that is generated by Small Business Server Setup may omit a subnet of your network or may include addresses for computers or resources outside your company. It is critical that you review the generated list of IP addresses. Failure to remove external addresses from the table can expose your network to severe security risks.

You can add or remove specific address pairs until all the internal network addresses are defined. Be sure to remove any IP address pairs that define external (Internet) addresses.


Additional Small Business Server Applications and Services

The following Small Business Server applications and services do not prompt you during setup for any information.

  • Exchange 2000 Server
  • Shared Fax Service
  • Shared Modem Service

While you do not need to interact with these applications and services during setup, you have the opportunity to select the installation location on the Component Selection page of the Setup Wizard. You have the flexibility to install Small Business Server applications and services on the hard disk or disk drive of your choice on the Small Business Server computer.


Chapter 15 Upgrading to Small Business Server 2000

This chapter describes the preparation and steps required when upgrading from Microsoft® BackOffice® Small Business Server 4.5 to Microsoft Small Business Server 2000.

Important If you plan to upgrade Small Business Server 4.5 to Small Business Server 2000 on a new computer, refer to Appendix D in this guide or to the white paper, "Small Business Server 2000 Migration Upgrade," located in the \upgrade folder on Small Business Server 2000 Setup Disc 1 (or the Small Business Server 2000 installation digital video disc [DVD]) .

This chapter also outlines the steps necessary to upgrade other operating systems to Small Business Server 2000.


Upgrading Windows Client Operating Systems

Small Business Server 2000 does not upgrade Microsoft Windows® Millennium, Windows 95, Windows 98, or Microsoft Windows NT® Workstation 4.0, but they can coexist on the same computer. However, the two applications must be installed on different hard disk partitions. Small Business Server must be on an NTFS file system partition and cannot be installed on the either a FAT32 or FAT16 partition.

Installing Small Business Server on a computer with Windows client operating systems is similar to a new installation of Small Business Server.

To install Small Business Server on a computer with a Windows client operating system

  1. Insert Small Business Server Disc 1 (or the Small Business Server 2000 installation [DVD]) into the disc drive.
  2. On the Auto Run page, click Set Up Small Business Server.
  3. After the Welcome page, the Suite Baseline page appears informing you that you need to install Windows 2000 Server. Click Next to start the Windows 2000 Setup Wizard.

    Note The Suite Requirements screen could appear after the Welcome page if setup detects issues with the existing computer settings that must be remedied before continuing with setup.

For more information about installation, refer to Chapter 16, "Installing Small Business Server 2000."


Upgrading Windows NT Server 4.0

The upgrade from Windows NT Server 4.0 to Small Business Server 2000 is not supported. You must first install Windows 2000 Server and then upgrade to Small Business Server 2000. For more information about this installation, after Windows 2000 Server is installed, refer to Chapter 16, "Installing Small Business Server 2000."


Upgrading Windows 2000 Server

If you already have Windows 2000 Server installed, the process of upgrading from Windows 2000 server is the same as a new installation. Refer to Chapter 16, "Installing Small Business Server 2000."

To upgrade an existing Windows 2000 Server installation to Small Business Server, the server must:

  • Have no trust relationships set up.
  • Be a member of a workgroup or root directory of the Active Directory™ directory service forest and the first domain controller in the domain.
  • Have only five Client Access Licenses (CALs).
  • Be an administrator on the server and have the necessary permissions to update the Active Directory schema. (To ensure the necessary permissions, you should be a member of the Schema Admins security group.)


Upgrading Small Business Server 4.0

The upgrade from Small Business Server 4.0 to Small Business Server 2000 is not supported. You must first upgrade to Small Business Server 4.5 or install Small Business Server 2000 on a new machine.


Upgrading Small Business Server 4.5

Small Business Server 2000 provides several key improvements from earlier versions of Small Business Server, including:

  • Improved stability and performance All the Microsoft server applications have been updated to ensure better stability, fewer restarts, and better performance than Small Business Server 4.5.
  • Improved setup and hardware detection With Windows 2000-based Plug and Play support, most new hardware devices are detected, installed, and configured with no user intervention.
  • Improved remote server management Remote users, including technology consultants when authorized, can dial in to the Small Business Server computer and manage the server by using Windows 2000-based Terminal Services. You can access this feature by installing Terminal Services Client software on a supported workstation or by connecting to a Web page that enables a remote Terminal Services session from a browser.
  • Improved Add User Wizard The new Add User Wizard enables you to create new user accounts either individually or by using a template user account. Template user accounts enable you to preset common information — such as company name, phone number, and various group permissions — for user groups, so that you do not have to type this information every time you add a user. You can quickly change or add templates.
  • Improved server monitoring With the addition of Health Monitor 2.1, Server Status View, and Server Status Report, the new Small Business Server provides a more comprehensive set of alerts and performance monitoring features. The Small Business Server network can be monitored locally or remotely, customized alerts can be sent in response to set performance thresholds, and scheduled e-mail messages summarizing server performance can be sent to technology consultants or a power user on the network.


Before You Begin

Before you begin the upgrade to Small Business Server 2000, you must perform the following steps to complete setup successfully:

  • Ensure that the existing server meets the hardware and resource requirements for installing Small Business Server 2000.
  • If you are connected to the Internet, disable the external network adapter card.
  • Log on by using the built-in administrator account.
  • Verify that all fax and e-mail queues are cleared and that no one is accessing the Small Business Server computer.

Note If you are running a version of Small Business Server 4.5 that has Microsoft Exchange Server 5.5 installed and Microsoft Exchange Internet Mail Connector (IMC) configured to dial out and retrieve mail for the domain, ensure that all queued IMC messages are delivered before the upgrade.

Tip Before you begin, it is recommended that you perform a complete system backup, and then verify that the backup was successful by performing a test data restore.


Configuration Issues

The following is an additional list of configuration issues you should be aware of when upgrading to Small Business Server 2000. For further information, see the Small Business Server 2000 Release Notes, located on setup disc 1.

  • If you had a connection in Exchange Server 5.5 that was configured to use TURN or ETRN, the server name and ETRN domain will be lost in the upgrade. When the upgrade is complete, you must manually re-enter the mail server name of the Internet service provider (ISP) to send the TURN or ETRN signals.
  • After the upgrade, Exchange message size restrictions are lost.
  • If you used Webpost to transfer your Web site files to your ISP, after the upgrade is complete, you will need to determine an alternative method of transferring files to your ISP.
  • If you had any custom Proxy Server 2.0 packet filtering settings, they will be disabled by the Small Business Server Internet Connection Wizard. You will have to reset these manually on the Small Business Server 2000 computer's Internet Security and Acceleration (ISA) Server 2000 firewall.


Anticipated Number of Restarts (Upgrade)

Anticipated Number of Restarts

Setup requires you to restart the system at least four times during installation, including after:

  1. Windows 2000 Server temporary file copy is created.
  2. Graphical user interface-based (GUI-based) setup of Windows 2000 Server.
  3. Active Directory is installed.
  4. Completion of the Small Business Server 2000 installation.


Upgrading to Small Business Server 2000

When you insert Small Business Server 2000 Disc 1 (or the Small Business Server 2000 installation DVD) into the disc drive, the following four options appear on the Auto Run page:

  • Plan your Installation This option starts an online tour providing a high-level overview of the installation process.
  • Set up Small Business Server This option launches Small Business Server Setup.
  • Read Release Notes This option opens Small Business Server 2000 release notes.
  • Browse this Disc This option enables you to browse the contents of Small Business Server 2000 Disc 1.

To begin the upgrade, click Setup Small Business Server. When the Welcome page appears, click Next.


Upgrading to Windows 2000 Server

The Suite Requirements page alerts you to potential issues that setup has detected with existing applications or computer settings.

Indicates that setup will continue, but that it may have problems.

Indicates that setup is blocked. You must exit setup, resolve the problem, and then restart setup.

Select the suite requirements, and then click Details to view specific information for each alert and instructions for resolving the problem. After resolving all blocking issues, rerun setup. Some system deficiencies that could cause this include insufficient memory or insufficient disk space.

The Suite Baseline page outlines those items that must be installed for Small Business Server 2000, such as, Service Pack 3 for Exchange Server 5.5 and Windows 2000 Server. Setup automatically installs these items when you click Next.

The Upgrade Message page outlines the tasks that you must complete before upgrading. For instance, if you have not backed up the system, you must cancel out of setup, perform a full system backup, and then rerun setup.

When the License Agreement page appears, carefully read it. To accept the terms of the Small Business Server 2000 End User License Agreement, click I Agree, and then click Next.

On the Product Identification page, provide the following information:

  • Your name
  • The name of your organization
  • Your 25-digit Small Business Server Product Key
  • Your 25-digit Microsoft Outlook® 2000 Product Key

On the Automatic Logon Information page, decide whether to automatically or manually log on after the system restarts. If you choose to automatically log on, the password is stored in an encrypted registry key and will be removed after installation or if setup is stopped for any reason.

Click Next to begin upgrading the operating system to Windows 2000 Server. The Component Progress page, which provides a progress summary, appears.

Note After the upgrade to Windows 2000 Server, you receive numerous errors from services, such as Net Logon, that are unable to start. This is normal and expected because the domain is not fully functional until after the Windows 2000 configuration phase of setup.


Windows 2000 Configuration

After restarting, Small Business Server Setup automatically continues and configures Windows 2000.

On the Company Information page, type the company's address. On the Telephony Information page, type the telephone and fax information. By default, these pages should be prepopulated with information from the previous Small Business Server installation.

The Network Card Information page does not appear during an upgrade unless there is a configuration problem.

On the New Domain Information page, type the name of the new Small Business Server domain. The domain network basic input/output system (NetBIOS) name will be displayed on this page, but it cannot be changed.

Note Refer to Chapter 14, "Preparing to Install Small Business Server 2000," or click More Information for information on choosing a domain name.

On the Directory Services Restore Mode Administrator Password page, specify a password to be used when starting the Small Business Server computer in directory services restore mode. Use a strong password that consists of uppercase and lowercase letters, numbers, and punctuation.

Note You may want to write this password down and keep it in a secure location.

The Scenario Baseline page shows that setup will configure networking, install Windows 2000-based Terminal Services in remote administration mode, and install Active Directory.

The Component Progress page shows the progress of the installation. When the configuration is complete, you automatically move to the component selection phase of setup.


Upgrading Small Business Server Components

On the Component Selection page, the install action for default applications is set to Install.

For each nondefault application or service that you want to install, set its install action to Install. If you do not want to install an individual application or service, set its install action to None. If a server application has an expandable node (indicated by a "+" sign), you also have the option of customizing its installed application subcomponents. To do so, expand the node to reveal the subcomponents and then set each install action appropriately.

For example, when you install the Small Business Server Component (value-added features), setup enables you to choose from the five subcomponents in the following list:

  • Administration
  • Monitoring
  • Connectivity
  • Client Setup
  • Documentation

In addition, many subcomponents have subcomponents that you can customize. For example, Monitoring includes Health Monitor 2.1, Server Status View, Server Status Report, and Monitoring Troubleshooting.

Setting the install action of a server application to Install does not automatically set the install action to any of its subcomponents. You must do so separately for each subcomponent, which provides you flexibility in customizing the Small Business Server installation. For example, you can set the install action of the Small Business Server Component to Install, the Monitoring subcomponent to Install, Health Monitor to Install, and Server Status View to None.


Applications Upgraded by Default

The following applications are upgraded by default:

  • Microsoft ISA Server 2000
  • Exchange 2000 Server
  • Shared Fax Service
  • Shared Modem Service
  • Small Business Server Component (value-added features)


Service Packs

After you have made the application selections, a message appears if setup detects that Microsoft SQL Server™ 6.5 is installed. To ensure that it runs on Windows 2000 Server, setup installs Service Pack 5 for SQL Server 6.5.


Individual Component Installation

After you select the applications that you want to install, you must provide application-specific information for each.

This section discusses the information that you must provide to install Small Business Server applications. The pages that appear during setup depend on the applications and subcomponents that you selected on the Component Selection page. The pages for each application that you select appear consecutively while Small Business Server Setup collects the information, and then Small Business Server Setup installs the applications.


Internet Security and Acceleration Server 2000 (Upgrade)

Internet Security and Acceleration Server 2000

Three setup pages appear during installation of the ISA Server, including:

  • Server Cache Drives This page allows you to enable caching, select which NTFS drive to use, and select the maximum size of the cache. By default, caching is enabled at 100 megabytes (MB).
  • Construct Local Address Table This page enables you to define the internal address space for the network adapter(s) that will be on the internal network.
  • Configure Local Address Table This page enables you to select Internet Protocol (IP) addresses for the internal network. You can add or remove IP address ranges that span the internal network address space.


Remaining Applications

No pages should appear while you are upgrading to:

  • SQL Server 2000
  • Exchange 2000 Server

    Note If you had a connection in Exchange Server 5.5 configured to use TURN or ETRN, the server name will be lost during the upgrade. When the upgrade is complete, you must manually re-enter the mail server name of the ISP to send the TURN or ETRN signals.

    Note The Exchange message size restrictions are lost during the upgrade from Exchange Server 5.5 to Exchange 2000 Server. If you want to limit the size of e-mail messages, you must set it manually. For more information, refer to Exchange 2000 Server documentation.

  • Shared Fax Service
  • Shared Modem Service
  • Small Business Server Component (value-added features)


Data Folders (Upgrade)

Data Folders

After you select Small Business Server applications, services, and features, a list of default folder locations for data storage appears on the Data Folders page. You can accept these locations or change them according to your needs.


Service Accounts (Upgrade)

Service Accounts

If you are upgrading Exchange Server 5.5, you will be prompted for the Exchange 5.5 service account information. Enter the account name and password.


Installation Summary (Upgrade)

Installation Summary

After you select applications and provide application-specific installation information, the Installation Summary page appears, with a summary of your installation choices. Examine this page carefully to make sure that you install all the applications, services, and subcomponents that you need. If you want to add or change your choices, click Back.


Extend Schema Warning (Upgrade)

Extend Schema Warning

Depending on the Small Business Server applications and services that you select to install, a message may appear that states that setup must extend the Windows 2000 schema. Click Yes to authorize Small Business Server Setup to add object classes and definitions to Active Directory.

Note Extending the Active Directory schema can take some time.

The applications that extend the schema are:

  • Exchange 2000 Server


Component Progress (Upgrade)

Component Progress

The Component Progress page appears with a list of the Small Business Server applications and services that you selected to install. Items on the list appear in installation order. A black triangle appears to the left of the application or service when Small Business Server is installing it. A green check mark replaces the black triangle after an application or service is successfully installed.

The bottom of the Component Progress page displays two progress bars. The top bar shows the installation progress of each individual application or service and the bottom bar shows the progress of the entire installation.

You should not have to interact with setup again until the end, except to provide additional setup discs when required.

Setup files for each Small Business Server application and service are located on the setup discs, in the following order:

  • Disc 1 Microsoft Windows 2000 Server, Service Pack 1 for Windows 2000, Small Business Server Setup
  • Disc 2 SQL Server 2000, Shared Fax Service, Shared Modem Service, Internet Security and Acceleration Server 2000
  • Disc 3 Exchange 2000 Server, Health Monitor 2.1, Small Business Server component
  • Disc 4 Microsoft Outlook 2000 Service Release 1
  • Disc 5 Service Pack 3 for Exchange 5.5, Service Pack 5 for SQL Server 6.5

When the Completing the Small Business Server 2000 Setup Wizard page appears, click Finish. This completes the Small Business Server installation. The computer restarts.


Upgrading Client Access Licenses

After the upgrade from Small Business Server 4.5 to Small Business Server 2000 is complete, the available Client Access Licenses (CALs) are limited to five. You must purchase additional CALs for each client computer connected to the Small Business Server computer.

Contact an independent software reseller to obtain additional licenses. For information about software resellers in your area, or for licensing information, refer to the following Web sites:

Note CALs can be added from the post-installation To Do List.

For BackOffice Server information:

http://www.microsoft.com/backofficeserver

To find a software reseller or independent software vendor in your area, refer to:

http://www.microsoft.com/backofficeserver/thirdParty/

For more information about licenses, including how to purchase licenses on the Web, refer to:

http://www.microsoft.com/biz/openlicense/

In the United States, you can also phone Microsoft Sales at 1-800-426-9400.


The To Do List (Upgrade)

The To Do List

The first time the system starts after installation, the To Do List appears.

The To Do List contains a set of wizards and Help topics that help you to configure Small Business Server. It is recommended that you complete the tasks on this list now. If you choose not to do so, the network users may not have access to some features.

It is also recommended that you complete the items in the order shown on the list. The To Do List is dynamically created based on your installation choices. It may contain the following tasks:

  • Add Client Licenses
  • Define Client Applications
  • Add Users
  • Add Printers
  • Enable Network Interfaces
  • Small Business Server Internet Connection Wizard
  • Configure Internet Information Services
  • Upgrade Required Components
  • Configure Remote Access
  • Configure Modems
  • Configure Access for Terminal Services
  • Configure Exchange Management
  • Configure Server Status Report
  • Intranet Virtual Root
  • Getting Started


Add Client Licenses (Upgrade)

Add Client Licenses

Small Business Server is installed by default with a license for five clients. If you need additional licenses, you can purchase one or more Microsoft Small Business Server Client Add Packs to update the Small Business Server license. Client Add Packs are available with 5 or 20 licenses. Small Business Server can support a maximum of 50 client connections. You must upgrade to Microsoft BackOffice Server 2000 to connect more than 50 client computers to the network.


Define Client Applications (Upgrade)

Define Client Applications

Add additional software applications to those that are to be deployed to client computers by using the Setup Computer Wizard.


Add Users (Upgrade)

Add Users

You must create a user account for every user who will access the server. Click Add a User to start the Add User Wizard. The wizard allows you to do the following:

  • Create a Windows 2000 user account, including an initial password.
  • Create the users' Exchange Server mail account.
  • Assign user properties (the user will be an administrator, power user, and so on).
  • Select the users' security group and distribution group memberships.
  • Allow or deny remote access or virtual private network permissions.
  • Allow or deny access to Terminal Services.
  • Deploy software to a users' computer.

You must repeat the wizard for each user that you add to the server.


Add Printers (Upgrade)

Add Printers

After physically connecting a printer to the server, you must configure the printer before users can print on it. Click Add a Printer to start the Add Printer Wizard. The wizard helps you to configure and share the printer. You must repeat the wizard for each printer that you add to the network.


Enable Network Interfaces (Upgrade)

Enable Network Interfaces

Before you establish any Internet connection to the Small Business Server computer, you must re-enable all network interface cards that were disabled during installation. This task launches a Help topic that explains this process.


Small Business Server Internet Connection Wizard (Upgrade)

Small Business Server Internet Connection Wizard

Run the Small Business Server Internet Connection Wizard to configure Internet connectivity for the network and e-mail and to configure the ISA Server firewall.


Configure Internet Information Services (Upgrade)

Configure Internet Information Services

You must secure Microsoft Internet Information Services (IIS) if it is running with ISA Server 2000. This task configures IIS for you. You will need to enter the IP address of the local (internal) network adapter card. This process disables socket pooling and unbinds IIS from all IP addresses except the local (internal) network adapter card.


Upgrade Required Components

When you click this task, Small Business Server is configured to automatically upgrade all client computers to the newest versions of Shared Fax Service and Shared Modem Service the next time they connect to the network.


Configure Remote Access (Upgrade)

Configure Remote Access

This task opens a Help topic that helps you configure the server with remote user dial-in access.


Configure Modems (Upgrade)

Configure Modems

During installation, Shared Fax Service is configured to send faxes. To receive faxes on fax devices, you must configure Shared Fax Service manually. If you intend to use Remote Access Service on a fax modem that is enabled to receive faxes, the fax modem must support adaptive answer. This task also configures the Shared Modem Service.


Configure Access for Terminal Services (Upgrade)

Configure Access for Terminal Services

Before users can access the network by using Terminal Services, they need access permissions. For information about how to configure Terminal Services access, click this task.


Configure Exchange Management (Upgrade)

Configure Exchange Management

Before users can create and manage mailboxes and distribution lists, they must be given the appropriate administrative permissions. For information about how to assign administrative rights to users, click this task.


Configure Server Status Report (Upgrade)

Configure Server Status Report

Server Status Reports enable you to receive reports on server status. To configure what server status information is sent and to whom, how, and when it is sent, click this task. This information is sent automatically at scheduled intervals to multiple e-mail addresses or to a single fax number (if Shared Fax Service is installed). You can select from lists of:

  • Performance counters of your choice.
  • Services of your choice.
  • Health Monitor 2.1 alerts.
  • Log files (such as Event Log, Security Log).
  • Customized log files (specify the path to the file).

By default, the reports are sent as text files. However, alerts, services, and performance counters can be sent through e-mail as an Extensible Markup Language (XML) attachment. Windows 2000 log files can only be sent in e-mail messages, but the customized log files can be faxed.


Intranet Virtual Root

During upgrade, the previous Small Business Server intranet files were not altered, but can no longer be accessed through the previous virtual directory:

http://servername/intranet

To learn how to move or restore the original intranet information, click this task.


Getting Started (Upgrade)

Getting Started

This task launches the Introducing Small Business Server Online Tour.


Chapter 16 Installing Small Business Server 2000

This chapter assumes that you are installing Microsoft® Small Business Server 2000 for the first time on a clean computer with no previous operating system installed. For all other scenarios, refer to Chapter 15, "Upgrading to Small Business Server 2000."

Before running Small Business Server Setup, read this entire chapter to determine what information about the computer is required to install Small Business Server 2000. You should have already read Chapter 14, "Preparing to Install Small Business Server 2000."


Before You Begin

Before running the Small Business Server 2000 integrated Setup program, ensure that:

  • Your computer meets the minimum hardware requirements to install Small Business Server 2000.
  • All of your hardware is listed on the Microsoft Windows® 2000 Hardware Compatibility List (http://www.microsoft.com/hcl/).
  • All the applications that you want to install are compatible with Windows 2000 (http://www.microsoft.com/windows2000/upgrade/compat/).
  • You have updated device drivers that are compatible with Windows 2000 (contact the hardware manufacturer of updated device drivers for information about their products).
  • You have a network adapter card installed and connected to a hub.
  • You have collected and recorded the information required for installation by using the Quick Start Card that is included with the Small Business Server packaging or Appendix C.


Anticipated Number of Restarts (Installation)

Anticipated Number of Restarts

Setup requires you to restart the system at least five times during installation, including after the following steps:

  1. Text-based setup of Microsoft Windows 2000 Server.
  2. Graphical user interface-based (GUI-based) setup of Windows 2000 Server.
  3. Computer name is changed in the Small Business Server Setup Wizard (optional).
  4. Active Directory™ directory service is installed or Small Business Server completes the Windows 2000 configuration.
  5. Small Business Server 2000 Setup is finished.


Installing Windows 2000 Server

Starting from the Installation Disc

If the basic input/output system (BIOS) for your computer supports startup media, insert Small Business Server Disc 1 into disc drive to automatically start the native Windows 2000 Server Setup Wizard.


Starting from Boot Disks

Small Business Server 2000 does not ship with boot disks. You can perform the following steps to create Windows 2000 startup disks. You will need four high-density, formatted disks.

To create Small Business Server 2000 boot disks

  1. Take Small Business Server Disc 1 (or the Small Business Server installation digital video disc [DVD]) to another computer and insert it into the disc drive.
  2. When the Auto Run page appears, click Browse this Disc.
  3. Expand the BOOTDISK folder.
  4. Double-click makebt32.exe.

    Note If you are creating the startup disks on a computer running Windows Me, Windows 98, or a 16-bit operating system, double-click makeboot.exe. You will need two high-density, formatted disks.

    Note You cannot use Windows 2000 Server boot disks. You must make startup disks from Small Business Server 2000 Disc 1 (or the Small Business Server 2000 installation DVD). In addition, startup disks for CD and DVD cannot be interchanged.


Text-based setup

Perform the following actions and provide the following information during text-based setup of Windows 2000 Server.

  • To supply the driver for a mass storage controller, press F6 when prompted.
  • Read and accept the Windows 2000 licensing agreement.
  • Select a drive partition for the installation (typically c:).
  • Select NTFS as the file system for the hard disk partition where you will install Small Business Server 2000. Small Business Server 2000 requires NTFS.


GUI-based setup

On the Regional Settings page, follow the instructions for customizing language, locale, and accessibility settings.

On the Personalize Your Software page, type your name and, optionally, your organization.

On the Enter your Computer Name page, type the name of the Small Business Server computer by using standard characters (A-Z, a-z, 0-9). The recommended length for most languages is 15 characters or less. For languages that require more storage space per character, such as Chinese, Japanese, and Korean, the recommended length is 7 characters or less.

On the Administrator Password page, type a password of up to 127 characters. Use a strong password of at least 8 characters, and use a mixture of uppercase and lowercase letters, numbers, and special characters.

On the Windows 2000 Components page, accept the default Windows 2000 Server components. Small Business Server will install any optional components you need, such as Terminal Services.

On the Date and Time Settings page, set the date, time, and time zone. If you want the system to automatically adjust for daylight savings time, select the Automatically adjust clock for daylight saving changes check box.

On the Networking Settings page, click Typical Settings. The Small Business Server Setup Wizard will allow configuration of the network later during the installation.


Installing Small Business Server 2000

When setup restarts, the following four options appear on the Auto Run page:

  • Plan your Installation. This starts an online tour, which provides a high-level overview of the installation process.
  • Set up Small Business Server. This starts the Small Business Server 2000 Setup Wizard.
  • Read Release Notes. This opens the Small Business Server 2000 release notes.
  • Browse this Disc. This enables you to browse the contents of Small Business Server Disc 1 (or the Small Business Server 2000 installation DVD).

To begin the installation, click Setup Small Business Server. After copying some temporary files and installation components, the Welcome to the Small Business Server 2000 Setup Wizard page appears. Click Next.

The Suite Requirements page alerts you to potential issues that setup has detected with existing applications or computer settings.

This indicates that setup will continue, but that it may have problems.

This indicates that setup cannot continue. You must exit setup, resolve the problem, and then restart setup.

Select the suite requirements and then click Details to view specific information for each alert and instructions for resolving the problem. After resolving all problems, rerun setup. Some system deficiencies that could cause problems include insufficient memory or disk space.

When the License Agreement page appears, carefully read and accept the terms of the Small Business Server 2000 License Agreement. Click I Agree, and then click Next.

On the Product Identification page, provide the following information:

  • Your name
  • The name of your organization
  • The name of the Small Business Server computer
  • The 25-digit Small Business Server Product Key
  • The 25-digit Microsoft Outlook® 2000 Product Key

    Important This is your last opportunity to change the name of the Small Business Server computer.

On the Automatic Logon Information page, type the password of the currently logged on user. The password is stored in an encrypted registry key and will be removed after installation, or if setup is interrupted for any reason.

Type your company's address on the Company Information page, and then type your telephone and fax information on the Telephony Information page. This information will be used to configure the Small Business Server component (value-added features) and create a dialing location.

Note This information may have been defaulted from the Windows 2000 Server installation.

If you have more than one network adapter, the Network Card Information page appears for you to select a network adapter to use on the internal network. This network adapter card must be connected and enabled.

Note If you are upgrading from Windows 2000 Server, you will not see any of the networking screens if you have a valid networking configuration.

The Server Network Card Configuration page enables you to specify the settings for the network adapter that you will use on the internal network. The Internet protocol (IP) address for the internal network will default to 192.168.16.2 if you chose the typical networking settings during Windows 2000 Server setup.

Next, the Client Networking Configuration page, which is where you specify the client IP addresses settings, might appear. This page appears only if you used a routable Static IP Address for the LAN network adapter card or there is a problem with the current DCHP installation.

Note If you do not see the Client Networking Configuration page, setup will automatically install Dynamic Host Configuration Protocol (DHCP), configure it to use Windows Internet Name Service (WINS) for name resolution, and add a scope matching the selected IP address and subnet mask.

On the New Domain Information page, type the name of the new Small Business Server domain.

Note Refer to Chapter 14, "Preparing to Install Small Business Server 2000," or click the More Information button for information about choosing a domain name.

Note If you are upgrading from Windows 2000 Server the current domain information is displayed. You cannot change this information.

On the Directory Services Restore Mode Administrator Password page, specify a password to be used when starting the Small Business Server computer in directory services restore mode. Use a strong password consisting of uppercase and lowercase letters, numbers, and punctuation.

Note You may want to write this password down and keep it in a secure location.

The Scenario Baseline page shows that setup will install Windows 2000-based Terminal Services in remote administration mode and configure the domain information, including the installation of Active Directory for domain controllers.

The Component Progress page shows the progress of the installation. When the configuration is complete, you automatically move to the component selection phase of setup.


Component Selection

On the Component Selection page, select the Small Business Server applications and value-added features that you will install. The install action for default applications is set to Install.

For each nondefault application or service that you want to install, set its install action to Install. If you do not want to install an individual application or service, set its install action to None. If a server application has an expandable node (a "+" sign) you have the option of customizing its installed application subcomponents as well. Expand the node to reveal the subcomponents and then set each install action appropriately.

For example, by installing the Small Business Server Component, you can select from the following five subcomponents (Small Business Server value-added features):

  • Administration
  • Monitoring
  • Connectivity
  • Client Setup
  • Documentation

In addition, many subcomponents have yet more subcomponents of their own, which you can customize. For example, Monitoring includes Health Monitor 2.1, Server Status View, Server Status Reports, and Monitoring Troubleshooting.

Setting the install action of a server application to Install does not automatically set the install action to any of its subcomponents. You must do so separately for each subcomponent, which provides you with flexibility in customizing the Small Business Server installation. For example, you can set the install action of the Small Business Server Component to Install, set the Monitoring subcomponent to Install, set Health Monitor to Install, and then set the install action for Server Status View to None.


Applications Installed by Default

The following applications are installed by default:

  • Microsoft Internet Security and Acceleration (ISA) Server 2000
  • Shared Fax Service
  • Shared Modem Service
  • Microsoft Exchange 2000 Server
  • Small Business Server Component (value-added features)


Individual Component Installation

This section covers the information that you must provide to install Small Business Server applications. The pages that appear during setup depend on the specific applications and subcomponents you selected on the Component Selection page. The pages for each application you selected appear consecutively while Small Business Server Setup collects the information and then installs the applications.


SQL Server 2000

Note It is recommended that only advanced users change any of these settings, as the default settings are adequate for most SQL applications.

Two setup pages appear during Microsoft SQL Server™ 2000 installation:

  • Collation Settings. The default selections for this page include:
    • SQL Collations
    • Dictionary order, not case-sensitive for use with a 1,252 character set
  • Network Libraries. The default selections for this page include:
    • Named Pipes with name \\. \pipe\sql\query
    • TCP/IP Sockets, port number 1433


Internet Security and Acceleration Server 2000 (Installation)

Internet Security and Acceleration Server 2000

The following three setup pages appear during the installation of ISA Server 2000:

  • Server Cache Drives. This page allows you to enable caching, select which NTFS drive to use, and select the maximum size of the cache. By default, caching is enabled at 100 megabytes (MB) on the largest NTFS-formatted hard disk partition.
  • Construct Local Address Table. This page enables you to define the internal address space for the network adapter or adapters that will be on the internal network.
  • Local Address Table Configuration. This page is propagated based on the selections you made on the previous page. You can add or remove IP address ranges that span the internal network address space.


Remaining Applications

No pages should appear while you are installing the following applications:

  • Exchange 2000 Server.
  • Shared Fax Service.
  • Shared Modem Service.
  • Small Business Server Components (value-added features).


Data Folders (Installation)

Data Folders

After selecting Small Business Server applications, services, and features, you are provided with a list of default folder locations on the Data Folders page for data storage. You can accept these or change them to suit your needs. It is recommended that you select another drive or drive partition on which to store data, for easy backup and restore. Ensure that the drive or drive partition allows for growth.


Service Accounts (Installation)

Service Accounts

If you install SQL Server 2000, you will be prompted for a service account. Enter the account name and password.

Note Setup does not validate the SQL Server account information entered. Ensure that the account name and password are valid before continuing.


Installation Summary (Installation)

Installation Summary

After you select applications and provide application-specific installation information, the Installation Summary page appears, with a summary of installation choices. Examine this page carefully to ensure that you install all applications and services you need. If you need to add or change your choices, click Back.


Extend Schema Warning (Installation)

Extend Schema Warning

Depending on the Small Business Server applications and services you select to install, a message may appear stating that setup must extend the Windows 2000 schema. Click Yes to authorize Small Business Server Setup to add object classes and definitions to Active Directory.

Note Extending the Active Directory schema can take some time.

  • The applications that extend the schema are:
  • Exchange 2000 Server


Component Progress (Installation)

Component Progress

The Component Progress page appears, which provides a list of the Small Business Server applications and services that you selected to install. Items on the list appear in installation order. A black triangle appears to the left of the application or service currently being installed by Small Business Server. A green check mark replaces the black triangle as applications and services are successfully installed.

The bottom of the Component Progress page displays two progress bars. The top bar shows the installation progress of each individual application or service, the bottom bar shows the progress of the entire installation.

You do not need to interact with setup again until the end, except to provide additional setup discs when required.

Note On the Component Progress page, Service Packs appears whether or not you are installing any service packs. If you are not upgrading applications from previous releases of Small Business Server, no service packs will be installed.

Setup files for each Small Business Server application and service are located on the setup discs, in the following order:

  • Disc 1. Windows 2000 Server, Service Pack 1 for Windows 2000, Small Business Server Setup.
  • Disc 2. SQL Server 2000, Shared Fax Service, Shared Modem Service, Internet Security and Acceleration Server 2000.
  • Disc 3. Exchange 2000 Server, Health Monitor 2.1, Small Business Server Component (value-added features).
  • Disc 4. Outlook 2000 Service Release 1.
  • Service Pack Disc 1. Service Pack 3 for Exchange 5.5, Service Pack 5 for SQL Server 6.5.

When the Completing the Small Business Server 2000 Setup Wizard page appears, click Finish. This completes the Small Business Server installation. The computer restarts.


The To Do List (Installation)

The To Do List

The first time the system starts after installation, the To Do List appears.

The To Do List contains a set of links that launch wizards, Help topics, and online tours that help you to configure and begin using Small Business Server 2000. It is recommended that you complete the items on this list now. If you choose not to do so, network users might not have access to some features.

It is also recommended that you complete the items in the order shown on the list. The To Do List is created dynamically based on your installation choices. It may contain the following items:

  • Add Client Licenses
  • Define Client Applications
  • Add Users
  • Add Printers
  • Enable Network Interfaces
  • Internet Connection Wizard
  • Configure Internet Information Services
  • Configure Remote Access
  • Configure Modems
  • Configure Access for Terminal Services
  • Configure Exchange Management
  • Configure Server Status Report
  • Getting Started


Add Client Licenses (Installation)

Add Client Licenses

Small Business Server is installed by default with a license for five clients. If you need additional licenses, you can purchase one or more Small Business Server Client Add Packs to update the Small Business Server license. Client Add Packs are available with either 5 or 20 licenses. Small Business Server can support a maximum of 50 client connections. You must upgrade to Microsoft BackOffice® Server 2000 to connect more than 50 client computers to the network.


Define Client Applications (Installation)

Define Client Applications

Add additional software applications to those that are to be deployed to client computers by using the Set Up Computer Wizard.


Add Users (Installation)

Add Users

You must create a user account for every user who will access the server. Click Add a User to start the Add User Wizard. The wizard enables you to perform the following actions:

  • Create a Windows 2000 user account, including an initial password.
  • Create the users' Exchange Server mail account.
  • Assign user properties (the user will be an administrator, power user, and so on).
  • Select the users' security and distribution group memberships.
  • Allow or deny remote access or virtual private network (VPN) permissions.
  • Allow or deny access to Terminal Services.
  • Deploy software to a users' computer.

You must repeat the wizard for each user that you add.


Add Printers (Installation)

Add Printers

After physically connecting a printer to the server, you must configure the printer before users can print to it. Click Add a Printer to start the Add Printer Wizard. The wizard helps you to configure and share the printer. You must repeat the wizard for each printer you add to the network.


Enable Network Interfaces (Installation)

Enable Network Interfaces

Before you establish any Internet connection to the Small Business Server computer, you must re-enable all network interface cards that were disabled during installation. This task launches a Help topic that explains this process.


Small Business Server Internet Connection Wizard (Installation)

Small Business Server Internet Connection Wizard

You can complete the Small Business Server Internet Connection Wizard to configure Internet connectivity for the network and e-mail, and to configure the ISA Server firewall.


Configure Internet Information Services (Installation)

Configure Internet Information Services

You will need to secure Internet Information Services (IIS) if it is running with ISA Server 2000. This task will configure IIS for you. You will need to enter the IP address of the local (internal) network adapter card. This process will disable socket pooling and unbind IIS from all IP addresses except the local (internal) network adapter card.


Configure Remote Access (Installation)

Configure Remote Access

This task opens a Help topic that contains information about the server with remote user dial-up access.


Configure Modems (Installation)

Configure Modems

During installation, Shared Fax Service is configured to send faxes. To receive faxes on the fax devices, you must configure Shared Fax Service manually. If you intend to use Remote Access Service on a fax modem that is enabled to receive faxes, the fax modem must support adaptive answer. This task also configures Shared Modem Service.


Configure Access for Terminal Services (Installation)

Configure Access for Terminal Services

Before users can access the network by using Terminal Services, they must first be given access permissions. For information about how to configure Terminal Services access, click this task.


Configure Exchange Management (Installation)

Configure Exchange Management

Before users can create and manage mailboxes and distribution lists, they need appropriate administrative permissions. For information about how to assign administrative rights to users, click this task.


Configure Server Status Report (Installation)

Configure Server Status Report

This task enables you to receive reports on server status. To configure what server status information is sent, to whom, how, and when, click Configure Server Status Report. This information is sent automatically at scheduled intervals to either multiple e-mail addresses or to a single fax number (if Shared Fax Service is installed). You can select from lists of:

  • Performance counters of your choice.
  • Services of your choice.
  • Health Monitor alerts.
  • Log files (such as Event Log or Security Log).
  • Customized log files (specify the path to the file).

By default, the reports are sent as text files. However, alerts, services, and performance counters can be sent by e-mail as XML attachments. Windows 2000 Log files can only be sent in e-mail messages, but customized log files can be sent by fax.


Getting Started (Installation)

Getting Started

This task launches the Introducing Small Business Server 2000 online tour.


Troubleshooting Small Business Server 2000 Setup

Setup Stops with "A problem has been encountered…" Message

If you attempt to run Small Business Server 2000 Setup without closing the Network Property page, Setup does not start. If you encounter this message, close all open applications and then restart Setup.

If you encounter another message, review your server Setup log file or files, and contact Microsoft Professional Support Services for assistance. Before contacting Microsoft Product Support Services, it is recommended that you search the online Knowledge Base for any errors listed in the server Setup log file or files.


Programs Interrupting Small Business Server 2000 Setup

Small Business Server 2000 Setup restarts the computer a number of times. To avoid potential problems during setup, remove all shortcuts from the Startup Programs group and set all third-party services to Manual startup.


Troubleshooting Windows 2000 Setup

An unsuccessful attempt to install Microsoft Windows® 2000 can result in a STOP message. If this happens, write down the STOP message.

Before you contact Microsoft Product Support Services, it is recommended that you search the online Knowledge Base for the specific stop error code that you received. The Knowledge Base Search page is available on the Internet at:

http://search.support.Microsoft.com/kb/

For additional information about the stop error code and its potential causes, refer to Knowledge Base article Q129845, available on the Internet at:

http://support.Microsoft.com/support/

To prevent STOP messages, check that the computer and all of its peripheral hardware are compatible with Windows 2000 by consulting the Windows 2000 Hardware Compatibility List. Incompatible hardware or outdated device drivers can cause Setup errors.

During Small Business Server 2000 Setup, Windows 2000 installs drivers, creates accounts, configures the network settings, and builds the system tree. If there are hardware problems or conflicting hardware settings, Windows 2000 does not successfully install or upgrade these components.

STOP messages that occur after the final restart of Windows 2000 Setup are normally because of incorrect information either in the Boot.ini file or in the hardware configuration.


Troubleshooting Networking

If you isolate the problem, this ensures that your problem report is as informative as possible and greatly speeds up the investigation process. Refer to the following troubleshooting steps when you suspect that you have a network problem:

  • Check your network hubs and cables.
  • Check your network adapters and drivers.
  • Open a command prompt and type ipconfig /all and then try to answer the following questions:
    • Do you have a valid IP address for the network?
    • If you use an external gateway, do you have a valid default gateway for the network?
    • If you use an external Dynamic Host Configuration Protocol (DHCP) server, do you have the IP address of the network's DHCP server?

Try to contact the default gateway and DHCP server by typing ping and either the computer name or IP address at a command prompt.

If you cannot contact the default gateway, DHCP server, and domain controller, try releasing your IP address by typing ipconfig /release at a command prompt. Stop and then restart the DHCP service on the DHCP server. Then type ipconfig /renew to try again to receive an IP address.

Important You cannot release or renew an Automatic Private IP Addressing (APIPA) address. If you use an APIPA address, you must restart your computer to obtain an IP address from your DHCP server.

For additional information about troubleshooting TCP/IP connectivity, refer to Knowledge Base article Q102908 available on the Internet at:

http://support.microsoft.com/support/


Troubleshooting Video

If the screen stays black or is skewed after a restart, refer to the following article that deals with black screens on startup:

http://support.microsoft.com/support/kb/articles/Q155/0/53.asp/

If this does not resolve the issue, you must determine if there is a problem with your video driver. Start your computer in safe mode and select Enable VGA mode from the Windows 2000 Advanced Options menu. Windows 2000 uses the standard video graphics adapter (VGA) driver to start up. If this fixes the problem, contact your video card manufacturer for the latest drivers, and use the Display option to reconfigure your video device.

Another possibility is that the video device is not resetting correctly during the restart or the video is sharing an interrupt request (IRQ).

Turn the power off and then restart. If the video works, you probably need to turn the power off each time you restart Windows 2000. This problem is related to the video and system-BIOS.

If the video still does not work properly after shutting the power down and restarting, check for IRQ and memory conflicts with other cards on the system.

Note Windows 2000 requires new video and printer drivers. Microsoft Windows NT® version 3.51 and Microsoft Windows NT version 4.0 drivers for these devices will not work correctly when you are running Windows 2000.


Active Directory Installation Wizard Prompts for the Installation Path

This message appears when Setup is looking for the location of the Windows 2000 installation files. Use the Browse button to navigate to the location of the Windows 2000 installation files. For example, if you had Small Business Server Disc 1 (or your Small Business Server 2000 installation digital video disc [DVD]) in the local disc drive, you would point to the following install path:

driveletter:\i386

where driveletter is the drive letter of the disc drive.


Prompted for the Install Path During Installation of the Windows 2000 Optional Components

This message appears when setup is looking for the location of the Windows 2000 installation files. Use the Browse button to navigate to the location of the Windows 2000 installation files. For example, if you had Small Business Server Disc 1 (or the Small Business Server 2000 installation DVD) in the local disc drive, you would point to the following install path:

driveletter:\i386

where driveletter is the drive letter of the disc drive.


Not All of the Selected Server Components Installed

This could occur if, during Setup, you select only the top-level components for installation. Setting a component to install does not automatically set the install action of its subcomponents. You need to expand the selected component and then set the install action on each of the subcomponents that you want to install. Restart Setup and select the additional components to install.

Note To install the subcomponents, you must set the install action on the parent component to Maintenance.

If the component failed to install, check any error messages displayed during the installation. You must resolve the problem and then restart setup to reinstall the component. Additional help is available on the Microsoft Product Support Services home page, located at:

http://support.microsoft.com/directory/


Incorrect DNS Configuration Prevents Name Resolution

Small Business Server requires a valid DNS configuration to install by using your domain name. If you get a DNS error during setup, review the network adapter configuration and verify that it has the proper DNS server IP address listed.

To configure your network adapter to use your DNS server IP address

  1. In Control Panel, double-click the Network and Dial-Up Connections icon, right-click Local Area Connection, and then click Properties.
  2. From the list of network components, select Internet Protocol (TCP/IP), and then click Properties.
  3. Change one entry for Preferred DNS Server to the IP address of the server's internal network interface card, and then click OK.
  4. Click OK to save your changes.


Appendix A Accessibility for People with Disabilities

Microsoft is committed to making its products and services easier for everyone to use. This appendix outlines information on the following features, products, and services that make Microsoft® Windows® 2000 and Microsoft Small Business Server 2000 more accessible for people with disabilities:

  • Accessibility of Microsoft Small Business Server 2000.
  • Features and hints for customizing Windows 2000.
  • Microsoft services for people who are deaf or hard-of-hearing.
  • Microsoft software documentation online, or on audiocassette, floppy disk, or compact disc.
  • Third-party utilities that enhance accessibility.
  • Other products and services for people with disabilities.

Note The information in this appendix applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this appendix are available in your area.


Microsoft Small Business Server Accessibility Features

Microsoft Small Business Server 2000 is compatible with all of the products and services that make Windows 2000 easier to use for people with disabilities. In addition, the following features make Small Business Server 2000 more accessible.


Help Viewer

The Help Viewer for Microsoft HTML Help is the tool through which you read the product documentation. It is equipped with accessibility features, including shortcut keys for navigation and commands. The Help Viewer also uses some of the accessibility features of Microsoft Internet Explorer. For example, it allows you to change the colors of the display on your computer screen.


Accessibility Information for HTML Help
Using Accessibility Shortcut Keys in the Help Viewer

The following keyboard shortcuts can be used for navigation in the HTML Help Viewer. The help author who builds a compiled help (.chm) file can specify which buttons appear on the Help Viewer toolbar, so some of these options may not be available in your version of the viewer.

For more information about accessibility features and services, visit the Microsoft accessibility Web site at http://www.microsoft.com/enable.

For the Help Viewer:

To | Press
Display the Options menu. | ALT+O
Change Microsoft Internet Explorer settings. The Internet Options dialog box contains accessibility settings. To change these settings click the General tab, and then click Accessibility. | ALT+O, and then press I
Hide or show the Navigation pane. | ALT+O, and then press T
Print a topic. | ALT+O, and then press P, or right-click in the topic, then click Print.
Move back to the previous topic. | ALT+LEFT ARROW, or ALT+O, and then press B
Move forward to the next topic (provided you have viewed it just previously). | ALT+RIGHT ARROW, or ALT+O, and then press F
Turn on or off search highlighting. | ALT+O, and then press O
Refresh the topic that appears in the Topic pane (this is useful if you have linked to a Web page). | F5, or ALT+O, and then press R
Return to the home page (Help authors can specify a home page for a help system). | ALT+O, and then press H
Stop the viewer from opening a page (this is also useful if you are linking to the Web and want to stop a page from downloading). | ALT+O, and then press S
Jump to a predetermined topic or Web page. The Help author who builds a compiled help (.chm) file can add two links, on the Options menu, to important topics or Web pages. When you select a Jump command you go to one of those topics or Web pages. | ALT+O, and then press 1 or 2
Switch between the Navigation pane and the Topic pane. | F6
Scroll through a topic. | UP ARROW and DOWN ARROW, or PAGE UP and PAGE DOWN
Scroll through all the links in a topic or through all the options on a Navigation pane tab. | TAB

For the Contents tab:

To | Press
Display the Contents tab. | ALT+C
Open and close a book or folder. | PLUS SIGN and MINUS SIGN, or LEFT ARROW and RIGHT ARROW
Select a topic. | DOWN ARROW and UP ARROW
Display the selected topic. | ENTER

For the Index tab:

To | Press
Display the Index tab. | ALT+N
Type a keyword to search for. | ALT+W, and then type the word
Select a keyword in the list. | UP ARROW and DOWN ARROW
Display the associated topic. | ALT+D

For the Search tab:

To | Press
Display the Search tab. | ALT+S
Type a keyword to search for. | ALT+W, and then type the word
Start a search. | ALT+L
Select a topic in the results list. | ALT+T, and then UP ARROW and DOWN ARROW
Display the selected topic. | ALT+D

The following options are only available if full-text search is enabled:

To | Press
Search for a keyword in the result list of a prior search. | ALT+U
Search for words similar to the keyword. For example, to find words like "running" and "runs" for the keyword "run." | ALT+M
Only search through topic titles. | ALT+R

Notes

  • You can also access shortcut menu commands through the keyboard.
  • Shortcut keys work in secondary and pop-up windows.
  • Every time you use a shortcut key in the Navigation pane, you lose focus in the Topic pane. To return to the Topic pane, press F6.
  • The Match similar words check box, on the Search tab, will be selected if you used it for your last search.
To customize the Help Viewer

There are a few ways to easily change the size and position of the Help Viewer and the panes in the viewer:

  • To resize the Navigation or Topic pane, point to the divider between the two panes. When the pointer changes to a double-headed arrow, drag the divider right or left.
  • To proportionately shrink or enlarge the whole Help Viewer, point to any corner of the Help Viewer. When the pointer changes to a double-headed arrow, drag the corner.
  • To change the height or width of the Help Viewer, point to the top, bottom, left, or right edge of the Help Viewer. When the pointer changes to a double-headed arrow, drag the edge.
  • To reposition the Help Viewer on your screen, click the title bar and drag the Viewer to a new position.

Note The Help Viewer will appear with the last size and position settings you specified when it is opened again.

To change Topic pane formatting or styles for accessibility

  1. On the Options menu, click Internet Options, and then click Accessibility.
  2. In the Accessibility dialog box, select the options you want, and then click OK.

Note These changes only apply to the Topic pane, not to the Navigation pane or toolbar of the Help Viewer. The changes are, however, automatically applied to your accessibility settings for Internet Explorer.

To change the font size of a topic

  1. On the Options menu, click Internet Options, and then click Fonts.
  2. In the Fonts dialog box, select the font you want, and then click OK.

Note These changes only apply to the Topic pane, not to the Navigation pane or toolbar of the Help Viewer. The changes are, however, automatically applied to your font settings for Internet Explorer.

To change colors in the Topic pane of the Help Viewer

  1. On the Options menu, click Internet Options.
  2. On the General tab, click Colors.
  3. In the Colors dialog box, select the options you want, and then click OK.

Note These changes only apply to the Topic pane, not to the Navigation pane or toolbar of the Help Viewer. The changes are, however, automatically applied to your color settings for Internet Explorer.


Keyboard Input Support

Small Business Server provides shortcut keys that enable you to use the keyboard instead of the mouse.

Using Accessibility Shortcut Keys in the Small Business Server Administrator Console

The following keyboard shortcuts can be used for navigation within the Small Business Server Administrator Console.

To | Press
Open a new window. | ALT+W, and then ALT+N
Open Online Help. | ALT+H, and then ALT+H
Change the appearance of the console. | ALT+V, and then ALT+U
To learn more about how Small Business Server can make your job easier, there are a variety of online tours available. | ALT+F, press ENTER on Small Business Server Tips, and then press ENTER on your the tour of your choice.
Take shortcuts to server management tasks, such as managing Shared Folders or accessing the To Do List. | ALT+F, press ENTER on Management Shortcuts, and then press ENTER on the task of your choice.
Exit the console. | ALT+C, and then ALT+X


Customizing Windows

You can customize Windows in many ways to make your computer more accessible.

Windows 95 and later include built-in accessibility features that are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during setup, or you can add them later from your Windows installation disks.

For information about installing and using these features, refer to "accessibility" in the Windows Help.

Some of the accessibility features built into Windows can be added to earlier versions of Windows, and to MS-DOS, through Access Pack files. You can download these files or you can order them on disks from Microsoft. See details in "Accessibility Notes and Utilities to Download" later in this appendix.

The specific features available, and whether they are built-in or must be obtained separately, depend on which operating system you are using.

One of the best ways to get started using the accessibility features of Windows 2000 is to run the Accessibility Wizard. The Accessibility Wizard asks you questions about your accessibility needs. Then, based on your answers, it configures utilities and settings for you. You can run the Accessibility Wizard again at any time to make changes, or you can use Control Panel as explained below. With the Accessibility Wizard, you can set options specifically for:

  • People who are blind or have difficulty seeing things on-screen.
  • People who are deaf or have difficulty hearing sounds from the computer.
  • People who have difficulty using the keyboard or mouse.

After your initial configuration using the Accessibility Wizard, you can adjust the accessibility features through Control Panel. In Windows 2000, Control Panel contains seven settings programs related to accessibility features.

You can access most accessibility settings by double-clicking the Accessibility Options icon, or go directly to a particular settings group by using one of the other Control Panel icons. You can also go directly to Magnifier, Narrator, On-screen Keyboard, and Utility Manager to turn them on or off, set them to start up automatically, and to set other features.

One of the features most commonly used is the ability to change from standard QWERTY keyboard layout to Dvorak keyboard layout. Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard QWERTY layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

For full documentation on the accessibility features available in the operating system you are using, obtain the documents listed below. Accessibility features are also documented in the Microsoft Windows 95 Resource Kit, the Microsoft Windows 98 Resource Kit, the Microsoft Windows NT Resource Kit, the Microsoft Windows 2000 Server Resource Kit, and the Microsoft Windows 2000 Professional Resource Kit.


Accessibility Notes and Utilities to Download

The following documents explain how to customize Microsoft Windows for users with disabilities. Specific instructions for downloading the files immediately follow this list.

For | You Need
Customizing Windows for Individuals with Disabilities (describes all of the other documents in this list and includes links to download them; this article will be updated when new versions of Microsoft operating systems are released) | Microsoft Knowledge Base article Q165486.
Customizing Microsoft Windows 98 for individuals with disabilities |
Customizing Microsoft Windows 95 for individuals with disabilities | Cst_W95.exe
Customizing Microsoft Windows NT 4.0 for individuals with disabilities | Cst_NT4.exe
Customizing Microsoft Windows NT 3.1 and 3.5 for individuals with disabilities (includes Access Pack for Microsoft Windows NT, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing) | Cst_NT3x.exe
Customizing Microsoft Windows 3.1 for individuals with disabilities | Cst_W3x.exe
Customizing Microsoft Windows for Workgroups 3.1 for individuals with disabilities | Cst_WG3x.exe
Customizing Microsoft Windows 3.0 for individuals with disabilities | Cst_W30.exe
Access Pack for Microsoft Windows 3.0 and 3.1, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing | ACCP.EXE
Dvorak keyboard layouts for people who type with one hand (already included in Windows NT version 3.5 and later) | GA0650.EXE


To Download the Files

If you have a modem or another type of network connection, you can download the accessibility files from one of the following network services:

  • Microsoft accessibility: http://www.microsoft.com/enable/
  • Support Online from Microsoft Product Support Services:

    http://support.microsoft.com/search/

    To search Support Online

    1. In the list labeled My search is about, select -All Microsoft Products-.
    2. In the list labeled I want to search by, click Specific article ID number.
    3. In the box labeled My question is, type Q165486.
    4. The search results display a link to the Knowledge Base article, "Customizing Windows for Individuals with Disabilities," which includes links to all of the documents listed above about customizing Windows operating systems.
  • Microsoft Internet server: ftp.microsoft.com, in /softlib/mslfiles.
  • Microsoft Download Service (MSDL), which you can reach by calling (425) 936-6735 any time except between 1:00 A.M. and 2:30 A.M. Pacific time.

    MSDL supports 1200, 2400, 9600, or 14400 baud rates (V.22bis, V.32, V.32bis and V.42), with 8 data bits, no parity, and 1 stop bit. MSDL does not support 28800, 56K or ISDN connections.


Microsoft Services for People Who Are Deaf or Hard-of-Hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TTY/TDD) service.


Customer Service

You can contact the Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 A.M. and 5:30 P.M. Pacific time.


Technical Assistance

For technical assistance in the United States, you can contact Microsoft Technical Support on a text telephone at (425) 635-4948 between 6:00 A.M. and 6:00 P.M. Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 A.M. and 8:00 P.M. eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to the prices, terms, and conditions in place at the time the service is used.


Microsoft Documentation in Alternative Formats

In addition to the standard forms of documentation, many Microsoft products are available in other formats to make them more accessible. Most of the documents for Small Business Server 2000 are available as online Help or online user's guides.

If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic (RFB&D), Inc. RFB&D distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. You can download many of these books from the Microsoft Accessibility Web site at: http://www.microsoft.com/enable/

For more information, contact Recording for the Blind & Dyslexic at the following address or phone numbers:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Web: http://www.rfbd.org/
Phone: (609) 452-0606
Fax: (609) 987-8116


Utilities to Enhance Accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. The different types of products available for the Windows operating systems include:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments.
  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading.
  • Hardware and software utilities that modify the behavior of the mouse and keyboard.
  • Programs that enable people to "type" by using a mouse, or their voice.
  • Word or phrase prediction software that allow users to type more quickly and with fewer keystrokes.
  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard.


Additional Accessibility Information

In addition to the features and resources already described in this appendix, other products, services, and resources for people with disabilities are available from Microsoft and other organizations, detailed in the following sections.


Microsoft

Microsoft provides a catalog of accessibility aids that can be used with the Windows operating systems. You can obtain this catalog through mail, from our Web site, or by phone.

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393

Web: http://www.microsoft.com/enable/
Voice telephone: (800) 426-9400
Text telephone: (800) 892-5234


Macintosh Disability Solutions

For more information on products and services for the Macintosh for people with disabilities, contact:

Disability Solutions
Apple Computer, Inc.
One Infinite Loop
MailStop 38-DS
Cupertino, CA 95014

Web: http://www.apple.com/disability/
Voice telephone: (800) 600-7808
Text telephone: (800) 755-0601


Trace R&D Center

The Trace R&D Center at the University of Wisconsin-Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their site on the World Wide Web. The Trace R&D Center also publishes a book, titled Trace ResourceBook, which provides descriptions and photographs of about 2,000 products.

To obtain these materials, contact:

Trace R&D Center
University of Wisconsin-Madison
5901 Research Park Boulevard
Madison, WI 53719-1252

Web: http://trace.wisc.edu/
Fax: (608) 262-8848


Small Business Server 2000 Glossary

Symbols
.msc files
Snap-ins can be assembled into a custom console, and then stored as saved console .msc files.
A
Active Directory
The directory service for Windows 2000 Server. It stores information about objects on the network and makes this information available for authorized administrators and users. Active Directory gives network users access to permitted resources anywhere on the network using a single logon process. It provides administrators with an intuitive hierarchical view of the network and a single point of administration for all network objects.
ActiveX
A set of technologies that enables software components to interact with one another in a networked environment, regardless of the language in which the components were created.
ActiveX control
A reusable software component that incorporates ActiveX technology.
administrator account
A specific Windows 2000 user account that has rights and permissions to set up and manage domain controllers or local computers. The administrator account also has permission to manage user and group accounts, assign passwords and permissions, and help users with networking issues.
American National Standards Institute
(ANSI) A quasi-national standards organization that provides area charters for groups that establish standards in specific fields. Standards approved by ANSI are often called ANSI standards. Additionally, ANSI is commonly used to refer to a low-level table of codes used by a computer.
American Standard Code for Information Interchange
(ASCII) A coding scheme using seven or eight bits that assigns numeric values to up to 256 characters, including letters, numerals, punctuation marks, control characters, and other symbols.
ANSI
See definition for: American National Standards Institute
anti-virus software
Anti-virus software is specifically designed for the detection and prevention of virus programs. Because new virus programs are created all the time, many makers of anti-virus products offer periodic updates of their software to customers.

See also: computer virus

argument
A constant, variable, or expression passed to a procedure or subprogram.
ASCII
See definition for: American Standard Code for Information Interchange
attribute
1. Information that indicates that a file is read-only, hidden, system, or compressed, or whether the file has been changed since a backup copy of it was made. 2. In object-oriented software, an individual characteristic of the object.
B
BackOffice Home snap-in
A customized BackOffice Server snap-in that displays Health Monitor alerts, performance counters, and current service status.
BackOffice Manager snap-in
A customized BackOffice Server snap-in that displays and saves customizable queries of Active Directory objects such as users, groups, printers, and computers. The BackOffice Manager snap-in saves customized queries as query nodes and aggregator nodes.
backup
A duplicate copy of a program, a disk, or data, made either for archiving purposes or for safeguarding valuable files from loss should the active copy be damaged or destroyed. Some application programs automatically make backup copies of data files, maintaining both the current version and the previous version.
backup domain controller
(BDC) In a Windows NT Server domain, a computer running Windows NT Server that receives a copy of the domain's directory database, which contains all account and security policy information for the domain. The copy is synchronized periodically and automatically with the copy on the primary domain controller. BDCs also authenticate user logons and can be promoted to function as a primary domain controller as needed. Multiple BDCs can exist in a domain. Windows NT 3.51 and 4.0 BDCs can participate in a Windows 2000 domain when the domain is configured in mixed mode.

See also: primary domain controller, first domain controller

backup operator
A type of local or global group that contains the user rights needed to back up and restore files and folders. Members of the Backup Operators group can back up and restore files and folders, regardless of ownership, access permissions, encryption, or auditing settings.
bandwidth
In communications, the difference between the highest and lowest frequencies in a given range. For example, a telephone line accommodates a bandwidth of 3,000 Hz, the difference between the lowest (300 Hz) and highest (3,300 Hz) frequencies it can carry. In computer networks, greater bandwidth indicates faster data-transfer capability and is expressed in bits per second (bps).
BDC
See definition for: backup domain controller
browser
Software that interprets Hypertext Markup Language (HTML) files posted on the World Wide Web, formats them as Web pages, and displays them.
C
cable modem
A modem that provides broadband Internet access in the range of 10 to 30 megabits per second (Mbps).
cache
A location for frequently accessed files that are read from memory or a local disk for faster access.
child domain
For DNS and Active Directory, a domain located in the namespace tree directly beneath another domain name (its parent domain). For example, example.reskit.com is a child domain of the parent domain, reskit.com. A child domain is also called a subdomain.

See also: parent domain, directory partition, domain

clean installation
Installation of an operating system on a new computer or a computer with a reformatted disk drive.
client computer
On a local area network (LAN) or the Internet, a computer that accesses shared network resources provided by a server computer.
COM
See definition for: Component Object Model
Component Object Model
(COM) A specification developed by Microsoft for building software components that can be assembled into programs, or that add functionality to existing programs running on Microsoft Windows platforms. COM components can be written in a variety of languages.
computer name
A unique name of up to 15 uppercase characters that identifies a computer to the network. The name cannot be the same as any other computer or domain name in the network.
computer virus
A computer virus is an executable file designed to replicate itself while avoiding detection. A virus may disguise itself as a legitimate program. Viruses are often rewritten and adjusted so that they will not be detected. Anti-virus programs must be updated continuously to look for new and modified viruses. Viruses are the number one method of computer vandalism.

See also: anti-virus software

connectivity
1. The nature of the connection between a user's computer and another computer, such as a server or a host computer on the Internet or a network. This may describe the quality of the circuit or telephone line, the degree of freedom from noise, or the bandwidth of the communications devices. 2. The ability of hardware devices and/or software packages to transmit data between other hardware devices and/or software packages. 3. The ability of hardware devices, software packages, or a computer itself to work with network devices or work with other hardware devices, software packages, or a computer over a network connection.
console
A control unit through which a user communicates with a computer via a primary input device (keyboard or mouse) and a primary output device (screen). A console integrates all the tools, information, and Web pages an administrator needs to perform specific tasks.
Console Tree
In MMC, a tree-formatted, ordered listing of all the nodes available in the current console, appearing in the left pane. The display of the Console Tree is similar to a folder and directory structure on a hard disk drive. The items in the Console Tree (for example, Web pages, folders, and controls) and their hierarchical organization determines the management capabilities of a console.

See also: Details Pane

copy backup
A backup that copies all selected files without marking them as having been backed up—the archive bit is not set. A copy backup is useful between normal and incremental backups, as copying does not affect other backup operations.

See also: daily backup, differential backup, incremental backup, normal backup

D
daily backup
A backup that occurs every day, copying all selected modified files the day the backup is performed. These files are not marked as having been backed up—the archive bit is not set.

See also: differential backup, copy backup, incremental backup, normal backup

database
A file composed of records, each containing fields together with a set of operations for searching, sorting, recombining, and other functions.
default gateway
The gateway used to connect to the rest of the network.

See also: gateway

defragmentation
The process of rewriting parts of a file to contiguous sectors on a hard disk drive. Defragmentation is done to increase disk speed access and retrieval. For example, when files are updated, updates are typically saved on the largest continuous space on the hard disk, often on a different sector than other parts of the file. When files are fragmented like this, a computer must search the entire hard disk each time the file is opened to locate all of its parts, which slows down response time considerably. Routine disk defragmentation is recommended.
Details Pane
In MMC, the right pane that displays the results of a selection in the Console Tree.

See also: Console Tree

device driver
A program that allows a specific device, such as a modem, network adapter, or printer, to communicate with Windows 2000. Although a device can be installed on a system, Windows 2000 cannot use the device until the appropriate driver has been installed and configured. If a device is listed in the Hardware Compatibility List, a driver is usually included with Windows 2000. Device drivers are loaded (for all enabled devices) when a computer is started, running transparently thereafter.
DHCP
See definition for: Dynamic Host Configuration Protocol
DHCP-server computer
A server computer running DHCP that allocates IP addresses to the host computers on the network as needed.
dial-up networking
The client version of Windows 2000 Remote Access Service, which enables users to connect to remote networks.
differential backup
A backup that copies files created or changed since the last normal or incremental backup. Files are not marked as having been backed up—the archive bit is not set. If you are performing a combination of normal and differential backups, restoring your files and folders will require you to have the last normal and last differential backup.

See also: normal backup, incremental backup, copy backup, daily backup

digital certificate
An encrypted file containing user or server identification information, which is used to verify identity and to establish a secure link. It is called a client certificate when issued to a server administrator.
digital subscriber line
(DSL) A special communication line that uses modulation technology to maximize the amount of data that can be sent over copper wires. DSL is used for connections from telephone switching stations to a subscriber, rather than between switching stations.
directory partition
A self-contained section of a directory hierarchy that can have its own properties, such as replication configuration. Active Directory includes the domain, configuration, and schema directory partitions.

See also: naming context, child domain

directory replication
The process of updating the directories of all servers within and between sites.

See also: directory replication traffic

directory replication traffic
The network traffic created during the process of updating the directories of all servers within and between domains.

See also: directory replication

Directory Service
A Microsoft Windows NT Server process that manages information in the directory database and handles directory requests from users services and applications. The directory service provides the Microsoft Exchange Server Address Book enforces the rules governing the structure and contents of the directory and sends directory replication notifications to directories on other servers and processes directory replication notifications from other servers.
disk quotas
A Windows 2000 feature for restricting disk space usage on disks formatted for NTFS. Disk quotas can be set on basic or dynamic disks, from the Disk Manager snap-in.

See also: dynamic disks

distribution group
A group of recipients created to expedite mass mailing of messages and other information. When e-mail is sent to a distribution list, all members of that list receive a copy of the message.

See also: group

DNS
See definition for: Domain Name System
domain
A group of computers that are part of a network and share a common directory database. In Windows 2000, a domain is a security boundary and permissions that are granted in one domain are not carried over to other domains.

See also: child domain

domain controller
A computer running Windows 2000 Server that manages user access to a network, which includes logging on, authentication, and access to Active Directory and shared resources.

See also: first domain controller

domain local group
A Windows 2000 group available only in native-mode domains, which can contain members from anywhere in the forest, in trusted forests, or in a trusted pre Windows 2000 domain. Domain local groups can grant permissions only to resources within the domain in which they exist. Typically, domain local groups are used to gather security principals from across the forest to control access to resources within the domain.

See also: universal group

Domain Name System
(DNS) A TCP/IP standard name service that allows clients and servers to resolve names into Internet Protocol (IP) addresses and vice versa. Dynamic DNS in Windows 2000 enables clients and servers to automatically register themselves without the need for administrators to manually define records.
DS
See definition for: Directory Service
DSL
See definition for: digital subscriber line
dual-boot system
A computer that allows a user to start one of two operating systems on a PC.
dynamic
A process occurring immediately and concurrently.
dynamic disks
A portion of a hard drive, called a disk, which is managed by the Disk Management snap-in. Dynamic disks can only contain dynamic volumes, also created and managed by the Disk Management snap-in.

See also: disk quotas, dynamic volumes

Dynamic Host Configuration Protocol
(DHCP) A protocol for assigning Internet Protocol (IP) addresses to computers and other devices on a TCP/IP network. Dynamic addressing permits a computer to have a different address each time it logs on to a network.
dynamic volumes
A logical volume on a hard drive created using the Disk Management snap-in. Dynamic volumes can be formatted in several disk configurations: simple, spanned, striped, mirrored, and RAID-5. Dynamic volumes can only be created on dynamic disks.

See also: dynamic disks

E
ETRN
A type of signal sent from an SMTP e-mail client to the managing e-mail server that initiates e-mail delivery from the STMP server to the SMTP client.
extensibility
The ability to add functionality to an existing application.
Extensible Markup Language
(XML) A meta-markup language that provides a format for describing structured data. This facilitates a more precise declaration of content and more meaningful search results across multiple platforms. In addition, XML will enable a new generation of Web-based data viewing and manipulation of applications.
F
FAT
See definition for: file allocation table
fault tolerance
The ability of a system to respond to an event, such as a power failure, so information is not lost and operations continue without interruption.
file allocation table
(FAT) A table on a disk set aside to reference file locations on that disk. The table is a chain identifying where each part of a file is located. It acts similarly to a table of contents for a book.
file sharing
The use of computer files on networks, wherein files are stored on a central computer or a server and are accessed by more than one user. When a single file is shared by many people, access can be regulated through such means as password protection, security clearances, or file locking to prohibit changes to a file by more than one person at a time.
File Transfer Protocol
(FTP) The protocol used for copying files to and from remote computer systems on a network using TCP/IP, such as the Internet.
filter
A program or set of features within a program that reads its standard or designated input, transforms the input in some desired way, and then writes the output to its standard or designated output destination. A database filter, for example, might flag information of a certain age. Also, a pattern or mask that data is passed through to weed out specified data. For instance, a filter used in e-mail or in retrieving newsgroup messages can allow users to filter out messages from other users. In Internet Information Server (IIS), a feature of ISAPI that allows preprocessing of requests and postprocessing of responses, permitting site-specific handling of HTTP requests and responses.
firewall
A combination of hardware and software that provides a security system, usually to prevent unauthorized access from the Internet to an internal network or intranet.
forest
One or more domain trees that do not form a contiguous namespace. Forests allow organizations to group divisions that operate independently but still need to communicate with one another.
FTP
See definition for: File Transfer Protocol
G
gateway
A device that connects networks using different communications protocols so information can be passed from one network to the other. A gateway transfers information and converts it to a form compatible with the protocols used by the receiving network.

See also: default gateway

global catalog
A server that holds a complete replica of the configuration and schema naming contexts for the forest, a complete replica of the domain naming context in which the server is installed, and a partial replica of all other domains in the forest. The global catalog is the central repository for information about objects in the forest.
global group
For Windows 2000 Server, a group that can be used in its own domain, in member servers and workstations of the domain, and in trusting domains. In all those places a global group can be granted rights and permissions and can become a member of local groups. However, a global group can contain user accounts only from its own domain.
group
A collection of users, computers, contacts, public folders, and other groups. Groups can be used as a security identifier or as a distribution list. Distribution groups are used only for e-mail. Security groups are used to grant access to resources. A group in Windows 2000 is roughly equivalent to a distribution list in Exchange 5.5.

See also: distribution list

Group Policy
An administrator's tool for defining and controlling how programs, network resources, and the operating system operate for users and computers in an organization. In an Active Directory environment, Group Policy is applied to users or computers on the basis of their membership in sites, domains, or organizational units.
Group Policy object
A collection of Group Policy settings. Group Policy objects are essentially the documents created by the Group Policy snap-in, a Windows 2000 utility. Group Policy objects are stored at the domain level, and they affect users and computers contained in sites, domains, and organizational units.
H
hardware
The physical components of a computer system, including any peripheral equipment such as printers, modems, and mouse devices.
host
The main computer in a system of computers or terminals connected by communications links.
HTML
See definition for: Hypertext Markup Language
HTTP
See definition for: Hypertext Transfer Protocol
Hypertext Markup Language
(HTML) A system of marking up or tagging a document so that it can be published on the World Wide Web. Documents prepared in HTML contain reference graphics and formatting tags. You use a Web browser (such as Microsoft Internet Explorer) to view these documents.
Hypertext Transfer Protocol
(HTTP) A client/server protocol used on the Internet for sending and receiving HTML documents. HTTP is based on the TCP/IP protocol.
I
ICANN
See definition for: Internet Corporation for Assigned Names and Numbers
IIS
See definition for: Internet Information Services
IMS
See definition for: Internet Mail Service
incremental backup
A backup that copies only files created or changed since the last normal or incremental backup. Files are marked as having been backed up--the archive bit is set. If a combination of normal and incremental backups is used to restore your data, you need to have the last normal backup and all subsequent incremental backup sets.

See also: normal backup, copy backup, daily backup, differential backup

independent software vendor
(ISV) Also known as a third-party software developer. An individual or an organization that independently creates computer software.
Integrated Services Digital Network
(ISDN) A completely digital telephone/telecommunications network that carries voice, data, and video information over the existing telephone network infrastructure. It is designed to provide a single interface for hooking up a telephone, fax machine, computer, and so on.
Internet Corporation for Assigned Names and Numbers
(ICANN) A corporation that accredits domain name registration companies.
Internet Information Services
(IIS) Microsoft's Web service for publishing information on an intranet or the Internet, and for building server-based Web applications. Upon installation, Exchange 2000 extends the messaging capabilities of IIS and incorporates them into the Exchange message routing architecture.
Internet Mail Service
(IMS) An Exchange component that enables users to exchange messages with Internet users. It can also be used to connect sites over any simple mail transfer protocol backbone.
Internet Packet Exchange
(IPX) The protocol in Novell NetWare that governs addressing and routing of packets within and between LANs.
Internet Protocol
(IP) A network routing protocol used to address, route, and reassemble IP packets.
Internet Server Application Programming Interface
(ISAPI) An easy-to-use, high performance interface for back-end applications using Microsoft's Internet Information Server.
Internet service provider
(ISP) A business that supplies Internet connectivity services to individuals, businesses, and other organizations.
Intranet
A network within an organization that uses Internet technologies and protocols, but is available only to certain people, such as employees of a company. An intranet is also called a private network.
IP
See definition for: Internet Protocol
IP address
A 32-bit address used to identify a node on an IP internetwork. Each node on the IP internetwork must be assigned a unique IP address, which is made up of the network ID and unique host ID. This address is typically represented with the decimal value of each octet separated by a period (for example, 192.168.7.27). In Windows 2000, the IP address can be configured manually or dynamically through DHCP.
IPX
See definition for: Internet Packet Exchange
ISA
See definition for: Microsoft Internet Security and Acceleration Server
ISAPI
See definition for: Internet Server Application Programming Interface
ISDN
See definition for: Integrated Services Digital Network
ISP
See definition for: Internet service provider
ISV
See definition for: independent software vendor
J

There are no glossary terms that begin with this letter.

K

There are no glossary terms that begin with this letter.

L
LAN
See definition for: local area network
LDAP
See definition for: Lightweight Directory Access Protocol
legacy
Pertaining to documents, data, or systems that existed prior to a certain time.
Lightweight Directory Access Protocol
(LDAP) A network protocol designed to work on TCP/IP stacks to extract information from a hierarchical directory such as X.500. It is useful for searching through data to find a particular piece of information.
load balancing
Windows Clustering scales the performance of a server-based program (such as a Web server) by distributing its client requests across multiple servers within the cluster. This is known as load balancing. Each host can specify the load percentage that it will handle, or the load can be equally distributed across all the hosts. If a host fails, Windows Clustering dynamically redistributes the load among the remaining hosts.
local area network
(LAN) A group of computers and other devices dispersed over a relatively limited area and connected by a communications link that enables the devices to interact together.
log file
A file that stores messages generated by an application, service, or operating system. These messages are used to track the operations performed. For example, Web servers maintain log files listing every request made to the server. Log files are usually ASCII files and often have a .log extension. During backup, log files are created to record the date the backup tapes were made and the names of files and directories successfully backed up and restored. The Performance Logs and Alerts service also creates log files.
M
MAPI
See definition for: Messaging Application Programming Interface
message queue
An ordered list of messages awaiting transmission, from which they are taken up on a first in, first out (FIFO) basis.
Messaging Application Programming Interface
A messaging architecture enabling multiple applications to interact with multiple messaging systems across a variety of hardware platforms. MAPI is built on the COM foundation.
MHTML
See definition for: MIME Encapsulation of Aggregate HTML Documents
Microsoft Internet Security and Acceleration Server
(ISA) The BackOffice Server and Small Business Server component that provides network firewall capabilities and local caching of Internet content.
Microsoft Management Console
(MMC) A management display framework that hosts administration tools and applications. Using MMC you can create, save, and open collections of tools and applications. Saved collections of tools and applications are called consoles.
Microsoft Transaction Server
(MTS) A COM-based transaction processing system that provides a run-time environment for objects that perform the business logic of n-tier applications.
migration
The process of moving an existing messaging system to another system by copying the existing mailboxes, messages, and other data, and importing that information into a new messaging system.
MIME
See definition for: Multipurpose Internet Mail Extensions
MIME Encapsulation of Aggregate HTML Documents
An Internet standard for sending HTML documents within (MIME) formatted messages. The HTML documents are included as body parts and are referenced by URLs in the message.
mixed mode
The default mode setting for domains on Windows 2000 domain controllers. Mixed mode allows Windows 2000 domain controllers and Windows NT backup domain controllers to coexist in a domain. Mixed mode does not support the universal and nested group enhancements of Windows 2000. You can change the domain mode setting to Windows 2000 native mode after all Windows NT domain controllers are either removed from the domain, or upgraded to Windows 2000.

See also: native mode

MMC
See definition for: Microsoft Management Console
MMDS
See definition for: Multi-channel Multi-point Distribution Systems
modem
Short for modulator/demodulator, a communications device that enables a computer to transmit information over a standard telephone line.
MTS
See definition for: Microsoft Transaction Server
Multi-channel Multi-point Distribution Systems
A broadband technology for connecting to public networks such as the Internet.
Multipurpose Internet Mail Extensions
(MIME) A standard that enables binary data to be published and read on the Internet. The header of a file with binary data contains the MIME type of the data, which informs client programs (such as Web browsers and mail packages) that they cannot process the data as straight text.
N
namespace
The snap-in UI combination of the Console Tree and the Details Pane.
naming context
A term used in X.500 and LDAP standards.

See also: directory partition

native mode
The condition in which all domain controllers within a domain are Windows 2000 domain controllers, and an administrator has enabled native mode operation (through Active Directory Users and Computers).

See also: mixed mode

NDR
See definition for: non-delivery report
Node
1. A junction of some type. 2. In local area networks (LANs), a device that is connected to the network and is capable of communicating with other network devices. 3. In tree structures, a location on the tree that can have links to one or more nodes below it.
non-delivery report
(NDR) A notice that a message was not delivered to the recipient.
normal backup
A backup that copies all selected files, marking each file as backed up--the archive bit is set. For normal backups, only the most recent copy of the backup file or tape is needed to restore all of the files. A normal backup is usually performed the first time a backup set is created.

See also: copy backup, daily backup, differential backup, incremental backup

NTFS
See definition for: NTFS file system
NTFS file system
The file system designed for use specifically with the Windows NT operating system. NTFS supports file system recovery and extremely large storage media. It also supports object-oriented applications by treating all files as objects with user-defined and system-defined attributes.
NTLM
Name for the protocol formerly known as the Windows NT LAN Manager.
O
object
The basic unit of Active Directory. It is a distinct, named set of attributes that represents something concrete, such as a user, a printer, a computer, or an application.
organizational unit
An Active Directory container into which you can place objects such as user accounts, groups, computers, printers, applications, file shares, and other organizational units. Organizational units can be used to contain and assign specific permissions to groups of objects, such as users and printers. An organizational unit cannot contain objects from other domains. An organizational unit is the smallest unit you can assign or delegate administrative authority to.
Outlook Web Access
Outlook Web Access for Microsoft Exchange 2000 Server provides users access to e-mail, personal calendars, group scheduling, contacts, and collaboration applications using a Web browser. It can be used for UNIX and Macintosh users, users without access to a Microsoft Outlook 2000 client, or users connecting from the Internet. Outlook Web Access offers cross-platform client access for roaming users, users with limited hardware resources, and users who do not have access to their own computers.
OWA
See definition for: Outlook Web Access
P
packet
A transmission unit of fixed maximum size that consists of binary information. This information represents both data and a header containing an ID number, source and destination addresses, and error-control data.
paging file
A hidden file on the hard disk that Windows 2000 uses to hold parts of programs and data files that do not fit in memory. The paging file and physical memory, or RAM, comprise virtual memory. Windows 2000 moves data from the paging file to memory as needed, and moves data from memory to the paging file to make room for new data. Also called a swap file.
parameter
In programming, a value that is given to a variable, either at the beginning of an operation or before an expression is evaluated by a program. Until the operation is completed, a parameter is effectively treated as a constant value by the program. A parameter can be text, a number, or an argument name assigned to a value that is passed from one routine to another. Parameters are used as a means of customizing program operation.
parent domain
For DNS and Active Directory, domains that are located in the namespace tree directly above other derivative domain names (child domains). For example, reskit.com is the parent domain for eu.reskit.com, its child domain.

See also: child domain

partition
A logically distinct portion of memory or a storage device that functions as though it were a physically separate unit. In database programming, a subset of a database table or file.
PDC
See definition for: primary domain controller
Point-to-Point Protocol
(PPP) A data link protocol for dial-up telephone connections, such as between the computer and the Internet.
Point-to-Point Tunneling Protocol
(PPTP) An encryption protocol used for remote computers to securely access other computer networks across an Internet connection. Often used with virtual private networks (VPNs).
POP3
See definition for: Post Office Protocol version 3
POP3 server
A server that provides access to a single Inbox.
Post Office Protocol version 3
(POP3) An Internet protocol that allows a client to download mail from an inbox on a server to the client computer where messages are managed. This protocol works well for computers that are unable to maintain a continuous connection to a server.
PPP
See definition for: Point-to-Point Protocol
PPTP
See definition for: Point-to-Point Tunneling Protocol
primary domain controller
(PDC) A Windows NT 4.0 and 3.51 domain controller that is the first one created in the domain, containing the primary storehouse for domain data. Within the domain, the PDC periodically replicates its data to the other domain controllers, known as backup domain controllers (BDCs).

See also: first domain controller, backup domain controller

protocol
A set of rules and conventions by which two computers pass messages across a network. Networking software usually implements multiple levels of protocols layered one on top of another.
Q
query
A specific set of instructions for extracting data repetitively and presenting it for use.
R
RAID
See definition for: redundant array of independent disks
RAS
See definition for: Remote Access Service
redundant array of independent disks
(RAID) A mechanism for storing identical data on multiple disks for redundancy, improved performance, and increased mean time between failures (MTBF). RAID provides fault tolerance and appears to the operating system as a single logical drive. Windows 2000 provides three RAID levels: Level 0 (striping) which is not fault-tolerant, Level 1 (mirroring), and Level 5 (striped volume with parity).
Remote Access Service
(RAS) On a local area network, a host that is equipped with modems to enable users to connect to the network over telephone lines. Works with dial-up networking to allow one computer to connect to another through a modem to access shared resources, such as drives or files.
remote administration
Administering a computer or network from another computer.
roaming user profile
A server-based user profile that is downloaded to the local computer when a user logs on. It is updated both locally and on the server when the user logs off. A roaming user profile is available from the server when logging on to any computer that is running Windows 2000 Professional or Windows 2000 Server.
robust
Able to function or to continue functioning well in unexpected situations.
S
SCSI
See definition for: Small Computer System Interface
Secure Sockets Layer
(SSL) A protocol designed to establish a secure communications channel to prevent the interception of critical information, such as credit card numbers.
Simple Mail Transfer Protocol
(SMTP) The standard protocol for Internet mail. SMTP transfers mail from server to server and from mail system to mail system. In Exchange 2000 Server, SMTP is the native transport protocol.
Small Computer System Interface
A standard high-speed parallel interface defined by the X3T9.2 committee of the American National Standards Institute (ANSI). A SCSI interface is used for connecting microcomputers to peripheral devices, such as hard disks and printers, and to other computers and local area networks.
SMTP
See definition for: Simple Mail Transfer Protocol
snap-in
Software that makes up the smallest unit of a Microsoft Management Console (MMC) extension. One snap-in represents one unit of management behavior.
SSL
See definition for: Secure Sockets Layer
subnet mask
A 32-bit value expressed as four decimal numbers from 0 to 255, separated by periods (for example, 255.255.0.0.). This number allows TCP/IP to distinguish the network ID portion of the IP address from the host ID portion. The host ID identifies individual computers on the network. TCP/IP hosts use the subnet mask to determine whether a destination host is located on a local or a remote network.
System Monitor
A Windows 2000 tool that allows you to measure the performance of your own computer or other computers on the network in real time or for historical trending. With System Monitor, you can collect and view extensive data about the usage of hardware resources and the activity of system services on computers you administer.
systemroot
The path and folder name where the Windows 2000 system files are located. Typically, this is C:\Winnt, although a different drive or folder can be designated when Windows 2000 is installed. The value %systemroot% can be used to replace the actual location of the folder that contains the Windows 2000 system files. To identify and open your systemroot folder, click Start, click Run, and then type %systemroot%
T
taskpad
A dynamic HTML page that receives information from Microsoft Management Console (MMC) regarding extension tasks, returning actions to the appropriate snap-in.
TCP/IP
See definition for: Transmission Control Protocol/Internet Protocol
Transmission Control Protocol/Internet Protocol
(TCP/IP) A protocol that networks use to communicate with each other. It is the de facto standard for data transmission over networks, including the Internet.
trust relationship
The relationship between two domains that makes it possible for a user in one domain to access resources in another domain.
TURN
A type of signal sent from an SMTP e-mail client to the managing e-mail server that initiates e-mail delivery from the STMP server to the SMTP client.
U
uninterruptible power supply
(UPS) A device, connected between a computer (or other electronic equipment) and a power source (usually an outlet), that ensures that electrical flow to the computer is not interrupted because of a blackout and, in most cases, protects the computer against potentially damaging events, such as power surges and brownouts. All UPS units are equipped with a battery and a loss-of-power sensor; if the sensor detects a loss of power, it switches over to battery so that the user has time to save any work and shut off the computer.
universal group
A Windows 2000 group available only in native mode that is valid anywhere in a forest. A universal group appears in the global catalog but contains primarily global groups from domains in a forest. This is the simplest form of group and can contain other universal groups, global groups, and users.

See also: domain local group

UPS
See definition for: uninterruptible power supply
URL
(Uniform Resource Locator) An address for a resource on the Internet. URLs are used by Web browsers to locate Internet resources.
V
virtual private network
(VPN) Similar to Remote Access Service, this solution provides secure, encrypted access to corporate networks from clients connecting through the Internet.
VPN
See definition for: virtual private network
W

There are no glossary terms that begin with this letter.

X
XML
See definition for: Extensible Markup Language
Y

There are no glossary terms that begin with this letter.

Z

There are no glossary terms that begin with this letter.


Appendix C Small Business Server Setup Worksheets

Before you run Small Business Server Setup, you should gather information about your computer and network that Setup requires. This will help you complete the installation quickly and without interruption. In most cases, Small Business Server Setup provides defaults that you can accept without change. The following worksheet also helps you plan your installation. If you are performing an upgrade, some information in Setup may differ from that on this worksheet. For more information about these items, see Chapter 14, “Preparing to Install Small Business Server 2000.”


Information Required by Small Business Server 2000

The following data is requested during Small Business Server Setup to establish basic server settings.

Name |
Organization |
Computer Name |
25-digit Small Business Server Product Key |
25-digit Outlook Product Key |
Company Address |
Country or Region |
Business Phone Number | ( ) -
Business Fax Number | ( ) -
Number to Dial for Outside Line |
Tone or Pulse Dialing? |


Networking Information

The following information is necessary so that Small Business Server 2000 can link to other computers in your network.

Local Network Card |
IP Address | Default: 192.168.16.2
Subnet Mask | Default: 255.255.255.0
Default Gateway |


Domain Information

The domain name is the name by which your computer will be known on the Internet.

Full DNS Name for Domain
Domain NetBIOS Name


Domain Controller Information

This password will enable you to recover data in case of an emergency.

Directory Services recovery password (Store password in a safe location)


Applications to Install

  • SQL Server 2000
  • Internet Security and Acceleration (ISA) Server 2000
  • Shared Fax Service
  • Shared Modem Service
  • Exchange 2000 Server


Information Required by SQL Server 2000 (Worksheet)

Information Required by SQL Server 2000

The following information is necessary for SQL Server installation.

Network access to database (default Named Pipes and TCP/IP (port 1433))
  • Named Pipes
  • TCP/IP Sockets
  • NWLink IPX/SPX
  • AppleTalk
  • Banyan Vines
Character Set (default ISO)
Sort Order (default Dictionary order, not case-sensitive)
Unicode Collation (default General)


Information Required by ISA Server 2000

The following information is necessary for ISA Server installation.

Cache Drive (default largest NTFS) Cache Size (default 100 MB)
Local Address Table (IP address pairs defining internal network)


Data Folders

Management
 | Users Shared Folder | %systemdrive%\users
 | Company Shared Folder | %systemdrive%\company
Client Applications Location |  | %systemdrive%\Clntapps
SQL Server 2000
SQL Data |  | Program Files\Microsoft SQL Server\MSSQL\data
SQL OLAP |  | Program Files\OLAP Services\Data


Appendix D Small Business Server 2000 Migration Upgrade

Introduction

Microsoft® Small Business Server 2000 makes it easy for small businesses to deploy and manage business applications. It integrates the Microsoft Windows® 2000 Server operating system and individual Small Business Server applications, as well as existing client software, databases, applications, and networks. Small Business Server also includes built-in management and monitoring tools, along with wizards to aid in user account creation, workstation setup, and connecting to the Internet.

Those who choose to perform an in-place upgrade to Small Business Server 2000 — upgrading the Small Business Server 4.x installation on the same computer — can follow the process outlined in Chapter 16 of the Small Business Server 2000 Planning and Installation guide.

Those who choose to perform a migration upgrade to Small Business Server 2000 — the installation of Small Business Server 2000 on a new server computer and the migration of Small Business Server 4.x data to this new server computer — will follow the process in this appendix.

A migration upgrade provides several advantages. The clean installation of Small Business Server 2000 allows technology consultants to customize and reconfigure components as they go. For example, a technology consultant could use the upgrade as an opportunity to build a new user or shared folder hierarchy. Additionally, the migration places the Small Business Server installation on a new computer with new more powerful hardware, providing a measure of flexibility to redesign the current structure.


Migration Upgrade

The following are assumptions made about the migration process:

  • The existing Small Business Server 4.x computer will be replaced with the new Small Business Server 2000 computer.
    • The migration is designed so that the 4.x server will be replaced by the 2000 server. The two servers will not co-exist on the network at the same time because the server name and IP address of the two servers will be the same.
  • The existing Small Business Server 4.x computer should remain operational through the duration of the migration.
    • As the server is of great importance to the business, nothing will be done to the Small Business Server 4.x computer to prevent it from being reconnected into the network if problems occur with the migration. For this reason it is important for the Small Business Server 4.x computer remain running until the new network is tested and operational.

The migration process is divided into the following steps:

  1. Installation of Small Business Server 2000 on the new computer.

    In this step, Small Business Server 2000 is installed on the new computer and the settings from the existing Small Business Server 4.x installation.

  2. Re-creation of the account information on the new computer.

    In this step, the following items are re-created on the new Small Business Server 2000 computer: security groups, user accounts, user mailboxes, and computer accounts.

  3. Migration of data.

    In this step, the data folders, Exchange mailbox information, and SQL database information are migrated from the existing Small Business Server 4.x installation to the new server computer. Make sure all users are logged off the server.

    This will be accomplished in the following three ways:

Data folders, Exchange mailbox information, and SQL Server database information are moved to a client workstation.

The client workstation is disconnect from the Small Business Server 4.x network and connected to a hub connected to the Small Business Server 2000 computer.

Data folders, Exchange mailbox information, and SQL Server database information is moved from the client workstation to the Small Business Server 2000 computer.

You may also have additional information, such as Web site information and third-party applications that will need to be migrated.

  4. Reestablishment of Internet connectivity.

    In this step, the Small Business Server Internet Connection Wizard is run to restore Internet connectivity on the new server computer.

  5. Migrating the remaining client computers to the new network.

    In this final step, once the new Small Business Server 2000 computer has been completely configured, the client computers are moved from the existing Small Business Server 4.x network to the new Small Business Server 2000 network.


1. Installation of Small Business Server 2000 on the New Computer

The first step in the migration upgrade is to install Small Business Server 2000 on a new server computer that is plugged into its own hub. When performing the installation, it is important to preserve several of the Small Business Server 4.x application settings.

The following section outlines the installation procedure for installing Small Business Server 2000 on a new server computer, as well as required settings.

Note Refer to Section 3, Migration of Data to determine whether or not you should install SQL Server 2000.


Before You Begin

Before running the Small Business Server 2000 Setup Wizard, ensure that:

  • Your computer meets the minimum hardware requirements to install Small Business Server 2000, as outlined in the following table.
    Minimum Requirements | Recommended
    Pentium II 300-megahertz (MHz) processor | Pentium III 500-MHz, Dual Pentium II 300-MHz or higher processor, or compatible processor, depending on your system configuration
    256 MB RAM | 512 MB RAM or higher, depending on your system configuration
    4-gigabyte (GB) available hard disk space | Two or more mirrored 4-GB hard disks, depending on your system configuration
    No modem | Two modems, one for the Shared Fax Service and one for Remote Access Service, Shared Modem Service, and ISA Server dial-up
    CD-ROM drive
    1 network adapter card
    Video graphics adapter capable of 256 colors and 800 X 600 pixels

  • All of your hardware is listed on the Windows 2000 Hardware Compatibility List (http://www.microsoft.com/hcl).
  • All of the applications you will install are Windows 2000 compatible (http://www.microsoft.com/windows2000/upgrade/compat).
  • You have updated device drivers that are Windows 2000-compatible.
  • You have a network adapter card installed and plugged into a hub that is not connected to your existing SBS 4.x network.


Installation

During the installation of Small Business Server 2000 on the new computer, follow the installation procedures outlined in Chapter 16 of the Small Business Server Planning and Installation guide entitled "Installing Small Business Server 2000." Additionally, note the few important tasks outlined below.

Small Business Server 2000 Task | Small Business Server 4.x Location
Give the Small Business Server 2000 computer the same computer name and domain NetBIOS name as the Small Business Server 4.x computer. | Network Neighborhood | Properties | Identification
Set the same static IP address and subnet mask on the Small Business Server 2000 computer as on the Small Business Server 4.x computer. | Network Neighborhood | Properties | Protocols | TCP|IP | Properties
Mark SQL collations the same on the Small Business Server 2000 computer as on the Small Business Server 4.x computer, to allow access to legacy SQL Server databases. Query the sysconfigures table in the master database.

Start | Programs | Microsoft SQL Server 7.0 | Query Analyzer

Log into the database (from the server, location is "."), and run the following query and then use output generated:

"select * from sysconfigures"

Use the data corresponding to "default sort order ID," "Unicode locale ID," and "Unicode comparison style"
Set SQL network libraries the same on the Small Business Server 2000 computer as on the Small Business Server 4.x computer. | Start | Programs | Microsoft SQL Server 7.0 | Server Network Utility
Configure the Internet Security and Acceleration (ISA) Local Address Table the same on the Small Business Server 2000 computer as on the Small Business Server 4.x computer. | Start | Programs | Microsoft Proxy Server | Microsoft Management Console | Internet Information Server | Double-click SMALL BUSINESS SERVER 4.x server | Socks, Web, or Winsock Proxy | Service | Local Address Table

Note These steps assume you will have the same domain name and IP address for the Small Business Server 2000 computer as for the Small Business Server 4.x computer. Domain name or IP address changes may cause additional configuration issues during subsequent steps in this document. Changing these names will also make it necessary to reconfigure Windows 95/98 clients for network connectivity.


2. Re-creation of Account Information on the New Computer

Once the installation of the Small Business Server 2000 is complete, the next step is to re-create the account information from the Small Business Server 4.x installation. Complete this step on the Small Business Server 2000 computer.

Note To perform the steps outlined in this section, you need to be logged on as the administrator or as a member of the Domain Administrators security group.

Tip You will perform the steps from the Small Business Server Administrator Console. To open the console, click Start, and then click Small Business Server Administrator Console. Notice that the Small Business Server (BackOffice Manager) snap-in is open by default.


Security Groups

If you created security groups on your Small Business Server 4.x computer, the first set of accounts that should be re-created are these security group accounts. It is recommended that you re-create all of the group accounts before adding users, so that you can then add the users to the groups during the process of adding user accounts. To add security groups on the Small Business Server 2000 computer, use the Add Group Wizard available from the Small Business Server Administrator Console. To access the wizard, click the Security Groups node in the Small Business Server (BackOffice Manager) snap-in, and then click the Add Group icon.


Users and Mailboxes

Next, the user accounts and mailboxes should be re-created. To add users and mailboxes to the Small Business Server 2000 computer, run the Add User Wizard on the Small Business Server 2000 computer, once for each of the users you plan to migrate, typing in the properties for those with an old corresponding account. Exchange mailboxes will be created as part of the Add User Wizard.

To obtain a list of all of the users on the Small Business Server 4.x computer

  • Click Start, point to Programs, point to Administrative Tools (Common), and then click User Manager for Domains.

User properties are contained in one of two places — either in the User Properties dialog box (right-click User and then click Properties) or in the Exchange Properties dialog box (open Exchange Administrator, expand your server, and click Recipients. Then double-click each account in the Details Pane for properties.)

To create users on the Small Business Server 2000 computer

  1. With the User Manager open on the Small Business Server 4.x computer, open the Small Business Server Administrator Console on the Small Business Server 2000 computer. To do so, click Start and then click Small Business Server Administrator Console.
  2. Start the Add User Wizard. To do so, on the Administrator Console, under the Small Business Server (BackOffice Manager) snap-in, open the To Do List and then click the Add a User task.
  3. Create the user accounts by matching the characteristics of the new user to its old user on the Small Business Server 4.x computer.
  4. When the Set Up Computer Wizard phase appears, refer to the Computer Accounts section below for additional information

Note Some nonessential user properties, such as a user's description, cannot be specified in the Add User Wizard. To migrate these properties, use the Users node in the Small Business Server (BackOffice Manager) snap-in. All of the user accounts set up on the Small Business Server 2000 server appear in the folder. By selecting each one and then accessing its properties (right-click on a user and then click Properties), you can specify all the user properties you want to migrate.

Tip If many of your users are the same, use the template user accounts in the wizard or consider creating your own template. This allows you to easily create user accounts with identical properties. You will be able to create a template user account while running the Add User Wizard. (On the User Properties page, select the Specify individual settings for this user option, and check the Use these settings to create a new template check box.)


Computer Accounts

To obtain a list of all computer accounts on the Small Business Server 4.x computer

  1. Click Start, and then click Manage Server (for 4.0) or Small Business Server Console (for 4.5)
  2. After the console appears, click the More Task tab, and then click the Manage Computers link.
  3. On the Manage Computers page, a list of all of client computers set up for use with your Small Business Server 4.x network is provided.

To create new computer accounts on the Small Business Server 2000 computer

  1. Continuing from the Add User Wizard steps above, in the Set Up Computer Wizard, type the corresponding computer name from the SBS 4.x network.
  2. Select to upgrade all the client applications.

Note You will need to create a client setup floppy disk to configure your Windows NT/Windows 2000 clients. Since you are maintaining all of the same server properties, you don't need to run the client setup floppy disk on your Windows 9x/Me clients.


3. Migration of Data

From this point forward, you need to use some sort of large data store — such as a tape drive, removable storage drive, or a client computer's hard disk — to migrate your data.

Important For the purposes of this document, we will use a client computer's hard disk, but you could easily install the drivers for the other devices and use them as well.

The migration of data will be accomplished by the following steps:

Create the shared folder structure on the Small Business Server 2000 computer and then copy shared folder data, Exchange, and SQL Server data to a Small Business Server 4.x client computer.

Disconnect the client computer from the Small Business Server 4.x network and connect it to a hub connected to the Small Business Server 2000 computer.

Copy the data from the Small Business Server 4.x client computer to the Small Business Server 2000 computer.


3a. Copy Data to the Small Business Server 4.x Client Computer

Important Make sure all users are logged off the server computer before beginning this section.


Shared Folders and Permissions

This step will re-create your shared folder structure on the new server computer and migrate the data from the existing Small Business Server 4.x installation.

To create a shared folder structure and then copy data to it

  1. Copy all shared folders and their contents onto the client computer's hard disk. A list of all shared folders and their paths is provided on the Manage Shared Folders page of the Small Business Server Console.
  2. Using Windows Explorer and the Manage Shared Folders page as your guide, copy the folders onto your chosen client (or other data store). You may have to create a shared folder on the client first to access its drive, perhaps even naming the folder something like "Shared Folders to Migrate."


Exchange Server Mail (Client)

Exchange Server Mail

Although we have already created Exchange mailboxes on the new server, this step migrates the mail that belongs in them. This will be done using a tool called "ExMerge". First, in Step one we will install ExMerge version 3.70 (located on Small Business Server Setup Disc 1 in the /upgrade/ExMerge/version_3.7 directory) on the Small Business Server 4.x server. It will help migrate user folders and messages, along with Outlook calendars and contacts, by storing them in .pst files.

To Copy Exchange Mailboxes to the Client Computer

  1. Install the program by copying ExMerge.exe, ExMerge.ini, and mfc42.dll from the Small Business Server Disc 1 onto the SBS 4x computer's hard disk.
  2. Run the executable file and then when the ExMerge Wizard appears, select Two-step merge and Step 1: Copy data to personal folders.
  3. Type the Exchange server (Small Business Server) name, found in the Exchange Administrator.
  4. Next, you will be presented with a list of mailboxes to migrate; select those you want to migrate. If you don't see any mailboxes, verify that the Information Store Service is running. To do so, click Start, point to Settings, click Control Panel, and then double-click Services.
  5. Choose the destination for the .pst files, and then click Finish.

Note You can skip a step and direct the .pst files to your client computer. To do so, click the Network button. If you do not transfer the files to your client during the ExMerge process, manually transfer them after it concludes.


SQL Server 6.5 and 7.0 Databases (Client)

SQL Server 6.5 and 7.0 Databases

There are several upgrade scenarios for SQL Server data, because the formatting of SQL Server 6.5 and SQL Server 7.0 databases is different.

Some users may be running SQL Server 6.5 and want to keep their existing installation as they migrate to Small Business Server 2000. Other users may be using SQL Server 6.5, but feel it is time to upgrade to SQL Server 2000 (which uses the SQL Server 7.0 database format).

Some may be using SQL Server 7.0 now and want to continue doing so, while still other version 7.0 users want to upgrade to SQL 2000 as part of their Small Business Server upgrade. Instructions for all four situations are included in the following section of this white paper.


Using and Preserving SQL Server 6.5

To use and preserve SQL Server 6.5, SQL Server 6.5 must be installed on the new server using the Small Business Server 4.0 setup discs. For Windows 2000 compatibility, service pack 5 for SQL Server 6.5 must also be installed (which is found on the Small Business Server 2000 service pack disk.). Follow the SQL 6.5 Steps below to migrate the SQL Server 6.5 database to the new server computer.

Important In order to complete the migration, the license allows you to temporarily have 2 copies of SQL Server 6.5 running. You must decommission the old version once you have completed the migration process, however.


Upgrading SQL Server 6.5 to SQL Server 2000

To upgrade SQL Server 6.5 you must first migrate the SQL Server 6.5 data to the new computer before you install SQL Server 2000.

Install SQL Server 6.5 on the new Small Business Server 2000 computer, using the Small Business Server 4.0 setup discs. Follow the SQL Server 6.5 Steps below to migrate the SQL Server 6.5 database to the new server computer.

Once you've successfully completed the steps, upgrade to SQL server 2000 on the new Small Business Server 2000 computer. The databases will be converted safely as part of the upgrade process.

Note You cannot use the Database Conversion Wizard included in SQL Server 2000 because the servers together cannot be directly connected.

SQL Server 6.5 Steps

  1. Open the SQL Server Enterprise Manager console (click Start, point to Programs, point to Microsoft SQL Server 6.5, and then click Enterprise Manager).
  2. Expand Databases.
  3. On the Tools menu, click Database Backup/Restore.
  4. Under Database Backup, select Master.
  5. Under Backup Devices, click New.
  6. In the New Backup Device dialog box enter the name and path to the Small Business Server 4.x client computer.
  7. Click Create.
  8. When the new device is created, select it.
  9. Click Backup Now to begin the backup procedure.


Using and Preserving SQL Server 7.0

To use and preserve SQL Server 7.0 during the Small Business Server 2000 installation process, install SQL server SQL Server 7.0 on the new server, using the Small Business Server 4.5 setup discs. Follow the SQL Server 7.0 Steps below to migrate the SQL Server 7.0 database to the new server computer.

Important In order to complete the migration, the license allows you to temporarily have 2 copies of SQL Server 7.0 running. You must decommission the old version once you have completed the migration process, however.


Upgrading SQL Server 7.0 to SQL Server 2000

To upgrade SQL Server 7.0 to SQL Server 2000, you must first migrate the SQL Server 7.0 data to the new computer before you install SQL Server 2000.

Install SQL Server 7.0 on the new server, using the Small Business Server 4.5 setup discs. Follow the SQL Server 7.0 Steps below to migrate the SQL 7.0 database to the new server computer.

Once you've successfully completed the steps, upgrade to SQL server 2000 on the new Small Business Server 2000 computer. The databases will be converted safely as part of the upgrade process.

Follow the SQL Server 7.0 Steps below to migrate the SQL Server 7.0 database to the new server computer.

SQL Server 7.0 Steps

  1. Open the SQL Server Enterprise Manager console (click Start, point to Programs, point to Microsoft SQL Server 7.0, and then click Enterprise Manager).
  2. Expand your server group, and then the local server.
  3. Expand the Databases folder, and a list of all the databases stored on this machine will be shown.
  4. On the Tools menu, click All Tasks, and then click Backup Database. The Backup Database dialog box appears.
  5. Click the General tab and ensure that you are performing a complete backup (select Backup and Database – Complete).
  6. In the Destination box, click Add and enter the name and path to the Small Business Server 4.x client computer
  7. Click OK to begin the backup procedure.


3b. Move the Small Business Server 4.x Client Computer

In this step, you will disconnect the client computer from the Small Business Server 4.x network and then connect it to a hub connected to the Small Business Server 2000 computer. To complete this step in the process, first refer to the Migrating Client Computers section below to move the client computer to the Small Business Server 2000 computer. Then, follow the steps below to move the data to the Small Business Server 2000 computer.


3c. Copy Data to Small Business Server 2000 Computer

Shared Folders and Permissions

This step will re-create your shared folder structure and migrate the data to the Small Business Server 2000 computer.

To create a shared folder structure and then copy data to it

  1. Once the computer is set up and connected, do the following:
    1. Copy the shared folders and their contents to the new server.

      Note By default, Small Business Server 2000 creates the User Shared Folders and Company Shared Folders. If you had special permissions on these folders, you will have to set them manually.

    2. For all other folders, first copy them to the drive and then run the Add Shared Folder Wizard from the Small Business Server Administrator Console to reapply permissions (click Start, point to the Small Business Server Administrator Console, under Small Business server (BackOffice Manager) right-click Shares (local) and then click New File Share).
  2. Type the following into the Add Shared Folder Wizard:
    1. The path of the shared folder, which should be the same as the path on the Small Business Server 4.x computer, allowing for a change in drive letters.
    2. The name of the shared folder and any comments for the folder. To determine either, right-click the corresponding folder on the Small Business Server 4.x computer and then click Sharing, point to Properties, and then click Sharing.
    3. Add the users and groups to the access list for the folder, making sure to set their permissions (full, read, change) to match their permissions on the older, corresponding folder. To view a list of the older permissions, right-click the folder, click Sharing, point to Properties, point to Security, and then click Permissions.


Exchange Server Mail (Server)

Exchange Server Mail

This step migrates the mail from the client computer to the Small Business Server 2000 computer. You will install ExMerge version 6.0 (located on Small Business Server Setup Disc 1 in the /upgrade/ExMerge/Version_6.0 directory) on the Small Business Server 2000 computer. It will help migrate user folders and messages, along with Outlook calendars and contacts, from the client computer.

To Copy Mailboxes to the new Small Business Server 2000 Computer

  1. Install ExMerge 6.0 on the new Small Business Server 2000 computer by copying the ExMerge files from Small Business Server 2000 Setup Disc 1 (upgrade\ExMerge\Version_6.0) to the local hard disk.
  2. With the client configured and connected to the Small Business Server 2000 computer, copy over the .pst files created in Step 3a.
  3. Make sure you are logged on as an Administrator or as a member of the Domain Administrator security group.
  4. Run the ExMerge executable and then select Extract or Import (Two-Step Procedure) and Step 2: Import Data into an Exchange Server Mailbox.
  5. Type the server name, select the mailboxes to import to, select the locale, and then the source of the .pst files.

Tip You can avoid copying the .pst files over to the new server by using the Network button to designate the client drive as the source.

  1. Once the process is complete and you have verified that every user can access their mailbox, if you would like, delete all the .pst files and ExMerge itself.

Note If you are upgrading in a mixed-language environment and will need to configure the language settings, see the ExMerge Release Notes in the following directory on Setup Disc 1: %backofficedir%\UPGRADE\EXMERGE\VERSION_6.0


SQL Server 6.5 and 7.0 Databases (Server)

SQL Server 6.5 and 7.0 Databases

The following section will describe how to restore backed up SQL Server 6.5/7.0 databases to the new SQL Server 6.5/7.0/2000 installations on the Small Business Server 2000 computer.

SQL Server 6.5 Steps

Note You must have SQL Server 6.5 installed on the Small Business Server 2000 computer.

  1. With the files on the client machine, connect the client to the new Small Business Server 2000 server.
  2. Copy the database backups stored on the client to a temporary directory on the new server and then use the Restore method to finish the database migration.
  3. Open the SQL Server Enterprise Manager (click Start, point to Programs, point to Microsoft SQL Server 6.5, and then click Enterprise Manager).
  4. In the Database Backup/Restore dialog box, click the Restore tab.
  5. Click From Device, the Restore From Device On Server dialog box appears.
  6. In the Destination Database box, select the Small Business Server 2000 computer.
  7. From the Devices and Files list, select the Small Business Server 4.x client computer.
  8. Click Restore Now.

SQL Server 7.0 Steps

Note You must have either SQL Server 7.0 or SQL Server 2000 installed on the Small Business Server 2000 computer, depending on whether or not you are upgrading SQL Server.

  1. With the files on the client computer, connect the client to the new Small Business Server 2000 server.
  2. Copy the database backups stored on the client to a temporary directory on the new server and then use the Restore method to finish the database migration.
  3. If you installed SQL Server 7.0, open the SQL Server Enterprise Manager (click Start, point to Programs, point to Microsoft SQL Server 7.0, and then click Enterprise Manager).
  4. Expand the Console Tree to highlight the new server, and then open the Restore Database dialog (on the Tools menu, click All Tasks, and then click Restore Database).
  5. Select your restore method as from device and specify the path of the corresponding backup database file. Be sure to restore the complete database. You may have to force a restore over an existing database or change the target path (especially if the original database was on a different drive letter); use the Options tab in the Restore Database dialog to do so.

Note Refer to the section below, Migrating Client Computers, for the steps on migrating this computer.

SQL Server 2000 Steps

Note You must have either SQL Server 7.0 or SQL Server 2000 installed on the Small Business Server 2000 computer, depending on whether or not you are upgrading SQL Server.

  1. With the files on the client computer, connect the client to the new Small Business Server 2000 server.
  2. Copy the database backups stored on the client to a temporary directory on the new server and then use the Restore method to finish the database migration.
  3. If you installed SQL Server 2000, open the Small Business Server Administrator Console, and then click Microsoft SQL Servers.
  4. Expand the Console Tree and highlight the Small Business Server 2000 computer, and then open the Restore Database dialog (on the Tools menu, click Restore Database).
  5. Select your restore method as from device and specify the path of the corresponding backup database file. If the client computer is not listed in the devices list, click Add. Be sure to restore the complete database. You may have to force a restore over an existing database or change the target path (especially if the original database was on a different drive letter); use the Options tab in the Restore Database dialog to do so.


4. Re-establish Internet Connectivity

To re-establish your connection to the Internet run the Small Business Server Internet Connection Wizard from the To Do List, located in the Small Business Server Administrator Console. If you established Internet connectivity using the Small Business Server 4.5 Internet Connection Wizard and did not add any custom Proxy Server 2.0 packet filtering settings, the Small Business Server 2000 Internet Connection Wizard will re-create all the settings you had before.

If you had any custom Proxy Server 2.0 packet filtering settings, you will have to set these manually on the new Small business Server 2000 computer's ISA Server firewall.

To find the custom settings from Proxy Server 2.0

  1. On the Small Business Server 4.x computer, click Start, point to Programs, point to Microsoft Proxy Server and click Microsoft Management Console
  2. When Microsoft Management Console opens, navigate to Console Root, expand Internet Information Server, and expand your server
  3. Right-click Web Proxy and select Properties from the shortcut menu
  4. When you see the Web Proxy Service property sheet, select the Service tab and click Security
  5. The custom filters are listed under Exceptions

To set custom ISA Server 2000 packet filtering

  1. On the Small Business Server 2000 computer, click Start, point to Programs, point to Microsoft Small Business Server, and then click Small Business Server Administrator Console
  2. Expand Internet Security and Acceleration Server 2000
  3. Expand Servers and expand your server, and expand Access Policy
  4. Right-click IP Packet Filters, point to New and click Filter
  5. This launches the New IP Packet Filter Wizard
  6. Click through the wizard to add your custom settings

For more information on using the Small Business Server 2000 Internet Connection Wizard, refer to the Small Business Server 2000 Planning and Installation guide, Chapter 7, "Internet Connectivity."


5. Migrating Client Computers

The final step, after Small Business Server 2000 has been installed and configured, is to migrate the client computers over to the new network.

Before disconnecting the client computers from the Small Business Server 4.x network and then connecting them to the Small Business Server 2000 network, the IP addresses issued by the Small Business Server 4.x DHCP server must be released and the client computers removed from the Small Business Server 4.x domain.

Open a command prompt on each client computer and type ipconfig /release. Each client computer must also be disjoined from the original Small Business Server 4.x network. On the Small Business Server 4.x client computer, perform the following steps.

Note These steps will have to be done for only Windows NT Workstation and Windows 2000 Professional client computers

To disjoin a Windows NT client computer from the network

  1. Right-click Network Neighborhood and select Properties.
  2. From the Identification tab, click Change
  3. Remove the computer from the domain by selecting Workgroup and using "Workgroup" as the workgroup name.
  4. After disjoining the domain, shut down the client computer before reconnecting it to the new domain.

To disjoin a Windows 2000 client computer from the network

Note These steps will have to be done for only Windows NT Workstation and Windows 2000 Professional client computers

  1. Right-click My Computer and select Properties.
  2. From the Network Identification tab, click Properties
  3. Remove the computer from the domain by selecting the Workgroup button option and using "Workgroup" as the workgroup name.
  4. After disjoining the domain, shut down the client computer before reconnecting it to the new domain.

Once the computer accounts are created, you will use the Networking Setup Disk you created in Section two to configure network connectivity for the Windows 2000 Professional and Windows NT Workstation clients.

Note If you did not change the computer name or IP address when setting up the Small Business Server 2000 computer, you will not have to reconfigure Windows 95/98 client computers for network connectivity.

To connect a Windows NT/ Windows 2000 client computer to the Small Business Server 2000 network

  1. Log on to the client computer as an administrator
  2. Insert the Networking Setup Disk that you created earlier (when creating computer accounts in Section 2) into the client computer's floppy disk drive.
  3. Run the Setup application found on the Networking Setup Disk to start the Microsoft Client Network Setup Wizard. The wizard creates local administrator accounts on Windows 2000 and Windows NT 4.0 client computers.
  4. The Networking Setup Disk contains the list of all existing computer accounts on your Small Business Server network from the moment the disk was created. Follow the on-screen instructions to select the appropriate client computer name. You can also type a client computer name that is not on the list.

Warning A client computer name that is typed manually must match the existing account name on the Small Business Server network. If it doesn't, the client computer will not be connected to the Small Business Server network.

  1. The Networking Setup Disk also contains a list of all existing user accounts on your Small Business Server from the moment the disk was created. If the client computer is running Windows 2000 or Windows NT 4.0, the wizard asks you to select a user account name or names. You may also type a user account name that is not on the list. These user accounts will be added to the local Administrators group and will be able to install applications.

Warning Any user account names you manually type must match the existing account name on the Small Business Server network. If it doesn't, the networking setup will fail.

  1. If the client computer is running Windows 2000, the wizard asks you to type a user account name and password. This account must have permissions to join a client computer to the domain.
  2. When you finish the Microsoft Client Network Setup Wizard, follow the on-screen instructions to complete the networking setup.
  3. After the networking setup is complete, the client computer can access the Small Business Server network. The next time a user logs on to the client computer, the client applications that you selected for this machine will be installed.

Important A client computer must have a physical network connection to run the Networking Setup Disk.

Note Disable any auto-logon programs on the client computer, such as Tweak UI. After completing a client setup, you can then reactivate the auto-logon program and verify that the logon domain, account, and password information are correct.

After users log on to the domain, they are asked if they want to accept preselected client applications for installation on their computers. These might include Firewall Client, Modem Sharing Client, Microsoft Outlook, Fax Client, and Internet Explorer. If users agree, the applications are installed and configured automatically.

To connect a Windows 9x/ Windows Me client computer to the Small Business Server 2000 network

You will only need to physically connect the client computer to the network. The networking setup disk is not necessary for Windows 9x/ windows Me client computers. After users log on to the domain, they are asked if they want to accept preselected client applications for installation on their computers. If users agree, the applications are installed and configured automatically.


Miscellaneous

Some additional important tasks include:

  • If you had an intranet Web site hosted from your Small Business Server 4.x computer, you will need to copy all of the component files from the <%systemdrive%>\Inetpub\WWWRoot\Intranet directory to the <%systemdrive%>\Inetpub\Intranet directory on your Small Business Server 2000 computer. This must be done manually.
  • Any printers installed on the Small Business Server 4.x computer must also be installed on the Small Business Server 2000 computer.
  • Refer to the To Do List for additional tasks to perform after your installation is complete.


Getting Help from Microsoft Product Support Services

Note Services and prices listed are available in the United States and Canada only. For information on support available in other countries, contact the Microsoft subsidiary nearest you, using the Worldwide Subsidiary list in the Small Business Server Online Guide.


If you have a simple question and need an answer fast

Quickly find answers yourself online

Use Support Online to easily search the Microsoft Product Support Services collection of resources including technical articles, FAQs, and troubleshooters to find fast, accurate answers. To begin, go to http://support.microsoft.com/support and query on “Small Business Server.”


If your question is urgent and more complex

Contact Your Regular Support Provider

Microsoft recommends using your existing solution provider, value-added reseller, or professional consultant for implementation and support of this software package. Many resellers and consultants are Microsoft certified, can come to your location, and have extensive experience to help you. However, should you or your industry professional need additional help, Microsoft offers support options for Small Business Server.

Telephone Microsoft Product Support Services

Work with a support engineer to solve your issue through the following options.

Standard No-Charge Support — for help during business hours

Microsoft offers two incidents of support at no charge that can be used for any of the programs included in your software package. You can receive no-charge support via e-mail (explained later) or via telephone by calling (425) 635-7176, 6:00 A.M.–6:00 P.M. Pacific time, Monday–Friday, excluding holidays.

Note An incident is a problem that cannot be broken down into subordinate problems. For a request with subordinate problems, each problem is considered a separate incident, and therefore must be submitted as a separate support request. Before support is provided, you and your designated Microsoft Product Support Engineer must agree upon the scope of the problem and the parameters for an acceptable resolution. An incident masy require multiple interactions and offline research to resolve it. A BackOffice Small Business Server support incident may involve more than one of the applications included in the package. Please note that an incident involving a Microsoft product bug will not be applied against your account.

Pay-Per-Incident Support — for help after hours or to supplement Standard Support

If you need help after hours, or have used up your Standard No-Charge Support, you can purchase Pay-Per-Incident Support. Support fees are billed to your VISA, MasterCard, or American Express card. In the United States and Canada, for a fee of $195 US per incident, call (800) 936-5900, 24 hours a day, seven days a week, including holidays.


If your question isn't urgent

If your question isn’t urgent

Send e-mail to a Microsoft Product Support Engineer

Ideal for questions requiring attached files, submit a question anytime and receive a response within one business day. Submit a question at http://support.microsoft.com/support using one of the following options.

Standard No-Charge Web Response

Submit two support incidents at no charge as described in the Standard No-Charge Support section above.

Pay-Per-Incident Web Response

If you have used up your two incidents of Standard No-Charge Support, submit your question for a fee of $195 US.


For additional support needs

If you need text telephone (TTY/TDD)

Available Monday–Friday, excluding holidays. In the United States and Canada, call (425) 635-4948, 6:00 A.M.–6:00 P.M. Pacific time.

If you don’t have access to the Internet

FastTips is a fax-back service providing Knowledge Base articles and answers to common questions. For more information, call (800) 936-4400.

If you need support services for a business

Premier support provides a selection of support packages geared for businesses. To learn which account meets your needs, go to http://www.microsoft.com/support. Or call (800) 936-3500 for information on accounts for small to medium-sized businesses and (800) 936-3200 for large, enterprise businesses.

If you need on-site, multivendor, or proprietary product support

Microsoft Certified Solution Providers (MCSPs) and Authorized Support Centers (ASCs) specialize in providing support packages for hardware, network, and software products from both Microsoft and other vendors. For more information about MCSPs, call (800) 765-7768 or visit http://www.microsoft.com/mcsp. For more information about ASCs, contact your Microsoft account representative, or visit http://www.microsoft.com/support.

If you need support outside the United States and Canada

For information on support available in other countries, contact the Microsoft subsidiary nearest you, using the Worldwide Subsidiary list in the Online Guide.

The services and prices listed here are available in the United States and Canada only. Support outside the United States and Canada may vary. Microsoft support services are subject to the Microsoft then-current prices, terms, and conditions, which are subject to change without notice.


Chapter 17 Troubleshooting Setup

CHAPTER 17

Troubleshooting Setup

This chapter addresses typical problems that you may experience during your installation of the Microsoft® Small Business Server 2000. For additional information, refer to the Small Business Server Release Notes available on your installation disc.